ubiquity (24.04.5trisquel36) ecne; urgency=medium

  * Adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 18 Oct 2024 09:16:14 +0000

ubiquity (24.04.5) noble; urgency=medium

  [ Dave Jones ]
  * plugins/ubi-timezone.py: Update to support libsoup3 API (LP: #1987454)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 14 Apr 2024 11:21:18 -0700

ubiquity (24.04.4) noble; urgency=medium

  * Bump webkit gir dependency to 4.1.
  * Bump soup usage to libsoup3.0.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Apr 2024 17:00:03 -0700

ubiquity (24.04.3) noble; urgency=medium

  * Fix unit tests compatibilty with python3.12.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 12 Feb 2024 09:57:10 -0700

ubiquity (24.04.2) noble; urgency=medium

  * Move kde4 -> kde in many locations, for cleanup.

 -- Simon Quigley <tsimonq2@kubuntu.org>  Mon, 18 Dec 2023 17:13:57 -0600

ubiquity (24.04.1) noble; urgency=medium

  * Fix unit tests by discontinuing use of the internal-to-python `test`
    module.  (LP: #2046363)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 13 Dec 2023 11:12:46 -0700

ubiquity (23.10.8) mantic; urgency=medium

  * Implement copying of netplan configs to the target system, so that network
    configuration such as wifi is retained. (LP: #2036999)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 05 Oct 2023 10:13:39 -0600

ubiquity (23.10.7) mantic; urgency=medium

  * Updated translations.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 04 Oct 2023 11:40:26 +0200

ubiquity (23.10.6) mantic; urgency=medium

  [ Erich Eickmeyer ]
  * Preserve GTK_THEME environment variable in live session (LP: #2037676)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Sep 2023 08:50:10 -0700

ubiquity (23.10.5) mantic; urgency=medium

  * Force partition auto-resize boxes to have black text (LP: #2036846)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 28 Sep 2023 19:09:46 +0200

ubiquity (23.10.4) mantic; urgency=medium

  * Depend: on grub-pc.  Currently, ubiquity depends on shim-signed, but
    only Recommends: grub-pc with alternatives; for seed generation this
    means sometimes shim-signed -> grub-efi-amd64-signed -> grub-efi-amd64
    is picked, which we never want.  LP: #2036199.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Sep 2023 11:16:45 -0700

ubiquity (23.10.3) mantic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Cherry pick the fix for Debian bug #1040048 to fix build with new
    ncurses-bin.

  [ David Mohammed ]
  * Don't display a panel for budgie-wm

  [ Benjamin Drung ]
  * Update legacy timezones in tzsetup (LP: #2031838)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 12 Sep 2023 14:40:23 +0200

ubiquity (23.10.2) mantic; urgency=medium

  [ EsmaeelE ]
  * Set fa (Persian/Farsi) as the default Iranian language (LP: #1891270)

  [ Erich Eickmeyer ]
  * Don't hide ubiquity GTK frontend and oem-config-prepare-gtk in KDE
    environments: they aren't installed at all in Kubuntu, but UbuntuStudio
    will use them in a KDE environment.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Aug 2023 17:18:53 -0500

ubiquity (23.10.1) mantic; urgency=medium

  * Use pycodestyle instead of pep8.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 May 2023 00:42:55 +0000

ubiquity (23.04.9) mantic; urgency=medium

  * bin/oem-config-remove-gtk uses aptdaemon to remove packages, not
    apt-get, so was overlooked in the previous upload.  Set the flag to
    autoremove dependencies here as well.  LP:# 1925265.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Apr 2023 21:51:58 +0200

ubiquity (23.04.8) lunar; urgency=medium

  * Whenever removing packages, use apt-get autoremove --purge instead of
    apt-get purge so that no-longer-used dependencies are removed together
    with the package in question, and we do not leave behind any packages
    that will be reported as autoremovable later.  LP: #1925265.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Apr 2023 11:35:46 -0700

ubiquity (23.04.7) lunar; urgency=medium

  * Updated translations.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 12 Apr 2023 18:19:53 +0200

ubiquity (23.04.6) lunar; urgency=medium

  * tests/test_timezone.py:
    - update for changes in the new tzdata

 -- Brian Murray <brian@ubuntu.com>  Thu, 06 Apr 2023 08:45:52 -0700

ubiquity (23.04.5) lunar; urgency=medium

  * Update the .pot file.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Mar 2023 13:05:41 -0700

ubiquity (23.04.4) lunar; urgency=medium

  * mktemplates.base: add more logging to ease diagnosis for failed builds

 -- Olivier Gayot <olivier.gayot@canonical.com>  Fri, 27 Jan 2023 07:47:28 -0800

ubiquity (23.04.3) lunar; urgency=medium

  * Fix unittest failing with Python 3.11 (LP: #2003970)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 26 Jan 2023 19:36:54 +0100

ubiquity (23.04.2) lunar; urgency=medium

  * Fix lunar's pep8, not cought with local rebuild due to noautomatic.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 28 Nov 2022 16:48:59 +0000

ubiquity (23.04.1) lunar; urgency=medium

  [ Sebastien Bacher ]
  * d-i/source/user-setup/debian/user-setup-udeb.templates:
    remove 'lxd' from user-default-groups and add 'users' instead,
    it will let lxd default to unprivileged containers which is better
    see https://discourse.ubuntu.com/t/easy-multi-user-lxd-setup for details
    (lp: #1949115)

  [ Dimitri John Ledkov ]
  * Re-enable zfs encryption
  * zsys-setup: generate correct zfs-list.cache for target (LP: #1993318)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 28 Nov 2022 16:09:57 +0000

ubiquity (22.10.10) kinetic; urgency=medium

  * Temporarily disable zfs + encryption option (LP: #1993318)

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 18 Oct 2022 13:35:37 -0500

ubiquity (22.10.9) kinetic; urgency=medium

  * partman/resize: add a margin to the minimal size for partition shrinking
    (LP: #1991083)

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 12 Oct 2022 10:14:27 +0000

ubiquity (22.10.8) kinetic; urgency=medium

  *  Increase the window size in the QT/KDE version of the installer dailog so
     that the keyboard is readable. Thanks to Erich Eickmeyer for the fix.
     (LP: #1990887)

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Oct 2022 09:55:08 -0700

ubiquity (22.10.7) kinetic; urgency=medium

  * Updated translations.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 10 Oct 2022 17:55:04 +0200

ubiquity (22.10.6) kinetic; urgency=medium

  [ Jeremy Bicha ]
  * gtk: Require gir1.2-soup-2.4 (LP: #1987455)
  * gtk: Set require_version in more places to better protect against this
    in the future
  * Add minimal debian/gbp.conf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 09:47:17 -0400

ubiquity (22.10.5) kinetic; urgency=medium

  [ Michał Sawicz ]
  * Run after cloud-init if installed

  [ Dimitri John Ledkov ]
  * Ensure minimum available amount of memory available (LP: #1979997)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 13 Jul 2022 14:19:20 +0100

ubiquity (22.10.4) kinetic; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * Use dpkg-divert /sbin/start-stop-daemon unconditionally instead of just renaming it conditionally.  (LP: #1978931)

  [ Sebastien Bacher ]
  * plugin-viewer-gtk.py: specify the gtk version to use and fix a warning
  * 22.10.3 upload included: Update the ubiquity icons for the brand
    refresh. Thanks to the Yaru team.

  [ Dimitri John Ledkov ]
  * zsys-setup: increase minimum bpool partition size to 1792

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 01 Jul 2022 11:23:36 +0100

ubiquity (22.10.3) kinetic; urgency=medium

  * Remove lubuntu-default-settings from Ubiquity's alternative depends so the
    autopkgtest isn't triggered every time we upload it.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 17 Jun 2022 01:50:45 -0500

ubiquity (22.10.2) kinetic; urgency=medium

  * Fix a typo in the recover key dialog. (LP: #1967281)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 May 2022 15:57:55 -0700

ubiquity (22.10.1) kinetic; urgency=medium

  *  Update for kinetic.

 -- Brian Murray <brian@ubuntu.com>  Tue, 03 May 2022 09:50:20 -0700

ubiquity (22.04.16) jammy; urgency=medium

  * Update the Ubuntu logo to the new branding for the Install Ubuntu screen.
    (LP: #1969455)

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Apr 2022 05:55:15 -0700

ubiquity (22.04.15) jammy; urgency=medium

  * Set GNOME keyboard layout during installation (LP: #1875062)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 13 Apr 2022 15:56:30 -0700

ubiquity (22.04.14) jammy; urgency=medium

  * Updated translations.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 13 Apr 2022 14:59:45 +0200

ubiquity (22.04.13) jammy; urgency=medium

  * Remove Zsys on ZFS installation. ZFS is still available.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Thu, 07 Apr 2022 11:09:39 +0200

ubiquity (22.04.12) jammy; urgency=medium

  [ Gunnar Hjalmarsson ]
  * Update the localechooser subtree from 2.89ubuntu3
    (lp: #1943768, #1966530)
  * Automatic update of included source packages: localechooser
    2.89ubuntu3.

  [ Dimitri John Ledkov ]
  * Switch kernel flavours [oem|hwe]-20.04 to [oem|hwe]-22.04.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 06 Apr 2022 15:12:50 +0100

ubiquity (22.04.11) jammy; urgency=medium

  * In partman-auto further increase the minimum and maximum sizes for /boot
    partitions on default, x86, and EFI platforms to a minium of 1792Mb and a
    maximum of 2048Mb. (LP: #1959971)

 -- Brian Murray <brian@ubuntu.com>  Fri, 01 Apr 2022 08:52:20 -0700

ubiquity (22.04.10) jammy; urgency=medium

  * Automatic update of included source packages:
    - choose-mirror 2.78ubuntu10 for bump to jammy
  * debian/real-po/templates.pot: update template using debconf-updatepo
    - This also updates various of the other *.po files in real-po

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 28 Mar 2022 18:25:23 +0200

ubiquity (22.04.9) jammy; urgency=medium

  * There was one fix too many in the previous changes to the Kubuntu frontend
    which resulted in the Timezone map not displaying which then caused the
    installation process to hang. (LP: #1966204)

 -- Brian Murray <brian@ubuntu.com>  Fri, 25 Mar 2022 11:53:16 -0700

ubiquity (22.04.8) jammy; urgency=medium

  * In partman-auto bump the minimum and maximum sizes for /boot partitions on
    default, x86, and EFI platforms to a minium of 1024Mb and a maximum of
    1848Mb. (LP: #1959971)
  * After copying log files to /var/log/installer set the permissions to 0o640
    and change the group owner to adm.
  * Resolve a crash in the KDE frontend when trying to install Kubuntu which
    was caused by changes to division. Thanks to LP user Cyril for the patch.
    (LP: #1963697)

 -- Brian Murray <brian@ubuntu.com>  Tue, 22 Mar 2022 10:35:07 -0700

ubiquity (22.04.7) jammy; urgency=medium

  * Remove the support for selecting software with tasksel as that is no
    longer used by anything. (LP: #1964026)

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Mar 2022 13:51:37 -0800

ubiquity (22.04.6) jammy; urgency=medium

  * Update the manifest so the build succeeds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 04 Feb 2022 11:47:35 -0800

ubiquity (22.04.5) jammy; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Add the ability to unhide passwords for the KDE frontend as well (follow
    up to the GTK changes released before).

  [ Steve Langasek ]
  * Do not support setting up archive.canonical.com as a source; the partner
    archive is now obsolete.  LP: #1959343.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 03 Feb 2022 12:41:46 +0100

ubiquity (22.04.4) jammy; urgency=medium

  [ Brian Murray ]
  * debian/ubiquity.templates: capitalize Wi-Fi in multiple places so that is
    consistent throughout the installer.
  * tests/*: use a try except so EnvironmentVarGuard can be imported with
    python3.9 or python3.10.

  [ Łukasz 'sil2100' Zemczak ]
  * Add the ability to unhide passwords that are being typed-in during various
    stages (GTK for now).

  [ Rik Mills ]
  * ubiquity-dm: Fix try/install screen for KDE. (LP: #1958120)
    - Remove legacy KDE4 code now that the binary it tries to start was
      removed in latest plasma release.
    - Fix background wallpaper extension. png -> jpg

 -- Brian Murray <brian@ubuntu.com>  Wed, 26 Jan 2022 11:35:06 -0800

ubiquity (22.04.3) jammy; urgency=medium

  * tests/test_timezone.py:
    - update for changes in the new tzdata

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Nov 2021 23:37:23 +0100

ubiquity (22.04.2) jammy; urgency=medium

  * Automatic update of included source packages
    - apt-setup 1:0.157ubuntu3.1 for tempfile deprecation fixes
    - console-setup 1.205ubuntu1 for deprecation and build fixes

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Nov 2021 17:45:27 +0100

ubiquity (22.04.1) jammy; urgency=medium

  * Automatic update of included source packages: apt-setup
    1:0.157ubuntu3.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Nov 2021 16:01:30 +0100

ubiquity (21.10.10) impish; urgency=medium

  * ubi-partman.py: Do not display a restart button in the advanced
    partitioning screen when installing alongside Windows Boot Manager. Thanks
    to Sam van Kampen for the patch. (LP: #1942648)

 -- Brian Murray <brian@ubuntu.com>  Tue, 12 Oct 2021 05:52:59 -0700

ubiquity (21.10.9) impish; urgency=medium

  * ubiquity-dm: use dbus-update-activation-environment for every desktop
    environment. Thanks to Gordon N. Squash for the patch. (LP: #1231091)

 -- Brian Murray <brian@ubuntu.com>  Fri, 08 Oct 2021 13:04:00 -0700

ubiquity (21.10.8) impish; urgency=medium

  * Updated translations.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 05 Oct 2021 18:39:30 +0200

ubiquity (21.10.7) impish; urgency=medium

  * ubiquity/gsettings.py, ubiquity/misc.py, data/ubiquity.desktop.in: also
    preserve XDG_DATA_DIRS when running ubiquity in a live session, which
    fixes opening the release notes hyperlink (and all other hyperlinks)
    with the correct application (firefox vs gedit) (LP: #1945658)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 05 Oct 2021 17:55:29 +0200

ubiquity (21.10.6) impish; urgency=medium

  [ Didier Roche ]
  * debian/ubiquity.templates: fix formatting of error message to not
    contain markup

  [ Olivier Tilloy ]
  * ubiquity/frontend/gtk_ui.py, ubiquity/misc.py, debian/control: use
    xdg-open instead of sensible-browser to open the release notes and
    other hyperlinks consistently (LP: #1945015)

  [ Yuan-Chen Cheng ]
  * bin/ubiquity: add pre-install hookdir for oem-config mode

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 27 Sep 2021 15:14:25 +0200

ubiquity (21.10.5) impish; urgency=medium

  * tests/test_gtkwidgets.py, ubiquity/frontend/gtk_ui.py:
    - use gi.require_version to ensure we import the right gtk bindings
      (lp: #1936488)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Jul 2021 16:03:27 +0200

ubiquity (21.10.4) impish; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * Make the recovery key a 48 digits password by default
   (LP: 1928860)
  * Recovery key is editable and optional.
  * Show the recovery key during manual partitioning.
  * Display a warning if recovery key is stored on a non removable media.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Thu, 15 Jul 2021 14:34:49 +0200

ubiquity (21.10.3) impish; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * krb5-config can be completely removed from the list of packages to keep or
    remove now that kerberos configuration is not needed anymore.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Wed, 23 Jun 2021 10:26:04 +0200

ubiquity (21.10.2) impish; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * connectity check: Make a distinction between local and global connection
    availability. For example, AD can be enabled with a working site
    connection but no internet, while package download requires a global
    connection.
  * revert configuration of Kerberos when AD is enabled. It is not required
    when all the services are running on Windows.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Mon, 21 Jun 2021 12:07:12 +0200

ubiquity (21.10.1) impish; urgency=medium

  * choose-mirror: hirsute -> impish

 -- Iain Lane <iain.lane@canonical.com>  Thu, 13 May 2021 17:58:27 +0100

ubiquity (21.04.19) hirsute; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * Only set the recovery key when partman-auto is used (LP: #1925002)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Mon, 19 Apr 2021 15:17:58 +0200

ubiquity (21.04.18) hirsute; urgency=medium

  * Only auto-configure ESP larger than 50 MiB - this works around LP 1924823,
    where the 5 MB ESP on the install medium was configured as /boot/efi.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 19 Apr 2021 13:01:53 +0200

ubiquity (21.04.17) hirsute; urgency=medium

  [ Rik Mills ]
  * Remove autoconversion = False setting for qvariant in the KDE frontend.
    Fixes LP: #1912327 and LP: #1916331.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 16 Apr 2021 16:25:59 +0200

ubiquity (21.04.16) hirsute; urgency=medium

  * Updated translations.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 15 Apr 2021 15:14:05 +0200

ubiquity (21.04.15) hirsute; urgency=medium

  * scripts/plugininstall.py: Only install grub to ESP if ESP is configured
    (LP: #1893964)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 14 Apr 2021 17:29:57 +0200

ubiquity (21.04.14) hirsute; urgency=medium

  * zys-setup: ZFS generator is enabled by default (LP: 1922402)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Tue, 06 Apr 2021 12:17:46 +0200

ubiquity (21.04.13) hirsute; urgency=medium

  * misc: Fixed crash when trying to escape a non string (LP: #1921567)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Wed, 31 Mar 2021 10:39:43 +0200

ubiquity (21.04.12) hirsute; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * Added support for recovery key.
    This adds a second key that can be used for recovery. This key is saved to
    a file to be stored in a secure location to recover an encrypted device.
    (LP: #1921358)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Wed, 17 Mar 2021 09:38:45 +0100

ubiquity (21.04.11) hirsute; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * Configure krb5 client so access to AD with GPO enabled works out of the
    box after installation.
  * Keep packages required for AD installed. When AD installation is selected
    we want to keep all the packages used to make it work and remove them
    otherwise.

  [ Dimitri John Ledkov ]
  * install_misc: refuse to install packages that have been marked for removal.
    This should generally fix issues we've been seeing with installations using
    the OEM metapackages.  (LP: #1914374)
  * Merge netcfg 171 from Debian into ~ubuntu-installer repo, and subtree
    pull it in.
  * Automatic update of included source packages: netcfg 171ubuntu1
  * Build udebs with !noudeb profile set, to actually build with udebs.
  * Delete KeyboardNames.pl becuase it is annoying.
  * Automatic update of included source packages.
  * Properly drop dh-systemd build-dep from the d-i/update-control script.
  * Add symlink in netcfg mock_paths with and without _fn suffix, cause
    check in hirsute-release & hirsute-proposed want one or the other.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Mar 2021 02:22:11 +0000

ubiquity (21.04.10) hirsute; urgency=medium

  * Drop build-dependency on obsolete dh-systemd

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Mar 2021 16:54:23 -0800

ubiquity (21.04.9) hirsute; urgency=medium

  [ Iain Lane ]
  * check-kernels: Don't remove the oem kernel if we want it (LP: #1915114)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2021 13:53:35 +0000

ubiquity (21.04.8) hirsute; urgency=medium

  * install_misc: Mark all installed packages as manually installed.  When
    we're marking packages to install, mark them as `from_user=True`, which
    means manually installed. This prevents them being autoremoved either
    during installation or afterwards in the target system.  Fixes removal of
    the OEM kernel resulting in unbootable certified systems. (LP: #1914091)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 01 Feb 2021 17:03:00 +0000

ubiquity (21.04.7) hirsute; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * Listen on systemd signals in order to wait for sound.target to come
    up before attempting to play the system ready sound (LP: #1901043)

 -- Brian Murray <brian@ubuntu.com>  Fri, 29 Jan 2021 09:57:20 -0800

ubiquity (21.04.6) hirsute; urgency=medium

  * Revert "BD on iproute2" There's a mock 'ip' command which is supposed to
    be used actually.
  * Append _fn to netcfg mock_path name. This is actually why the mock 'ip'
    command wasn't being found. The check library now generates the testcase
    with `_fn` appended, so we need to rename our directory to follow suit.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 25 Jan 2021 19:02:50 +0000

ubiquity (21.04.5) hirsute; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * ubiquity/plugins/ubi-prepare.py: let the prepare page run in
    automatic mode to install 3rd party drivers. (LP: #1895351)

  [ Iain Lane ]
  * Drop all "from __future__ import print". This was kept 8 years ago when
    porting to py3, because pyflakes required it at the time to work properly.
  * ubiquity-dm: Set DISPLAY in the systemd environment for kubuntu too.
  * netcfg/tests/tests.mk: Disable -Werror=format.
    Upstream `check` has rewritten the macros, and now they trip these
    warnings. They should be updated to use ck_assert_* really.

  [ Shih-Yuan Lee (FourDollars) ]
  * install_misc.py: Use another mechanism to install the packages. (LP:
    #1908023)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 25 Jan 2021 18:24:07 +0000

ubiquity (21.04.4) hirsute; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Moved from deprecated sip4 to sip from PyQt5 (LP: #1903378) Thanks Rik
    Mills for the references.
  * Replaced deprecated module imp by importlib (LP: #1898494)

  [ Shih-Yuan Lee (FourDollars) ]
  * set() has a random order when looping it that makes the failure of
    dependencies issue random. Sort the list of package to make it predictable
    and easier to diagnose dependency issues.

  [ Łukasz 'sil2100' Zemczak ]
  * Provide some minimal user feedback on the UI when ubuntu-drivers is busy
    while running in the background. (LP: #1824905)

  [ Gunnar Hjalmarsson ]
  * d-i/patches/localechooser-post-base-installer.patch:
    - Set nl (Dutch) as the default Belgian language (LP: #1907914)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 08 Jan 2021 18:13:07 +0000

ubiquity (21.04.3) hirsute; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * Introduce preseed option partman-crypto/luksformat_options

  [ Łukasz 'sil2100' Zemczak ]
  * Automatic update of included source packages: partman-crypto
    101ubuntu5.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 03 Dec 2020 15:21:45 +0100

ubiquity (21.04.2) hirsute; urgency=medium

  * Fix set_indicator_keymaps to work with Python 3.9 (the .tostring() method
    on arrays, long deprecated, has now been removed).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 30 Nov 2020 12:41:31 +1300

ubiquity (21.04.1) hirsute; urgency=medium

  * Update d-i/sources/choose-mirror, switching from focal to hirsute as the
    default (jumping by two releases as we forgot this step for groovy).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 16 Nov 2020 18:56:41 +0100

ubiquity (20.10.13) groovy; urgency=medium

  * misc.py: unset gsd keys to trigger keyboard settings migration.
    (LP: #1892040)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 19 Oct 2020 18:29:34 +0100

ubiquity (20.10.12) groovy; urgency=medium

  [ Gunnar Hjalmarsson ]
  * d-i/patches/localechooser-post-base-installer.patch:
    - Set sw (Swahili) as the default Kenya language (LP: #1763025)
  * Translation update (LP: #1897444)

  [ Sebastien Bacher ]
  * POTFILES.in entries were not updated after a directory rename

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 16 Oct 2020 11:41:38 +0100

ubiquity (20.10.11) groovy; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Remove popularity-contest.
  * Initialize text variables to fix crash in OEM mode (LP: #1898029)

  [ Sebastien Bacher ]
  * Updated translations (LP: #1897444)

  [ Dimitri John Ledkov ]
  * oem-config.target: Correct name of the NetworkManager.service unit
    (LP: #1665384)
  * localechooser.patch: set my (Burmese) as the default Myanmar language.
    (LP: #1872186)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 14 Oct 2020 13:18:26 +0100

ubiquity (20.10.10) groovy; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * AD integration for GTK UI.
  * bump KDE_SESSION_VERSION to 5 to fix xdg-open on Kubuntu (LP: #1890173)

  [ Brian Murray ]
  * Do not try to keep installed software when reinstalling Ubuntu as the
    process was error prone (LP: 1152399) and did not provide a quailty
    experience. (LP: #1798369)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Tue, 15 Sep 2020 17:06:15 +0200

ubiquity (20.10.9) groovy; urgency=medium

  * gtk_ui, prepare: Run 'apt update' before installing OEM metapackages. We
    need to pick up any which might have been released after the ISO was
    created. (LP: #1888241)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 21 Jul 2020 15:29:51 +0100

ubiquity (20.10.8) groovy; urgency=medium

  [ Michael Hudson-Doyle ]
  * grub-installer: do not attempt to uninstall grub-efi-amd64-bin and grub-efi-amd64-signed when legacy booted

  [ Jean-Baptiste Lallement ]
  * Add right swap device id to fstab

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 06 Jul 2020 18:09:18 +0100

ubiquity (20.10.7) groovy; urgency=medium

  * control: drop udeb packages, no longer installable

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Jun 2020 11:24:26 +0100

ubiquity (20.10.6) groovy; urgency=medium

  [ Michael Hudson-Doyle ]
  * grub-installer: allow invoker to override architecture
  * grub-installer: do not be fancy trying to determine which grub-efi package to install
  * grub-installer: always pass --target x86_64-efi to grub-install on adm64/efi
  * ubiquity: run grub-installer again to install ESP on amd64/legacy

  [ Dimitri John Ledkov ]
  * releasing package grub-installer version 1.128ubuntu15
  * d-i: add docs about subtree merging of changes
  * Automatic update of included source packages: grub-installer
    1.128ubuntu15.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 26 Jun 2020 21:44:20 +0100

ubiquity (20.10.5) groovy; urgency=medium

  * Switch from apt-get source, to git subtree for vendorized d-i sources.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Jun 2020 10:56:50 +0100

ubiquity (20.10.4) groovy; urgency=medium

  [ Dimitri John Ledkov ]
  * d-i: drop distro patch of partman-swapfile, included in v2
  * d-i: vendorize archdetect binary, to remove hw-detect
  * Do not vendorize shim-signed scripts, simply use shim-signed scripts
    that are installed in live session already anyway.
  * ubiquity-dm: start gsd-keyboard for keyboard indicator (LP: #1847307)
  * autopilot: pacify new pyflakes

  [ Jean-Baptiste Lallement ]
  * Calculate partition number instead of reusing swap
  * Add partition for key store.
  * Add creation of the key store
  * Key store on ZVol
  * Encryption is enabled with --encrypt|-e
  * Added encrypted swap on ZFS systems
  * Use env instead argument to enable encryption
  * Properly calculate position of extended partition
  * force key when zfs encryption is activated.
  * Properly unmount target and its friends on zfs installation.
  * Add ZFS encryption UI
  * partition table is always GPT
  * Various fixes in zsys-setup
  * Moved keystore to /run/

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Jun 2020 18:18:40 +0100

ubiquity (20.10.3) groovy; urgency=medium

  [ Jean-Baptiste ]
  * zsys-setup: Fixed partition type of EFI partition Partman has been updated
    to use 'ef' instead of 'b' as partition type of the EFI partition on MBR
    system.  This breaks zsys installation script and this patch fixes it.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: apt-setup
    1:0.157ubuntu2, partman-swapfile 2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 08 Jun 2020 01:23:03 +0100

ubiquity (20.10.2) groovy; urgency=medium

  [ Jean-Baptiste Lallement ]
  * zsys-setup: Use persistent device name for vdevs (LP: #1880869)
  * Only export pools created during installation and containing dataset
    mounted under /target (LP: #1875045)

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: partman-partitioning
    120ubuntu3. LP: #1796260

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 28 May 2020 22:41:16 +0100

ubiquity (20.10.1) groovy; urgency=medium

  [ Sebastien Bacher ]
  * debian/real-po:
    - updated translations from launchpad, including strings from the new
      subpage for RST (lp: #1874103)

  [ Jean-Baptiste Lallement ]
  * zsys-setup: Enable autotrim on all pools.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: console-setup
    1.195ubuntu2, localechooser 2.71ubuntu5, partman-efi 84ubuntu1,
    partman-lvm 133.

  [ Michael Hudson-Doyle ]
  * make grub_default consider the boot argument in the non-removable case
    (LP: #1847898)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 27 May 2020 11:32:08 +0100

ubiquity (20.04.15) focal; urgency=medium

  [ Dimitri John Ledkov ]
  * check-kernels: install the right nvidia modules for the OEM kernel.
    (LP: #1873867)

  [ Iain Lane ]
  * language, partman, prepare: Factor out sensible-browser launching and use it
    (LP: #1874070)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Apr 2020 16:07:58 +0100

ubiquity (20.04.14) focal; urgency=medium

  * check-kerenls: only set `install_new` for newly installed
    kernels. compatible list is for the running/preinstalled ones
    only. LP: #1873434

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 17 Apr 2020 15:59:46 +0100

ubiquity (20.04.13) focal; urgency=medium

  [ Steve Langasek ]
  * Always invoke mokutil with --timeout -1 so that users don't miss the key
    enrollment on reboot and end up with broken dkms modules.  LP: #1856422.

  [ Iain Lane ]
  * plugininstall: Don't modify oem_pkgs while we're iterating over it
    (LP: #1873146)
  * plugininstall: Don't bother calling do_install() if there's no packages

  [ Dimitri John Ledkov ]
  * Correctly install oem kernel flavour, when desired.
  * When validating new kernel, allow kernel version higher than 2.x
  * When keeping existing kernel, do not mark kernel image as manually
    instally, only the meta.
  * When removing a kernel, remove modules and meta.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Apr 2020 22:56:34 +0100

ubiquity (20.04.12) focal; urgency=medium

  [ Iain Lane ]
  [ Michael Hudson-Doyle ]
  * ubi-prepare: Properly set state of download updates depending on network
    state and previously selected state. (LP: #1824195)

  [ Jean-Baptiste Lallement ]
  * zsys-setup: Fixed typo in AccountsService

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: base-installer
    1.158ubuntu7, shim-signed 1.40.3.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Apr 2020 01:42:34 +0100

ubiquity (20.04.11) focal; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * Add the detection logic for Intel RST RAID. (LP: #1864965)

  [ Iain Lane ]
  * ubi-partman: Make 'back' work from the RST page.  Previously it went back
    to the prepare page. We actually want to go back to the partitioning page.
  * Implement bitlocker UI. Check if a partition has type 'BitLocker', and
    show the error page if it does and we're trying to resize.  Thanks to
    Woodrow Shen and Shih-Yuan Lee for their work here too. (LP: #1872718)
  * Automatic update of included source packages: shim-signed 1.40.

  [ Rik Mills ]
  * KDE: Kubuntu has dropped the KDE PIM suite from the default install
    for 20.04. Remove KDE PIM mention from the software selection page.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 14 Apr 2020 18:57:04 +0100

ubiquity (20.04.10) focal; urgency=medium

  [ Sebastien Bacher ]
  * Updated translations from launchpad. (LP: #1870156)

  [ Jean-Baptiste Lallement ]
  * zsys-setup: Make /boot/grub world-readable.

  [ Iain Lane ]
  * The following two changes are *not* exposed. They are mainly to extract
    the strings for translators to work on. A followup upload will expose the
    UI when necessary.
  * Add the UI for a "Turn off RST" page.
    It's not hooked up yet - this is waiting for another change, but we can
    get on with translating it.
  * Add the UI for a "you need to disable Bitlocker" page.
    As in the previous commit, this is disabled unless a special environment
    variable is set.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 08 Apr 2020 17:44:59 +0100

ubiquity (20.04.9) focal; urgency=medium

  * kde: Set ubuntu_drivers to None.  We don't actually run this here (but
    could if somebody wanted to make that happen), but the plugins need the
    variable to be defined. (LP: #1869992)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 01 Apr 2020 09:25:37 +0100

ubiquity (20.04.8) focal; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Always creation zpool cache at the end of installation.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Mon, 30 Mar 2020 17:20:57 +0200

ubiquity (20.04.7) focal; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - don't build-depends on xkb-data-i18n which has been merged back
      to xkb-data now

  [ Hugh Chao ]
  * Add a preseed option which can let oem project reboot before OOBE i
    (LP: #1867711)

  [ Rik Mills ]
  * bin/ubiquity-dm: Switch the default KDE Plasma wallpaper looked for
    from .png to .jpg, as Plasma 5.18 switched default extension for
    that release. Fixes no background on the Try/Install screen for
    Kubuntu. (LP: #1863073)

  [ Iain Lane ]
  * In GNOME 3.36 the `gnome-session-x11-services.target` unit gained some
    dependencies that aren't satisfied in the ubiquity-dm environment. So
    GNOME Shell starting up this unit doesn't work any more: go back to the
    old way of starting it directly. (LP: #1869331)
  * ubiquity-dm: gnome-settings-daemon binaries have moved under /usr/libexec
    and adjust the paths accordingly.
  * ubiquity.json: Specify the path to the new theme GResource used by GNOME
    Shell
  * simple-plugins: Clean up the ubuntu-drivers.autoinstall file before each
    run.  This file is only ever appended to. The list is computed (passing
    --free-only and/or --no-oem) when leaving the prepare page. So we
    currently have the situation that if you revisit the page after having
    left it, the file is not updated with any new choices but is only appended
    to. Make sure it is written fresh each time, by removing it before running
    ubuntu-drivers.
  * prepare: Detect whether there are OEM enablement package for the system.
    Record this so that it can be used later on when actually installing.
    Installation can be disabled by preseeding ubiquity/install_oem.
  * plugininstall: If we've installed any OEM metapackages, update & upgrade them.
    This is the same as what `ubuntu-drivers autoinstall' is doing. We need
    this to try to ensure that the metapackage is upgraded in the target -
    if we're online when installing. (LP: #1866035)

  [ Jean-Baptiste Lallement ]
  * Updated changelog
  * Automatic update of included source packages: console-setup
    1.194ubuntu3.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 30 Mar 2020 12:46:20 +0100

ubiquity (20.04.6) focal; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Fix ZFS installation on MBR system now that partman-auto always creates an
    ESP.
  * Fix the display of the partition layout on ZFS installation in Ubiquity.
  * Install zsys when ZFS installation is selected.
  * Remove userobj_accounting from zpool features. It is not supported by GRUB
    when reverting on a snapshot.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Fri, 28 Feb 2020 10:51:09 +0100

ubiquity (20.04.5) focal; urgency=medium

  [ Jean-Baptiste Lallement ]
  * zsys-setup: Drives bigger than 2TB use GPT but if the machine has been
    booted in legacy mode the ESP is not created. Rely on the label type
    instead of the firmware to know how to partition the disk (LP: #1856863).
    Thanks to Pablo Mendez Hernandez for the investigation.

  [ Iain Lane ]
  * Automatic update of included source packages: choose-mirror
    2.78ubuntu7, console-setup 1.194ubuntu2, partman-basicmethods 70,
    partman-jfs 58, partman-lvm 132, preseed 1.71ubuntu11, shim-signed
    1.41.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: partman-auto
    134ubuntu13.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Feb 2020 20:15:17 +0000

ubiquity (20.04.4) focal; urgency=medium

  * When removing packages, also remove automatically installed packages that
    are no longer required (LP: #1798992)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 16 Dec 2019 11:41:50 +0100

ubiquity (20.04.3) focal; urgency=medium

  [ Michael Hudson-Doyle ]
  * d/control: Recommend grub-efi-amd64 or grub-efi-ia32, not the transitional
    grub-efi which is no longer installed by default. (LP: #1848880)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Dec 2019 12:48:01 -0800

ubiquity (20.04.2) focal; urgency=medium

  * Make sure the screen-reader-enabled setting gets passed to the target
    system (LP: #1848144).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 29 Nov 2019 10:47:45 +0100

ubiquity (20.04.1) focal; urgency=medium

  * zfs:
    - Added an advanced features dialog to the partitioning page. LVM, LVM
      with encryption and experimental ZFS support have been moved to this
      dialog.
    - Fix tag name from org.zsys to com.ubuntu.zsys.
    - Use version 5000 for bpool with some features disabled to stay
      compatible with grub and prevent users from upgrading and breaking their
      systems.
    - The partman confirmation dialog now displays the final layout of the
      partition that will be created instead of the true but confusing message
      from partman telling that an ext4 partition will be created (LP: #1847719)
    - Calculate the size of bpool to be 500M < 5% partition size < 2G
    - Always create an ESP and moved grub to the ESP.
    - Updated translation templates.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Mon, 28 Oct 2019 09:07:57 +0100

ubiquity (19.10.21) eoan; urgency=medium

  [ Dimitri John Ledkov ]
  * scripts/plugininstall.py: skip installing extras with multiarch
    dependencies in the first pass.

  [ Mathieu Trudel-Lapierre ]
  * Updated translations from Launchpad.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 16 Oct 2019 10:01:56 -0400

ubiquity (19.10.20) eoan; urgency=medium

  [ Jean-Baptiste Lallement ]
  * zsys-setup: Force a re-read of the partition table before using the disk
    (LP: #1847748)

  [ Iain Lane ]
  * zsys-setup: Mark packages to kept in the init phase, rather than finalize.
    Finalize runs after ubiquity has removed files from packages which it has
    decided the target system isn't going to need. It's too late for us to try
    to save things then. (LP: #1847898)

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: partman-auto
    134ubuntu12, partman-base 206ubuntu6 (LP: #1847944)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Oct 2019 14:31:19 +0100

ubiquity (19.10.19) eoan; urgency=medium

  [ Sebastien Bacher ]
  * Update the 'Skip' string to '_Skip', matching  the change done to
    ubiquity.ui some years ago. The template needs to be manual updated which
    wasn't done at the time, should make it translatable again (LP: #1731070)

  [ Mathieu Trudel-Lapierre ]
  * Update translations from Launchpad.
  * debian/real-po/templates.pot: update template using debconf-updatepo.

  [ Jean-Baptiste Lallement ]
  * Switch zpool sync property back to standard after installation
  * zfsutils-linux and zfs-initramfs moved to the live task, don't remove them
    at the end of installation (LP: #1847739)
  * Change partition types to Solaris Boot and Root types

  [ Didier Roche ]
  * As we are not going to own in the end org.zsys, move our identifier tags
    to com.ubuntu.zsys (LP: #1847711)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Fri, 11 Oct 2019 12:05:23 +0200

ubiquity (19.10.18) eoan; urgency=medium

  * Automatic update of included source packages: partman-auto
    134ubuntu11. (LP: #1845571)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Oct 2019 03:04:14 +0100

ubiquity (19.10.17) eoan; urgency=medium

  * scripts/zsys-setup: Do not install zfsutils-linux and zfs-initramfs now
    that they are seeded on the image (LP: #1847431)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Wed, 09 Oct 2019 09:50:59 +0200

ubiquity (19.10.16) eoan; urgency=medium

  [ Iain Lane ]
  * Drop zfs-0.8-support.patch. We're goind to do this via the main
    grub-installer package in the archive instead.
  * ubi-partman.py: Handle ZFS option not being implemented on KDE frontend
    (LP: #1847228)
  * Automatic update of included source packages: grub-installer
    1.128ubuntu14. (LP: #1847211)

  [ Michael Hudson-Doyle ]
  * ubiquity/install_misc.py:do_install: mark any already-installed packages
    as manually installed. (LP: #1841672)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 08 Oct 2019 17:16:13 +0100

ubiquity (19.10.15) eoan; urgency=medium

  [ Jean-Baptiste Lallement ]
  * debian/rules: grub-installer doesn't exist on some archs. Do not patch it
    in this cases.

  [ Iain Lane ]
  * Run debconf-updatepo to re-generate translation template

 -- Iain Lane <iain.lane@canonical.com>  Mon, 07 Oct 2019 14:40:28 +0100

ubiquity (19.10.14) eoan; urgency=medium

  [ Jean-Baptiste Lallement ]
  * ubi-partman.py: Match the enable state of lvm and crypto labels with the
    corresponding checkbox.
  * Added experimental support for ZFS. (LP: #1843768)

  [ Mathieu Trudel-Lapierre ]
  * Update translations from Launchpad.

  [ Iain Lane ]
  * ubiquity.ui: Adjust width of "Installation complete" dialog.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Thu, 12 Sep 2019 16:24:58 +0200

ubiquity (19.10.13) eoan; urgency=medium

  [ Jean-Baptiste Lallement ]
  * scripts/install.py: Replaced removed property Package.section by
    Version.section (LP: #1845593)

  [ Iain Lane ]
  * nm.py: Stop referencing udevadm by absolute path
    systemd 242-6ubuntu1 dropped a `/sbin/ubiquity` compatibility symlink
    that we were referencing by absolute path. This broke ubiquity when run
    on a system with a wireless adapter. Fix this by not referencing an
    absolute path but using normal $PATH lookup instead. (LP: #1845730)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 27 Sep 2019 09:44:57 +0200

ubiquity (19.10.12) eoan; urgency=medium

  * ubiquity-dm: Still start gsd-xsettings for non-gnome-shell desktops.
    Apparently budgie wants this. (LP: #1845432)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 26 Sep 2019 17:38:45 +0100

ubiquity (19.10.11) eoan; urgency=medium

  * ubiquity-dm: Adjust to GNOME Shell's gsd-xsettings related changes. GNOME
    Shell now launches gsd-xsettings itself, via the systemd units provided in
    `gnome-session` and `gnome-settings-daemon-common`. This conflicts with
    what we're doing in ubiquity-dm in two ways:
      - We are trying to launch gsd-xsettings ourselves, and you can only have
        one of these running at a time.
      - The user systemd environment does not have $DISPLAY in it, meaning
        that gsd-xsettings can't connect to the X server.
    Stop launching gsd-xsettings from ubiquity-dm, letting the shell handle it
    directly, and also export $DISPLAY into the D-Bus and systemd environments
    so that it can start up. (LP: #1844509)
  * ubiquity-dm: Don't launch ibus when we're running gnome-shell. These days
    gnome-shell takes care of running it itself.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 25 Sep 2019 17:55:44 +0100

ubiquity (19.10.10) eoan; urgency=medium

  * Automatic update of included source packages: apt-setup
    1:0.141ubuntu5, localechooser 2.71ubuntu4, partman-lvm 131.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Sep 2019 18:41:52 -0700

ubiquity (19.10.9) eoan; urgency=medium

  * Automatic update of included source packages: partman-base
    206ubuntu5.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Aug 2019 10:59:05 +0100

ubiquity (19.10.8) eoan; urgency=medium

  * Pacify pep8.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 21 Jul 2019 13:39:28 -0300

ubiquity (19.10.7) eoan; urgency=medium

  * Automatic update of included source packages: partman-auto-lvm
    59ubuntu4, partman-base 206ubuntu3, partman-crypto 101ubuntu4.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 21 Jul 2019 11:41:40 -0300

ubiquity (19.10.6) eoan; urgency=medium

  * Use python3 in autopilot runner.
  * Try to keep grub and friends on arm64 harder.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 21 Jul 2019 11:39:04 -0300

ubiquity (19.10.5) eoan; urgency=medium

  * Automatic update of included source packages: apt-setup
    1:0.141ubuntu4, partman-base 206ubuntu2.
  * tests/run-pyflakes: run all tests with python3, not python.
  * Build-depend on scour which provides the dh_scour command we use, not
    python-scour

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jun 2019 14:59:38 -0700

ubiquity (19.10.4) eoan; urgency=medium

  * Drop support for obsolete arches. powerpc arch is dead and current
    armhf boards use pre-installed images:
    - drop powerpc / yaboot support
    - drop armel/armhf subarches support
    - drop flash-kernel support
    - drop long obsolete conflicts/replaces
    - drop related d-i lists & install directories
  * Add basic support for arm64 with grub and EFI
  * Automatic update of included source packages.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 12 Jun 2019 19:41:25 +0100

ubiquity (19.10.3) eoan; urgency=medium

  * Drop meta-packages Breaks, as live is not actually a package shipped
    by those metas, thus makes no difference. All seeds have been adjusted
    to include panel, where desired.
  * Automatic update of included source packages: hw-detect
    1.117ubuntu7.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jun 2019 10:20:16 +0100

ubiquity (19.10.2) eoan; urgency=medium

  * Remove wallpaper subdir from Makefile.am.
  * Fix test_misc, cn now has a second altgr-pinyin variant.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 23 May 2019 14:17:49 +0100

ubiquity (19.10.1) eoan; urgency=medium

  * Switch sources to eoan.
  * Automatic update of included source packages: apt-setup
    1:0.141ubuntu3, base-installer 1.158ubuntu5, choose-mirror
    2.78ubuntu6, console-setup 1.191ubuntu3, flash-kernel 3.98ubuntu1,
    partman-jfs 57, partman-lvm 130, preseed 1.71ubuntu10, tzsetup
    1:0.94ubuntu2.
  * Drop wallpaper app, unused since 2.13.13.
    (raring, git diff 076d364 4ebb6c1)
  * Move panel app into a separate package, to be used on frontend-gtk
    based flavours that ship/show indicators in maybe|only-ubiquity
    modes. Currently: budgie, mate, studio. These flavours must seed the
    new ubiquity-frontend-gtk-panel into live. LP: #1830201

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 23 May 2019 13:29:43 +0100

ubiquity (19.04.9) disco; urgency=medium

  * KDE front end: PartitionModel.py - Remove code depreciated in port from
    PyQt4 to PyQt5. Fixes crash on clicking checkbox to format a partition in
    the main partitioning page. (LP: #1687637)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 08 Apr 2019 14:20:35 -0400

ubiquity (19.04.8) disco; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Always install free drivers with ubuntu-drivers. This allows automated
    installation of drivers like open-vm-tools-desktop at installation time of
    VMware guests for example.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 03 Apr 2019 13:10:57 +0100

ubiquity (19.04.7) disco; urgency=medium

  [ Unit 193 ]
  * bin/ubiquity-dm: Disable the the panel in ubiquity-dm when using xfwm4
    again. (LP: #1795216)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 19 Mar 2019 09:22:05 -0400

ubiquity (19.04.6.2) disco; urgency=medium

  * Automatic update of included source packages: console-setup
    1.178ubuntu11, partman-basicmethods 69, partman-crypto 101ubuntu2,
    partman-jfs 56. (LP: #1810647, LP: #1817453)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 18 Mar 2019 10:48:24 -0400

ubiquity (19.04.6.1) disco; urgency=medium

  * Automatic update of included source packages: partman-base
    206ubuntu1 (LP: #1818285).

 -- Iain Lane <iain.lane@canonical.com>  Tue, 05 Mar 2019 12:49:08 +0000

ubiquity (19.04.6) disco; urgency=medium

  * Automatic update of included source packages: user-setup
    1.63ubuntu6.
  * gtk: Disable screen blanking for Shell.
    With the switch to GNOME Shell, we're no longer using GNOME Screensaver
    to handle blanking the screen. Setting the `idle-delay' to 0 disables
    this for Shell.
  * gtk, kde: Don't allow going back once we are anywhere past partitioning.
    The effect of this is that proceeding backwards from usersetup to
    timezone is not permitted any more. This is a harmful thing to be able
    to do because the timezone step 'resets' debconf after it finishes, and
    this might break an ongoing installation.
    https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1799097

 -- Iain Lane <iain.lane@canonical.com>  Thu, 28 Feb 2019 10:59:39 +0000

ubiquity (19.04.5) disco; urgency=medium

  [ Brian Murray ]
  * Remove code related to encrypting home since it is unused and so every
    debug log file doesn't have messages regarding ecryptfs being deprecated.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: console-setup
    1.178ubuntu10, flash-kernel 3.90ubuntu5, netcfg 1.142ubuntu8,
    partman-crypto 101ubuntu1, partman-efi 71ubuntu5, partman-jfs 55,
    partman-lvm 127, partman-xfs 66.

  * ubiquity-frontend-gtk: drop libindicator3-7 from depends to
    suggests. ubiquity-dm supports multiple desktop environments some of
    which use indicators, with libindicator and launch them into the
    panel. However, none of these are in main nor on the gnome-shell based
    images. And images that do use panel with indicators are shipping
    libindicator3-7 anyway.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 20 Feb 2019 23:43:23 +0100

ubiquity (19.04.4) disco; urgency=medium

  * When installing non-free packages, also iterate and install any
    apt-installed marked packages which may include non-free drivers
    detected by ubuntu-drivers. LP: #1793671

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Dec 2018 11:22:12 +1100

ubiquity (19.04.3.1) disco; urgency=medium

  * Automatic update of included source packages: shim-signed 1.39.

  [ Rik Mills ]
  * Cherry pick commit by Harald Sitter from KDE Neon's ubiquity fork.
    Fixes ubiquity crash with new Kcrash. (LP: #1805685)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Dec 2018 09:51:52 +0200

ubiquity (19.04.2) disco; urgency=medium

  [ Brian Murray ]
  * Remove use of ido and libido3-0.1-dev as a build dependency.

  [ Adam Conrad ]
  * Automatic update of included source packages: bterm-unifont 1.6,
    partman-basicmethods 68, partman-jfs 54, partman-xfs 65.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 12 Nov 2018 15:44:52 -0700

ubiquity (19.04.1) disco; urgency=medium

  * Update d-i sources to point at disco
  * Automatic update of included source packages: choose-mirror
    2.78ubuntu5, preseed 1.71ubuntu9.
  * Support usr-merge in install.py. LP: #1801408

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Nov 2018 18:25:22 +0000

ubiquity (18.10.12) cosmic; urgency=medium

  * Automatic update of included source packages: partman-auto
    134ubuntu10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Oct 2018 17:56:19 +0100

ubiquity (18.10.11) cosmic; urgency=medium

  * kde, gtk: Wait for both timezone and partman_commit before installing.
    We were racing starting the installation with committing the partition
    table changes, if you were fast enough at the timezone selection page.
    What we need to do is wait until both timezone selection *and*
    partman_commit have finished before.
    This is a little bit delicate, because the user setup page, which comes
    after the timezone page, writes to debconf and so we have to be careful
    not to restart it after the user setup page is shown. We do that after
    finishing timezone selection, since this writes to debconf. It is not
    needed after partman_commit, because it only reads. (LP: #1798005)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 16 Oct 2018 12:33:12 +0100

ubiquity (18.10.10) cosmic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Mask ubiquity.service in a system installed with oem-config/enabled=true,
    as this prevents getty@tty1.service from running. (LP: #1789920)

  [ Łukasz 'sil2100' Zemczak ]
  * Update translations from Launchpad.
  * Automatic update of included source packages: partman-partitioning
    120ubuntu2, shim-signed 1.38.

  [ Iain Lane ]
  * gtk, kde: Start installing after ubi-timezone. (LP: #1797579)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 15 Oct 2018 14:28:09 +0100

ubiquity (18.10.9) cosmic; urgency=medium

  * Fix ubiquity's use of regexes with escaped characters to satisfy new
    PEP8 requirements (W605).
  * tests/run-pep8: ignore W504 for now: line break rules have changed in PEP8
    but we're not adapting the code right now (too many noop changes this late
    in the release).

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 24 Sep 2018 16:10:40 -0400

ubiquity (18.10.8) cosmic; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Do not remove ubiquity-slideshow in autopilot tests (LP: #1771751)

  [ Heber Parrucci ]
  * Fix initrd unpacking and repacking in autopilot tests.

  [ Marco Trevisan ]
  * ubiquity.json: use Yaru as gnome-shell default stylesheet (LP: #1789421)

  [ Adam Conrad ]
  * Automatic update of included source packages: apt-setup
    1:0.141ubuntu2, console-setup 1.178ubuntu9, partconf 1.50ubuntu1,
    shim-signed 1.37 (LP: #1794137)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 24 Sep 2018 12:16:49 -0600

ubiquity (18.10.7) cosmic; urgency=medium

  [ Dariusz Gadomski ]
  * Implement missing reboot and shutdown methods in debconf_ui (LP: #1749289)

  [ Michael Hudson-Doyle ]
  * Add systemd-resolved to oem-config.target's Wants (LP: #1777900)
  * Automatic update of included source packages: console-setup
    1.178ubuntu8, partman-jfs 53, partman-lvm 124.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 17 Aug 2018 10:23:14 +1200

ubiquity (18.10.6) cosmic; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Automatic update of included source packages: partman-auto
    134ubuntu9, partman-efi 71ubuntu3. (LP: #1766945)

  [ Adam Conrad ]
  * d-i/sources.list: Always include *-updates, so it doesn't need to
    be fixed on stable branches for the first SRU every single time.

  [ Mathieu Trudel-Lapierre ]
  * debian/ubiquity.templates: revise Secure Boot messages to clarify that we
    are not actually disabling Secure Boot anymore, but instead configuring it
    with a generated Machine-Owner Key.
  * d-i/lists/amd64, d-i/Makefile: add shim-signed to packages' we include from
    the archive; we'll need update-secureboot-policy from it.
  * d-i/get-sources, d-i/update-control:
    - adjust for downloading, but not building, shim-signed
    - make sure we use the right Dpkg status file.
    - clean up the binary blobs we don't need from shim-signed.
  * debian/ubiquity.dirs-amd64: ensure we create /usr/lib/ubiquity/shim-signed.
  * scripts/simple-plugins: create MOK key and start enrollment in firmware if
    the option to configure SecureBoot was selected and a password entered.
  * scripts/plugininstall.py: copy generated MOK to the target.
  * Automatic update of included source packages: console-setup
    1.178ubuntu4, grub-installer 1.128ubuntu12, partman-efi 71ubuntu4,
    shim-signed 1.36.
  * Automatic update of included source packages: console-setup
    1.178ubuntu5, localechooser 2.71ubuntu3.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 24 Jul 2018 22:29:28 -0400

ubiquity (18.10.5) cosmic; urgency=medium

  * Automatic update of included source packages: grub-installer
    1.128ubuntu11.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 27 Jun 2018 17:26:20 +0200

ubiquity (18.10.4) cosmic; urgency=medium

  [ Chen-Han Hsiao (Stanley) ]
  * Add efivars to mountpoints loaded at bootloader install time.
    (LP: #1772374)

  [ Steve Langasek ]
  * scripts/plugininstall.py: don't hard-code a resume partition in
    /etc/initramfs-tools/conf.d/resume at install time.  In bionic and later,
    initramfs-tools will autodetect an appropriate resume partition at
    initramfs generation time, so ubiquity's resume setting is redundant and
    possibly wrong.  LP: #1768230.

  [ Łukasz 'sil2100' Zemczak ]
  * Make sure that grub-pc is not removed after installation for both EFI and
    legacy BIOS cases as we now technically need it even for EFI installs.
    (LP: #1775743)

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: grub-installer
    1.128ubuntu9.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 25 Jun 2018 13:57:40 -0400

ubiquity (18.10.3) cosmic; urgency=medium

  [ Didier Roche ]
  * Only record OEM config when installing
  * Don't record telemetry data when doing stage 2 (user mode) as it keeps an
    unused /target directory (LP: #1773321) Also, record OEM types
    (LP: #1765693)
  * Switch to use uptime instead of time.time() which is sensitive to
    BIOS time reset after NTP sync, leading to negative values.
    (LP: #1771966)
  * Ignore .git file from built package and remove .bzr artefacts
  * update manifest

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 28 May 2018 16:02:33 +0200

ubiquity (18.10.2) cosmic; urgency=medium

  * Update Vcs-* for git migration
  * Remove .gladep file which was resurrected by mistake in the git
    conversion.

  [ Jean-Baptiste Lallement ]
  * Migrated autopilot tests to git

  [ Dimitri John Ledkov ]
  * Recommend btrfs-progs, not tools.
  * Automatic update of included source packages: apt-setup
    1:0.141ubuntu1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 22 May 2018 10:40:08 +0100

ubiquity (18.10.1) cosmic; urgency=medium

  [ Iain Lane ]
  * Bump sources to cosmic
  * Automatic update of included source packages: bterm-unifont 1.5,
    choose-mirror 2.78ubuntu4, preseed 1.71ubuntu8.

  [ Andrea Azzarone ]
  * misc.py: Restore the corrent euid in regain_privileges_save. Calling
    regain_privileges_save should restore the effective user-id to the one
    before the call  to drop_privileges_save. We need to call os.setresuid and
    os.setresgid twice to avoid permission issues when calling os.setgroups.
    (LP: #1751252)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 08 May 2018 12:07:44 +0100

ubiquity (18.04.14) bionic; urgency=medium

  * Revert the previous upload. It didn't actually *fix* all cases, just
    papered over them. If the race was lost, the screen reader still didn't
    work in ubiquity-dm mode.
  * Move the Gio.Settings code into the constructor of the wizard. This runs
    with dropped privileges (uid = 0, euid = 999) whereas run() runs as root
    (uid = 0, euid = 0). When run as 0 / 0, dconf creates its
    XDG_RUNTIME_DIR/dconf/user database as root. We need to ensure that it
    runs in a context with dropped privileges. (LP: #1767067)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 26 Apr 2018 15:46:32 +0100

ubiquity (18.04.13) bionic; urgency=medium

  [ Dimitri John Ledkov ]
  * Remove dconf/user before Try Ubuntu.
    Just, in case it has the wrong permissions, i.e. root and thus breaks
    user running gnome session / shell / "Try Ubuntu".

  [ Colin Watson ]
  * Automatic update of included source packages: flash-kernel 3.90ubuntu3,
    netcfg 1.142ubuntu7.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Apr 2018 15:06:50 +0100

ubiquity (18.04.12) bionic; urgency=medium

  [ Didier Roche ]
  * Request shutdown and reboot without using gnome-session (LP: #1766811)
    The if gnome_session code path doesn't declare the GNOME
    session interface it's using, so don't work.
    Even fixing it, we notice that calls aren't wired in GNOME session code.
    Fallback thus for now to old code path which is executed at least
    since xenial (when DBUS address wasn't correct in ubiquity process)

  [ Iain Lane ]
  * The dbus import is now unused and is triggering a pyflakes error, but
    we're not sure it isn't initialising some state that's required. At this
    late stage, just silence the error.
  * Automatic update of included source packages: flash-kernel
    3.90ubuntu2.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 25 Apr 2018 10:33:57 +0100

ubiquity (18.04.11) bionic; urgency=medium

  [ Sebastien Bacher]
  * Don't deactivate the screen-reader desktop keybinding, that was needed
    when ubiquity was handling the key press events but now gsd-media-keys is
    doing that. Listen to the corresponding key to start orca under
    ubiquity-dm since gnome-session isn't there to do it.
    (lp: #1741690)

  [ Iain Lane ]
  * misc.py: Fall back to SUDO_UID if PKEXEC_UID is not set.
  * ubiquity.desktop.in, misc.py: Pass through the ubuntu user's D-Bus session
    bus, if set, so that we can communicate with it.

  [ Jean-Baptiste Lallement ]
  * data/ubiquity.json: The separate greeter universal icon has been removed
    and the gnome-shell mode updated accordingly.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 24 Apr 2018 16:29:35 +0100

ubiquity (18.04.10) bionic; urgency=medium

  [ Colin Watson ]
  * Update translations from Launchpad.

  [ Simon Quigley ]
  * Following the lead of the GTK frontend, remove the encrypted home
    directory option from the Qt installer since ecryptfs no longer has
    support from the Ubuntu Security Team. This removes the frontend but keeps
    the codebase for the option so it can be added back later using another
    technology (LP: #1761396).

  [ Adam Conrad ]
  * Automatic update of included source packages: localechooser
    2.71ubuntu2.

  [ Jean-Baptiste Lallement ]
  * Do not start gnome-initial-setup for the OEM user (LP: #1765651)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Apr 2018 04:59:24 -0600

ubiquity (18.04.9) bionic; urgency=medium

  * Detect the proper name for zram in /proc/swaps (LP: #1763611).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Apr 2018 16:10:29 -0500

ubiquity (18.04.8) bionic; urgency=medium

  * Automatic update of included source packages: console-setup
    1.178ubuntu2.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 19 Apr 2018 12:33:36 +0200

ubiquity (18.04.7) bionic; urgency=medium

  * The correct service name to conflict with is getty@tty1.service, not
    getty@getty1.service.  LP: #1763739.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 18 Apr 2018 18:09:53 -0700

ubiquity (18.04.6) bionic; urgency=medium

  [ Steve Langasek ]
  * If we are running ubiquity-dm on VT1, we must conflict with
    getty@getty1.service and not rely on some other display manager to do
    this for us.

  [ Brian Murray ]
  * Drop the option to upgrade from an old release using ubiquity as it is
    crashing and leaves users in a broken state. (LP: #1756862)

  [ litianzhi ]
  * Fix untranslated "This software is subject to license" (LP: #1762097)

  [ Mathieu Trudel-Lapierre ]
  * debian/real-po/, po/: Translations import from Launchpad.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 13 Apr 2018 15:56:53 -0400

ubiquity (18.04.5) bionic; urgency=medium

  [ Steve Langasek ]
  * Don't block plymouth-quit-wait on the ubiquity greeter; we want ttys to
    be able to start in parallel for debuggability of ubiquity.  Blocking
    plymouth-quit is sufficient to ensure ordering.
  * scripts/start-ubiquity-dm: start on vt1 now instead of vt7, consistent
    with grub, plymouth, and gdm in 18.04.  Tested on Ubuntu Desktop with
    both "Try" and "Install" options. (LP: #1632151)

  [ Heber Parruci ]
  * autopilot: Update tests to match new UI for Updates and software page.

  [ Mike Gabriel ]
  * debian/control: Drop gir1.2-appindicator3-0.1. A11y support
    is not using AppIndicator anymore (LP: #1760701)

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: partman-crypto
    86ubuntu2, partman-lvm 123.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 10 Apr 2018 11:17:42 -0400

ubiquity (18.04.4) bionic; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * debian/control: have ubiquity-frontend-gtk Depends: explicitly on
    sensible-utils, which is used to start a browser when slideshow or
    release notes links are clicked. (LP: #1724224)
  * Automatic update of included source packages: netcfg 1.142ubuntu6,
    partman-efi 71ubuntu2, user-setup 1.63ubuntu5.

  [ Sebastien Bacher ]
  * gui/gtk/stepPrepare.ui: updated the non-free-software text to not
    include the mention to the MP3 fluendo codecs since those have
    been superseeded in the recent gstreamer version.
  * Rename the "Preparing to install Ubuntu" installer step to "Updates and
    other software" according to the design, thanks Matthew for pointing
    out the inconsistency

  [ Didier Roche ]
  * Collect and dump telemetry info as a log file: (LP: #1755456)
    Those installation telemetry info are for optional upload later on.

  [ Jeremy Bicha ]
  * Update "Updates and Other Software" page to match the spec (LP: #1758082)

  [ Rik Mills ]
  * Update KDE/Qt "Updates and Other Software" page in line with GTK changes,
    with some tweaks appropriate for Kubuntu usage in Bionic
  * Mark the sddm.conf file for OEM so that it can be removed by oem-config
    if unchanged.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 29 Mar 2018 13:42:51 -0400

ubiquity (18.04.3) bionic; urgency=medium

  [ Sebastien Bacher ]
  * Remove the encrypted userdir option from the gtk installer since
    ecryptfs is going to move to universe. The keep the base code in case
    the option is added back later using another technology.

  [ Iain Lane ]
  * Fix a crash in the KDE frontend - don't refer to a widget that doesn't
    exist. Properly hide the miminal install label and checkbox. (LP:
    #1752323)
  * install_misc: Use the `get_casper' function to properly get the location
    of the live media path.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 28 Feb 2018 17:03:39 +0000

ubiquity (18.04.2) bionic; urgency=medium

  [ Didier Roche ]
  * Add a minimal installation mode, which removes most programs from the
    final installation. The precise list of programs to remove is supplied as
    part of the image, and is constructed from a file in the seeds.

  [ Iain Lane ]
  * Automatic update of included source packages: console-setup
    1.178ubuntu1, hw-detect 1.117ubuntu6, partman-auto 134ubuntu8,
    partman-basicmethods 66, partman-lvm 122.
  * Some small tweaks to didrocks' minimal mode
    - update the path to the removal file
    - livecd-rootfs supplies us with a manifest-minimal-remove file that has
      no blank lines and no comments, so no need for us to strip them

 -- Iain Lane <iain.lane@canonical.com>  Mon, 26 Feb 2018 15:16:14 +0000

ubiquity (18.04.1) bionic; urgency=medium

  [ Dimitri John Ledkov ]
  * Move keyboard selection page earlier
  * Bump sources to bionic
  * Add rename as a build-dep, which is used to run update of d-i sources
  * Automatic update of included source packages: choose-mirror
    2.78ubuntu3, debian-installer-utils 1.124ubuntu1, flash-kernel
    3.90ubuntu1, hw-detect 1.117ubuntu5, localechooser 2.71ubuntu1,
    partman-auto-crypto 25ubuntu1, partman-base 192ubuntu1, partman-
    basicmethods 65, partman-jfs 52, partman-lvm 121, partman-
    partitioning 120ubuntu1, partman-xfs 63, preseed 1.71ubuntu7.

  [ Ryan Finnie ]
  * Use https for geoname-lookup.ubuntu.com

  [ Jean-Baptiste Lallement ]
  * Drop Flash text from the label to install 3rd party software option.

  [ Łukasz 'sil2100' Zemczak ]
  * Fix autopkgtests for the new install flow

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 11:31:21 +0000

ubiquity (17.10.10) artful; urgency=medium

  * tests/test_misc.py: Rip out the test for 'ta' keymap. It's been regularly
    broken just because gsettings is returning values out of order (and
    not all of the variants show every time). We already test a few other
    keymaps, so no need to test all of them.
  * Automatic update of included source packages: debian-installer-utils
    1.113ubuntu2, netcfg 1.142ubuntu5.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 13 Oct 2017 10:03:04 -0400

ubiquity (17.10.9) artful; urgency=medium

  [ Sebastien Bacher ]
  * bin/ubiquity-dm:
    - start gsd-media-keys so the screenreader can be enabled using
      the standard keybinding (lp: #1719994)
  * ubiquity/frontend/gtk_ui.py:
    - don't require the a11y indicator to be available to play the
      installer-is-ready sound (lp: #1719992)

  [ Shih-Yuan Lee ]
  * Ensure the IO encoding for Debconf always to be utf-8. (LP: #1713002)

  [ Mathieu Trudel-Lapierre ]
  * Update translations from Launchpad.
  * Really fix debian/real-po/templates.pot to get the mention of Flash
    out, in time.
  * Automatic update of included source packages: console-setup
    1.166ubuntu7.
  * tests/test_misc.py: Fix 'ta' keymap test again: tam_TAB no longer exists,
    replace it with checking for tam_unicode.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 11 Oct 2017 12:06:55 -0400

ubiquity (17.10.8) artful; urgency=medium

  [ Bryan Quigley ]
  * Flash will no longer be installed via the "restricted" checkbox so remove
    it. (LP: #1709166)

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: partman-auto
    134ubuntu7, console-setup 1.166ubuntu5, netcfg 1.142ubuntu4.

  [ Jean-Baptiste Lallement ]
  * bin/oem-config-prepare: Drop privileges to the oem user to display the
    success dialog under wayland (LP: #1719734)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 27 Sep 2017 11:43:09 -0400

ubiquity (17.10.7) artful; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Mark the files for oem-config as trusted so they are properly handled by
    nautilus. (LP: #1712581)

  [ Iain Lane ]
  * ubi-console-setup.py: Set DPKG_MAINTSCRIPT_{NAME,PACKAGE} variables for
    our manual running of keyboard-configuration.postinst. This script now
    runs dpkg-maintscript-helper to remove an old conffile. That code won't
    fire in ubiquity, but we still need to not error out. (LP: #1715605)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 07 Sep 2017 11:02:30 -0400

ubiquity (17.10.6) artful; urgency=medium

  [ David Mohammed ]
  * Set XDG_CURRENT_DESKTOP for Budgie, so the wallpaper shows. (LP: #1713662)

  [ Iain Lane ]
  * debian/rules: Use an absolute path to KeyboardNames.pl so that the rule
    in console-setup fires.
  * Automatic update of included source packages: console-setup
    1.166ubuntu4.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 06 Sep 2017 15:30:47 +0100

ubiquity (17.10.5) artful; urgency=medium

  [ Iain Lane ]
  * bin/ubiquity-dm: Set XDG_CURRENT_DESKTOP when using gnome-shell, so that
    we get the proper per-session gsettings overrides used. (LP: #1712289)
  * data/ubiquity.json: Set the ubuntu gnome-shell theme.
  * Automatic update of included source packages: console-setup
    1.166ubuntu2, flash-kernel 3.0~rc.4ubuntu66.
  * debian/rules: Make KeyboardNames.pl relative.

  [ Jeremy Bicha ]
  * bin/ubiquity-dm: Don't try to start binaries removed in
    gnome-settings-daemon 3.25. Thanks fossfreedom for the report.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 05 Sep 2017 17:57:32 +0100

ubiquity (17.10.4) artful; urgency=medium

  [ Iain Lane ]
  * bin/ubiquity-dm: Rewrap a line to fix pep8 failure
  * Automatic update of included source packages: console-setup
    1.142ubuntu7.

  [ Jean-Baptiste Lallement ]
  * Disable screen blanking for the Ubuntu session. Thanks Heber

 -- Iain Lane <iain.lane@canonical.com>  Mon, 21 Aug 2017 14:26:21 +0100

ubiquity (17.10.3) artful; urgency=medium

  * Update ubiquity-dm for the new gnome-settings-daemon (lp: #1702892)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Jul 2017 09:50:30 +0200

ubiquity (17.10.2) artful; urgency=medium

  * Depend/build-depend on python3-debconf rather than debconf for the
    Python module (see https://bugs.debian.org/709198).
  * Automatic update of included source packages: netcfg 1.142ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jul 2017 22:25:38 +0100

ubiquity (17.10.1) artful; urgency=medium

  [ Chen-Han Hsiao (Stanley) ]
  * Fix path to GDM3 custom config.

  [ David Mohammed ]
  * Add 'budgie-core' as an alternate for the package ubiquity-frontend-gtk
    Ubuntu Budgie ISO includes GNOME Shell due to the default metacity
    having a dependency on gnome-session in turn pulls in gnome-shell
    bin/ubiquity-dm correctly using budgie-wm which is provided by budgie-core

  [ Mathieu Trudel-Lapierre ]
  * Move sources to artful instead of zesty.
  * Automatic update of included source packages: choose-mirror
    2.78ubuntu2, grub-installer 1.128ubuntu8, netcfg 1.142ubuntu2,
    partman-basicmethods 62, partman-lvm 114, preseed 1.71ubuntu5, tzsetup
    1:0.94ubuntu1.
  * Style cleanup to remove bare except: cases, as pointed out by pep8.

  [ Jeremy Soller ]
  * Add support for WPA2 Enterprise.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 18 Jul 2017 11:27:07 -0400

ubiquity (17.04.9) zesty; urgency=medium

  * tests/test_misc.py: Really fix test for the 'ta' keymap: check for
    lk/tam_TAB in the list rather than asserting that it needs to be the first
    element; and allow for the different list size now.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Sun, 09 Apr 2017 21:53:53 -0400

ubiquity (17.04.8) zesty; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: choose-mirror
    2.78ubuntu1, hw-detect 1.117ubuntu4, netcfg 1.138ubuntu5.
  * d-i/lists/powerpc: Don't get powerpc anymore. That means debian/control
    also drops powerpc packages: partman-newworld and yaboot-installer.
  * Update translations from Launchpad.
  * tests/test_misc.py: Update lang/xkb keymap selection tests; ta now returns
    the "lk" code by default (Sri Lanka), apparently.

  [ Jeremy Bicha ]
  * ubiquity-dm: Fix Ubuntu GNOME missing window decorations (LP: #1675210)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 07 Apr 2017 13:11:27 -0400

ubiquity (17.04.7) zesty; urgency=medium

  [ David Mohammed ]
  * ubiquity-dm: don't skip settings-daemon; Ubuntu Budgie should use the
    gnome-settings-daemon included on the livefs. (LP: #1663058)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 10 Feb 2017 11:20:44 -0500

ubiquity (17.04.6) zesty; urgency=medium

  [ Walter Lapchynski ]
  * Provide an error when insufficient disk space is detected in the Prepare
    stage of Ubiquity when installing Kubuntu.

  [ David Mohammed ]
  * Update ubiquity-dm to ensure windows decorations and background is
    displayed for Ubuntu Budgie (LP: #1659280)
  * Switch to the ubiquity-panel with a panel color defined by Ubuntu Budgie.

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: choose-mirror
    2.74ubuntu1.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 06 Feb 2017 10:54:06 -0500

ubiquity (17.04.5) zesty; urgency=medium

  * Automatic update of included source packages: clock-setup
    0.131ubuntu1, partman-auto-lvm 59ubuntu3. (LP: #1659448)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 30 Jan 2017 22:45:07 -0500

ubiquity (17.04.4) zesty; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Set extend property for the panel to CAIRO_EXTEND_PAD rather than REPEAT,
    so HiDPI will look slightly better with a nicer edge to the bottom of the
    panel, in the right color, rather than possibly repeating the gradient.
    (LP: #1622686)
  * Automatic update of included source packages: grub-installer
    1.128ubuntu7, netcfg 1.138ubuntu4, partman-btrfs 29ubuntu1, partman-
    partitioning 114ubuntu2.

  [ Max Brustkern ]
  * Set gail or autopilot to GTK_MODULES if GTK_MODULES is empty, rather
    than always trying to append. (LP: #1654630)

  [ David Mohammed ]
  * Update ubiquity-dm to ensure Ubuntu Budgie displays its panel
    to allow users to use the network-manager applet (LP: #1657447)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 23 Jan 2017 13:02:20 -0500

ubiquity (17.04.3) zesty; urgency=medium

  * Automatic update of included source packages: netcfg 1.138ubuntu3.
  * kde_ui.py: Fix QMessageBox warning call to use "StandardButtons" ORed list
    of Retry/Ignore/Cancel buttons rather than each as new arguments, as the
    latter form is obsolete and breaks the Kubuntu installer. (LP: #1650767)
  * debian/rules: add ./ to the path for KeyboardNames.pl when we go to build
    kbdnames.gz; otherwise it looks as though kbdnames-maker won't find our
    list of keyboard models, layouts and variants. (LP: #1650767)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 09 Jan 2017 16:38:01 -0500

ubiquity (17.04.2) zesty; urgency=medium

  [ David Mohammed ]
  * Update ubiquity-dm to support Ubuntu Budgie (LP: #1654368)

  [ Colin Watson ]
  * Automatic update of included source packages: partman-btrfs 26ubuntu1,
    partman-partitioning 114ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 07 Jan 2017 14:00:41 +0000

ubiquity (17.04.1) zesty; urgency=medium

  * Update sources to zesty.
  * Add partman-swapfile d-i component.
  * Confirm no_swap question.
  * Make swapfile creation non-iteractive and in the background.
  * Automatic update of included source packages: choose-mirror
    2.73ubuntu1, flash-kernel 3.0~rc.4ubuntu65, partman-auto 134ubuntu6,
    partman-auto-lvm 59ubuntu2, partman-basicfilesystems 127ubuntu2,
    partman-btrfs 23ubuntu1, preseed 1.71ubuntu4.
  * Pacify pycodestyle 2.0.
  * Rip out GTK_MODULES overlay-scrollbar, no longer a gtk module.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Dec 2016 12:39:41 +0000

ubiquity (16.10.13) yakkety; urgency=medium

  [ Blaze ]
  * Port to PyQT5.

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: preseed 1.71ubuntu3.
  * Finish porting to PyQt5.
  * Various small UI tweaks to support GTK 3.20. (LP: #1614848, #1617711)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 06 Oct 2016 19:30:10 -0400

ubiquity (16.10.12) yakkety; urgency=medium

  * Automatic update of included source packages: base-installer
    1.158ubuntu4, console-setup 1.142ubuntu5, hw-detect 1.117ubuntu3.
  * data/ubiquity.desktop.in: run ubiquity in sudo rather than depending on
    pkexec to do the right thing. (LP: #1189875)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 05 Oct 2016 15:04:21 -0400

ubiquity (16.10.11) yakkety; urgency=medium

  [ Simon Steinbeiß ]
  * Account for larger harddrives in the partition size spinbutton.
    (LP: #1622258)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 13 Sep 2016 10:07:18 -0400

ubiquity (16.10.10) yakkety; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu64, netcfg 1.138ubuntu2, partman-auto 134ubuntu3.
  * ubi-prepare.py: default to disabling Secure Boot when third party drivers
    are being installed, since it's most likely what people will want. This
    will also avoid people skipping through this important part of the
    installer without noticing, only to find their systems not all working
    correctly. (LP: #1606393)

  [ Jeremy Bicha ]
  * gtk/ubiquity.ui: Right align Skip button (LP: #1612455)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 09 Sep 2016 10:14:36 -0400

ubiquity (16.10.9) yakkety; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * bin/ubiquity: Remove duplicate setting of LC_ALL introduced in previous
    upload.
  * ubiquity-dm: Watch for the xsettings usd plugin to be started before
    continuing. Do this by watching for the DBus signal via GDBus methods
    rather than parsing dbus-monitor output.

  [ Iain Lane ]
  * ubiquity-dm: Drop privileges before performing operations on D-Bus
  * ubiquity-dm: Fix signal handler's parameters and add timeout.

  [ Max Brustkern ]
  * tests: Pass custom proxy classes directly instead of locating them by name.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 25 Aug 2016 11:01:29 -0400

ubiquity (16.10.8) yakkety; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: choose-mirror
    2.69ubuntu1, grub-installer 1.128ubuntu6, netcfg 1.138ubuntu1,
    partman-partitioning 112ubuntu1.
  * bin/ubiquity: Work around apt printing pmstatus messages progress percent
    values following LC_NUMERIC. (LP: #1611010)

  [ Martin Pitt ]
  * scripts/plugininstall.py: Remove fallback creation of /etc/iftab. This
    hasn't existed for a long time (pre-udev).
  * scripts/plugininstall.py: Remove fallback creation of
    /etc/network/interfaces. The ifupdown package already creates one, it
    is not necessary to have a (quasi-)empty file, and desktop systems use
    NetworkManager instead of ifupdown.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 23 Aug 2016 17:11:45 -0400

ubiquity (16.10.7) yakkety; urgency=medium

  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu63.
  * debian/control: Build-Depends on the right version of gtk too.
  * ubiquity/misc.py: fix regex to match nvme first, otherwise it gets mangled
    by the rest of the matching.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 01 Aug 2016 15:17:03 -0400

ubiquity (16.10.6) yakkety; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: partman-btrfs
    21ubuntu2. (LP: #1606295)

  [ Iain Lane ]
  * debian/control: Depend on gir1.2-gtk-3.0 (>= 3.20).
  * ubiquity/frontend/gtk_ui.py: Port style to Gtk 3.20.
  * Silence some pyflakes warnings.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 29 Jul 2016 11:57:46 -0400

ubiquity (16.10.5) yakkety; urgency=medium

  [ Kai-Heng Feng ]
  * ubiquity-dm: Wait until u-s-d xsettings plugin is activated. (LP: #1560162)

  [ David Jordan ]
  * ubiquity/misc.py: set correct target device name for nvme drives.
    (LP: #1600308)

  [ Mathieu Trudel-Lapierre ]
  * ubi-prepare.py: default to Secure Boot disabled if we install third-party
    drivers.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 25 Jul 2016 15:37:04 -0400

ubiquity (16.10.4) yakkety; urgency=high

  [ Shih-Yuan Lee (FourDollars) ]
  * Some places doesn't have the location information. (LP: #1584417)

  [ Dimitri John Ledkov ]
  * Fix substitution variables syntax from $() -> ${} in
    translations. (LP: #1603926)
  * Automatic update of included source packages: clock-setup
    0.128ubuntu1, partman-base 187ubuntu3, partman-btrfs 21ubuntu1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Jul 2016 12:12:43 +0100

ubiquity (16.10.3) yakkety; urgency=medium

  * If mate-settings-daemon is available, use it in preference to
    unity-settings-daemon.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 22 Jun 2016 17:23:30 -0400

ubiquity (16.10.2) yakkety; urgency=medium

  * scripts/clock-setup-apply: guard against missing rcS file on the rootfs.
    (LP: #1587555)
  * autopilot/ubiquity_autopilot_tests/*: remove unused imports for pyflakes.
  * tests/pyflakes.exclude: update exclusions to remove autopilot entries
    just fixed, and add the full module path to the others.
  * Automatic update of included source packages: apt-setup
    1:0.104ubuntu5, base-installer 1.158ubuntu3, clock-setup
    0.126ubuntu2, console-setup 1.142ubuntu4, netcfg 1.135ubuntu6,
    partconf 1.50, partman-auto-lvm 59ubuntu1, partman-ext3 86ubuntu1,
    partman-lvm 113.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 09 Jun 2016 10:43:50 -0400

ubiquity (16.10.1) yakkety; urgency=medium

  [ Iain Lane ]
  * misc.py: Ask for the 'State' property instead of 'state'. Fixes display
    of wireless page. (LP: #1572793)

  [ Mathieu Trudel-Lapierre ]
  * Abitrary version number change.
  * Move sources to yakkety.
  * Automatic update of included source packages: choose-mirror
    2.65ubuntu7, console-setup 1.142ubuntu1, preseed 1.71ubuntu2.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 29 Apr 2016 16:28:50 -0400

ubiquity (2.21.63) xenial; urgency=medium

  * Automatic update of included source packages: user-setup
    1.63ubuntu4.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 20 Apr 2016 12:11:00 -0400

ubiquity (2.21.62) xenial; urgency=medium

  * Automatic update of included source packages: netcfg 1.135ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Apr 2016 13:22:40 +0100

ubiquity (2.21.61) xenial; urgency=medium

  * Automatic update of included source packages: console-setup
    1.108ubuntu15.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 19 Apr 2016 21:25:45 -0400

ubiquity (2.21.60) xenial; urgency=medium

  * Automatic update of included source packages: user-setup
    1.63ubuntu3.
  * Don't crash in the Kubuntu prepare page if we're booting in EFI. Try to
    do the right thing in showing password boxes and all the trimmings for
    setting a Mok password, using the already-translated strings we have.
    (LP: #1529450)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 19 Apr 2016 13:11:19 -0400

ubiquity (2.21.59) xenial; urgency=medium

  * New wallpaper path for Ubuntu Studio

 -- Kaj Ailomaa <zequence@mousike.me>  Mon, 18 Apr 2016 11:20:13 -0400

ubiquity (2.21.58) xenial; urgency=medium

  [ Martin Pitt
  * ubiquity.service: Revert commit 6411.2.2 as this does not/can't fix
    LP #1567194 but introduces a dependency cycle between getty, plymouth, and
    ubiquity. (LP: #1570901)
  * Automatic update of included source packages: hw-detect
    1.117ubuntu2.

  [ Christopher Lee ]
  * autopilot-test: Double timeout for CI VM speed.
  * autopilot-tests: Now storing results as subunit.
  * autopilot-tests: longer timeout to handle CI VMs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Apr 2016 13:25:44 +0200

ubiquity (2.21.57) xenial; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: localechooser
    2.65ubuntu4. (LP: #1551285)
  * scripts/simple-plugins: better handle passing the MokPW key to mokutil
    and the result from the command -- we explicitly can ignore errors here.
    (LP: #1567445)
  * plugin-viewer-gtk.py: fix plugin-viewer-gtk to allow showing most plugins
    correctly; useful for debugging.
  * ubiquity/plugins/ubi-prepare.py: rework password validation behavior for
    MokPW without changing user-visible strings: we only need to show feedback
    for a "good" password (of the allowable lengths), and correct the behavior
    for mismatched passwords. Also make it obvious if the chosen password is
    too short. (LP: #1560940)

  [ Shih-Yuan Lee (FourDollars) ]
  * Really make oem-config-prepare quiet when started by a non-priviledged
    user.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 13 Apr 2016 14:36:37 -0400

ubiquity (2.21.56) xenial; urgency=medium

  * Update translations from Launchpad. (LP: #1569232)
  * debian/ubiquity.ubiquity.service: Start console ttys for debugging during
    an installation. (LP: #1567194)
  * data/oem-config.target: also enable console TTYs for the OEM configuration
    target/service.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 12 Apr 2016 21:42:50 -0400

ubiquity (2.21.55) xenial; urgency=medium

  [ Jean-Baptiste Lallement ]
  * autopilot: Merged autopilot tests fixes from Chris Lee. Thanks

  [ Timo Jyrinki ]
  * Fix Kubuntu slideshow not translated, thanks to Lasse Liehu for the
    patch (LP: #1512834)
  * Automatic update of included source packages: netcfg 1.135ubuntu3.

  [ Luke Yelavich ]
  * Automatic update of included source packages: console-setup
    1.108ubuntu14.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 13 Apr 2016 09:38:21 +1000

ubiquity (2.21.54) xenial; urgency=medium

  * ubiquity/frontends/gtk_ui.py:
    - Extend keyboard shortcut code for accessibility profiles to work with
      flavours other than Ubuntu/Unity (LP: #1546317)
    - Disable the screen reader activation keyboard shortcut in Unity, GNOME,
      and Mate flavours. In almost all cases, the settings daemon catches the
      keystroke before Ubiquity gets it, and was preventing the blindness
      profile from being properly activated
  * Drop unused profile set method that was missed previously
  * Automatic update of included source packages: console-setup
    1.108ubuntu13, hw-detect 1.117ubuntu1, netcfg 1.135ubuntu2,
    choose-mirror 2.65ubuntu6.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 06 Apr 2016 14:07:33 +1000

ubiquity (2.21.53) xenial; urgency=medium

  * debian/oem-config.install: install systemd units to /usr/lib/oem-config
    instead of the systemd paths. (LP: #1552621)
  * bin/oem-config-prepare: install systemd job from our copy in
    /usr/lib/oem-config.
  * bin/oem-config-wrapper: remove our special systemd units after oem config
    is completed.
  * debian/oem-config.target: Wants= network-manager.service too; so we can
    get online and possibly do NTP, downloads, etc. (LP: #1508865)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 28 Mar 2016 22:53:30 -0400

ubiquity (2.21.52) xenial; urgency=medium

  * Automatic update of included source packages: console-setup
    1.108ubuntu12.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 24 Mar 2016 23:49:54 -0400

ubiquity (2.21.51) xenial; urgency=medium

  * ubiquity/frontend/gtk_ui.py: Drop and restore privs around calling vte.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 22 Mar 2016 16:35:21 -0600

ubiquity (2.21.50) xenial; urgency=medium

  * Adjust code for change of fwupdate-%arch-signed renaming to fwupdate-signed
  * Automatic update of included source packages: hw-detect
    1.114ubuntu4.

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 21 Mar 2016 19:23:36 +0000

ubiquity (2.21.49) xenial; urgency=medium

  * Make sure to keep fwupdate-$ARCH-signed packages installed when removing
    extra stuff from the live filesystem if on EFI.

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 18 Mar 2016 13:29:15 -0500

ubiquity (2.21.48) xenial; urgency=medium

  * Make sure we keep mokutil files installed when we remove extra stuff from
    the installed system that was pulled in because of the live filesystem.
  * debian/control, d-i/update-control: replace pyflakes from Build-Depends
    with pyflakes3, since the binary for pyflakes3 was moved.
  * Automatic update of included source packages: console-setup
    1.108ubuntu11, grub-installer 1.128ubuntu5, hw-detect 1.114ubuntu3,
    partman-auto 134ubuntu1, partman-base 187ubuntu2, partman-
    partitioning 110ubuntu4, preseed 1.71ubuntu1, user-setup
    1.63ubuntu2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 15 Mar 2016 14:38:58 -0400

ubiquity (2.21.47) xenial; urgency=medium

  [ Marc Deslauriers ]
  * scripts/plugininstall.py: Write initial random seed to systemd
    location (LP: #1523199)

  [ Jonathan Riddell ]
  * kde_ui.py: strip any quotes from the lsb-release values
  * Allow for alternate logos

  [ Mathieu Trudel-Lapierre ]
  * ubi-prepare: when non-free is disabled, drop the foss_disclaimer_extra
    widget, and make the whole nonfree_vbox invisible (third-party drivers and
    such are non-free, and disabling Secure Boot is unnecessary if you don't
    install any non-free drivers). (LP: #1549816)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 25 Feb 2016 14:41:41 -0500

ubiquity (2.21.46) xenial; urgency=medium

  * ubiquity/upower.py: Revert commit 6376, blank "except:" is wrong.
  * ubiquity/upower.py: Actually specify the correct D-Bus interface name
    instead of the object path name when querying the OnBattery property.
    (LP: #1547956)
  * debian/rules: Build under C.UTF-8 locale. grep 2.23 causes broken debconf
    templates to be built under the C locale.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 24 Feb 2016 16:02:19 +0100

ubiquity (2.21.45) xenial; urgency=medium

  [ Luke Yelavich ]
  * Rework the accessibility profile code to use the accessibility profile
    manager if available

  [ Mathieu Trudel-Lapierre ]
  * Don't crash if we can't reach the DBus interface for UPower.
  * Automatic update of included source packages: hw-detect
    1.114ubuntu2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 22 Feb 2016 17:37:59 -0500

ubiquity (2.21.44) xenial; urgency=medium

  [ Iain Lane ]
  * Port the slideshow screen to WebKit 2 (LP: #1469221)
  * Automatic update of included source packages: apt-setup
    1:0.104ubuntu3, bterm-unifont 1.4, choose-mirror 2.65ubuntu4, flash-
    kernel 3.0~rc.4ubuntu58, partconf 1.49, partman-basicmethods 61,
    partman-lvm 112, partman-newworld 34, partman-xfs 58.

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: apt-setup 1:0.104ubuntu4,
    choose-mirror 2.65ubuntu5, flash-kernel 3.0~rc.4ubuntu62,
    partman-partitioning 110ubuntu3, partman-jfs 47.
  * Redesign the prepare screen for less clutter.
  * Unbreak the Kubuntu installer with respect to Secure Boot.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 16 Feb 2016 06:10:51 -0500

ubiquity (2.21.43) xenial; urgency=medium

  * ubiquity/install_misc.py: be extra careful retrieving the state of the
    SecureBoot variable the system if booted in EFI, to avoid invalid data.
    (LP: #1531779)
  * Automatic update of included source packages: base-installer
    1.158ubuntu2, console-setup 1.108ubuntu10.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 26 Jan 2016 19:23:41 -0500

ubiquity (2.21.42) xenial; urgency=medium

  * Automatic update of included source packages: grub-installer
    1.128ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jan 2016 16:27:15 +0000

ubiquity (2.21.41) xenial; urgency=medium

  * Pass "-term linux" when running setterm from start-ubiquity-dm, as
    without TERM set it otherwise refuses to do anything.
  * Set "Before=plymouth-quit.service plymouth-quit-wait.service" in
    ubiquity.service, so that plymouth isn't told to quit while we're busy
    starting up on its VT (LP: #1527353).
  * Automatic update of included source packages: apt-setup 1:0.104ubuntu2,
    clock-setup 0.126ubuntu1, debian-installer-utils 1.113ubuntu1, tzsetup
    1:0.81ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Dec 2015 00:07:05 +0000

ubiquity (2.21.40) xenial; urgency=medium

  * Automatic update of included source packages: partman-auto
    131ubuntu1, partman-basicfilesystems 120ubuntu1, partman-crypto
    86ubuntu1, partman-efi 71ubuntu1, partman-partitioning 110ubuntu1.
  * debian/control: build ubiquity-frontend-gtk only for the architectures
    we might actually want to use it on, while being extremely generous:
    this leads to building on x86, arm*, and ppc*, but not on s390x.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 23 Dec 2015 11:42:48 -0500

ubiquity (2.21.39) xenial; urgency=medium

  * Automatic update of included source packages: partman-efi 62ubuntu3,
    partman-ext3 84ubuntu2, partman-xfs 57, preseed 1.64ubuntu4, apt-setup
    1:0.104ubuntu1, flash-kernel 3.0~rc.4ubuntu57, hw-detect 1.114ubuntu1,
    netcfg 1.135ubuntu1, partman-btrfs 18ubuntu1, preseed 1.68ubuntu1,
    user-setup 1.63ubuntu1, base-installer 1.158ubuntu1, grub-installer
    1.128ubuntu1, partman-target 98ubuntu1, yaboot-installer 1.1.36ubuntu1,
    choose-mirror 2.65ubuntu2.
  * Add support for disabling Secure Boot in prepare screen.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 21 Dec 2015 16:41:39 -0500

ubiquity (2.21.38) xenial; urgency=medium

  * d-i/sources.list: switch to xenial.
  * scripts/plugininstall.py: Ensure /etc/mtab is a symlink to
    /proc/self/mounts. Same fix as in finish-install 2.58.
    (Closes: #802184, #802187; LP: #1511376)
  * Automatic update of included source packages: choose-mirror
    2.65ubuntu1, partman-lvm 111.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 01 Nov 2015 21:21:28 -0600

ubiquity (2.21.37) wily; urgency=medium

  * Fix the :arch ignoring bits harder, by doing the same change as 2.21.35
    but in scripts/install.py this time.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Oct 2015 18:23:16 +0100

ubiquity (2.21.36) wily; urgency=medium

  * Automatic update of included source packages: console-setup 1.108ubuntu9,
    grub-installer 1.78ubuntu30, localechooser 2.65ubuntu3. I just did that
    yesterday, too.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Oct 2015 16:17:28 +0100

ubiquity (2.21.35) wily; urgency=medium

  * scripts/plugininstall.py: Ignore ':arch' in package names when deciding
    which packages to keep after installing. We keep track of installed
    packages without arch, so should remove it when doing this comparison.
    (LP: #1503297)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 19 Oct 2015 17:31:46 +0100

ubiquity (2.21.34) wily; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: console-setup
    1.108ubuntu8, localechooser 2.65ubuntu2.
  * Set a height_request property for the details extender (the thing you can
    click to get syslog from the ubiquity slideshow window). (LP: #1507330)

  [ Aron Xu ]
  * d-i/patches/localechooser-post-base-installer.patch: update patch for
    new languagelist format.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 19 Oct 2015 17:02:29 +0100

ubiquity (2.21.33) wily; urgency=medium

  * Automatic update of included source packages: tzsetup 1:0.66ubuntu2.
    (LP: #1462688)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 01 Oct 2015 15:50:33 -0400

ubiquity (2.21.32) wily; urgency=medium

  * Resolve a spacing issue in the KDE ui.
    - Move vertial spacer for branding logo from designer file to code
    - Adjust spacing policies of the lefthand pane to do what we need:
      + the header layout doesn't expand anymore
      + the steps layout expands horizontally and verticall and additionally
        enforces its sizeHint as minimum.
      + the unused footer layout no longer expands horizontally but sticks to
        its minimum
    - Push branding logo to smaller size
      + The logo is now packed into a layout where it is spaced from left and
        right to cause an undefined shrinking as per Qt's choice. This
        effectively reduces the sizes of the logo both in width and height (as
        height is bound to width). This in turn brings the overall size down
        enough to not cause size expansion beyond "resonable" measures.
        (Reasonable being just big enough to be good looking but small enough
         to not push down on the labels in the steps widget. Latter has an
         unknown cause, but when the logo is too big it starts pushing on the
         labels, disregarding the entire sizepolicy of all involved widgets.
         If the logo is small enough this doesn't happen which either may be
         because there is a hardcoded height somewhere or the joint minimal
         size of all steps' pages is heigh enough to allow for this to happen.
         This overall layout problem has been there for years and only became
         visible now because we have a somewhat heigh widget below the steps
         layout. Ultimately this issue is going to get resolved if/when
         ubiquity gets ported to QML which is substantially more suited to
         building UIs like this with right scaling.)

 -- Harald Sitter <sitter@kde.org>  Tue, 29 Sep 2015 14:37:29 +0200

ubiquity (2.21.31) wily; urgency=medium

  [ Iain Lane ]
  * Build-Depend on the new adwaita-icon-theme instead of the old
    gnome-icon-theme.

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: user-setup
    1.48ubuntu7.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 23 Sep 2015 12:19:47 -0400

ubiquity (2.21.30) wily; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Fix access denied crashes in calling GetDevices() for NM integration: this
    happened because we didn't specify a DBus interface for the call.
    (LP: #1495017)
  * Automatic update of included source packages: grub-installer
    1.78ubuntu29.

  [ Dan Chapman ]
  * Multiple autopilot fixes:
    - Add workaround for 'Write changes to disk' dialog. (LP: #1480430)
    - Update the use_device_desc string in generated config file use for
      english install tests.
    - Fix handling of globalRect mismatches. (LP: #1479064)
    - Fixup string comparisons to properly match Ubuntu-MATE for the english
      install tests.
    - Fix the autopilot test runner for Ubuntu-GNOME and Ubuntu-MATE.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 15 Sep 2015 17:04:57 -0400

ubiquity (2.21.29) wily; urgency=medium

  [ Harald Sitter ]
  * Refine KDE ui with slight changes to artwork and layout to improve visual
    integration with the overall desing of Breeze styled applications

  [ Jonathan Riddell ]
  * Automatic update of included source packages: console-setup
    1.108ubuntu6.

 -- Harald Sitter <sitter@kde.org>  Wed, 09 Sep 2015 11:00:10 +0200

ubiquity (2.21.28) wily; urgency=medium

  [ Sean Davis ]
  * bin/ubiquity-dm: Draw the ubiquity desktop with feh under
    Xfce environments (LP: #1437180)

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: apt-setup
    1:0.80ubuntu8, base-installer 1.144ubuntu2, flash-kernel
    3.0~rc.4ubuntu55, hw-detect 1.95ubuntu7, partconf 1.48, partman-base
    187ubuntu1, partman-basicmethods 60, partman-jfs 46, partman-lvm
    110, partman-newworld 33, partman-xfs 56, user-setup 1.48ubuntu6.
  * Update timezone map to add North Korea (Pyongyang time). (LP: #1462688)
  * Fix instances of PEP8 warning: W503 line break before binary operator.
  * Ignore the PEP8 error E402 (imports at beginning of file). There are a few
    instances where we need to set sys.path to where ubiquity files are.
  * Fix some more style errors from PEP8.
  * autogen.sh: Use any available version of automake/aclocal.

  [ Luke Yelavich ]
  * ubiquity/frontend/gtk_ui.py: We do not want to be able to focus labels
    with Orca at all. It negatively affects the install experience and
    tab/shift tab flow through the installer pages, and prevents Orca
    presenting label relationships with other widgets

  [ Max Brustkern ]
  * Update the automated autopilot installation in the vm: get the updated
    sources.list picked up by hooks by being in the right location.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 08 Sep 2015 10:58:17 -0400

ubiquity (2.21.27) wily; urgency=medium

  * Automatic update of included source packages: choose-mirror
    2.57ubuntu3, partconf 1.47, partman-lvm 109, preseed 1.64ubuntu3,
    tzsetup 1:0.66ubuntu1, localechooser 2.65ubuntu1.
  * debian/rules: wipe all environment when running tests, only set
    LANG to C.UTF-8 for debconf to be able to handle the Brazil
    timezones' accents.
  * d-i/sources.list: switch to wily release.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 04 Jun 2015 10:34:59 -0400

ubiquity (2.21.26) vivid; urgency=medium

  * ubiquity/plugins/ubi-console-setup.py: use untranslated keyboard
    names if translated ones do not exist LP: #1182784
  * Automatic update of included source packages: console-setup
    1.108ubuntu5.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Apr 2015 13:32:25 +0200

ubiquity (2.21.25) vivid; urgency=medium

  * GTK/KDE UI: Don't apply the reboot/poweroff race hack when running under
    an actual display-manager, i. e. go back to what we always did there. This
    fixes restarting the greeter after clicking "restart" at the end of
    installation. lightdm and friends do a proper shutdown already, it's just
    ubiquity-dm which is racy here.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Apr 2015 18:09:57 +0100

ubiquity (2.21.24) vivid; urgency=medium

  * Revert ubiquity.service changes (r6294) from previous upload. It's not
    necessary to fix proper shutdown, and broke the "Try Ubuntu" button in
    ubiquity-dm.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Apr 2015 09:49:16 +0100

ubiquity (2.21.23) vivid; urgency=medium

  * Stop running ubiquity.service as an oneshot service, as this blocks the
    initial boot transaction (including ureadahead etc.). Instead, manually
    start lightdm in the cases where we don't want ubiquity-dm.
  * GTK/KDE UI: GTK/KDE UI: Fix race between calling reboot/poweroff and the
    later stopping of the spawned X server by ubiquity-dm. We need to first
    shut down X orderly and then reboot/poweroff to get a proper transition to
    Plymouth.  This is a rather nasty hack; fixing this properly requires some
    more intrusive reeingeering. (LP: #1445587)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 20 Apr 2015 18:41:11 +0100

ubiquity (2.21.22) vivid; urgency=medium

  * Automatic update of included source packages: partman-efi 62ubuntu2,
    user-setup 1.48ubuntu5.
  * debian/ubiquity.templates: add a string for "Continue in UEFI mode".
  * ubiquity/plugins/ubi-partman.py: Fix up the buttons for the non_efi_system
    question to use the new string for UEFI mode.
  * ubiquity/plugins/ubi-partman.py: try to reverse the meaning of the debconf
    partman-efi/non_efi_system question so that "Continue in UEFI mode" will
    actually really mean continuing with setting up an EFI System Partition
    and "Go Back" will properly return to the partitioning scheme selection
    page and allow to try again without an ESP. (LP: #1444104)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 16 Apr 2015 14:27:08 -0500

ubiquity (2.21.21) vivid; urgency=medium

  * KDE: ubiquity/plugins/ubi-console-setup.py workaround for LP: #1182784

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2015 19:28:00 +0200

ubiquity (2.21.20) vivid; urgency=medium

  * Automatic update of included source packages: partman-auto
    125ubuntu2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 14 Apr 2015 23:05:13 -0500

ubiquity (2.21.19) vivid; urgency=medium

  * user-setup-encrypted-swap: Don't zero out the first 4K of the swap
    partition so that the UUID gets retained. /etc/crypttab refers to the
    cipher device via UUID. See corresponding fix in ecryptfs-utils.
    (LP: #953875)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Apr 2015 10:55:05 -0500

ubiquity (2.21.18) vivid; urgency=medium

  * Overhaul for proper systemd support (LP: #1436937)
  * bin/oem-config-prepare: set the systemd default target to oem-config.target
    instead of using /var/lib/oem-config/run as a flag.
  * bin/oem-config-firstboot:
    - after removing the oem user, set the default target back to graphical.
    - call for systemd to start the graphical target, so as to complete booting
      to graphical or to TTYs after oem-config-firstboot has run.
  * debian/oem-config.target: create a new target for oem-config so that it can
    start without conflicting with a display-manager that may also want to
    start and use the oem user in auto-login.
  * debian/oem-config.oem-config.service: simplify the service's start
    conditions; we don't really need to worry about Before/After since we'll
    run in our own isolated target.
  * debian/oem-config.install: force the installation of the new target in the
    right location for systemd.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 02 Apr 2015 13:58:02 -0400

ubiquity (2.21.17) vivid; urgency=medium

  * Update the sed for the path to keyboard-configuration.config from
    console-setup to account for changes from 1.108.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 24 Mar 2015 15:16:01 -0400

ubiquity (2.21.16) vivid; urgency=medium

  * Automatic update of included source packages: grub-installer
    1.78ubuntu27, partman-base 181ubuntu2.
  * KDE: update ubiquity-dm for new Plasma wallpaper path

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2015 12:58:23 +0100

ubiquity (2.21.15) vivid; urgency=medium

  * debian/rules, debian/clean: fixup rules and clean due to the rename of
    console-setup's MyKeyboardNames.pl script to KeyboardNames.pl.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 11 Mar 2015 16:08:14 -0400

ubiquity (2.21.14) vivid; urgency=medium

  [ Paul Larson, Parameswaran Sivatharman ]
  * Get the autopilot tests up and running again.

  [ Scott Sanbar ]
  * Stop using legacy gtk-dialog-* icon names (LP: #1422113).

  [ Parth Panchal ]
  * KDE: Fix Manual Partitioner Does not Translate when Selecting a new
    Language LP: #1350855

  [ Jonathan Riddell ]
  * Automatic update of included source packages: console-setup
    1.108ubuntu4, flash-kernel 3.0~rc.4ubuntu54, grub-installer
    1.78ubuntu26, netcfg 1.127ubuntu1, partman-base 181ubuntu1.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Mar 2015 18:59:18 +0100

ubiquity (2.21.13) vivid; urgency=medium

  * ubiquity/plugins/ubi-console-setup.py: revert change to use
    untranslated keyboard names, it's causing crashes when installing in
    !english LP: #1182784

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Feb 2015 18:00:42 +0100

ubiquity (2.21.12) vivid; urgency=medium

  * Clean up after NetworkManager's system-connections files in prepare job
    for oem-config: we shouldn't keep wireless connections (or any, really)
    on the system that may have been setup by OEM, unless done *after* running
    oem-prepare. (LP: #1418105)
  * Force the GTK-based installer to be visible when starting, this should fix
    it being running but hidden on some Xubuntu only-ubiquity installs, which
    meant users had to Alt-Tab to it and switch language for it to appear.
    (LP: #1423161)
  * Automatic update of included source packages: grub-installer
    1.78ubuntu25.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 20 Feb 2015 17:15:16 -0500

ubiquity (2.21.11) vivid; urgency=medium

  * Be sure to include the top level linux-signed-* metapackage in our
    list of candidates to keep so we don't accidentally remove it.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Feb 2015 10:26:33 -0700

ubiquity (2.21.10) vivid; urgency=medium

  * debian/ubiquity.install-any: Adjust for dropped 94extras in apt-setup

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Feb 2015 18:42:54 -0700

ubiquity (2.21.9) vivid; urgency=medium

  * Automatic update of included source packages: apt-setup
    1:0.80ubuntu7, partman-auto 125ubuntu1.
  * Limit the signed kernel candidates to ones that are already on the
    media to avoid pulling in ALL of the signed kernels (LP: #1422864)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Feb 2015 16:07:38 -0700

ubiquity (2.21.8) vivid; urgency=medium

  * Automatic update of included source packages: grub-installer
    1.78ubuntu24, partman-auto 118ubuntu5, partman-efi 62ubuntu1.
  * ubiquity/plugins/ubi-partman.py: allow prompting for a missing passphrase
    on preseeded installs, if they are requesting to setup crypto.
    (LP: #1386131)
  * Add a fallback for a Greybird-themed background for the panel, for Xubuntu.
    Thanks to Simon Steinbeiß for the patch.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 04 Feb 2015 16:49:35 -0500

ubiquity (2.21.7) vivid; urgency=medium

  * bin/ubiquity-dm: update to use the proper gsettings keys for the MATE
    installer.
  * Automatic update of included source packages: partman-lvm 105.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 29 Jan 2015 14:21:46 -0500

ubiquity (2.21.6) vivid; urgency=medium

  [ Unit 193 ]
  * Start all Xfce components with --sm-client-disable.
  * Explicitly run `xfdesktop` to paint the background. (LP: #1375893)

  [ Ma Jun ]
  * lp:~maclin.jun/ubiquity/fix_1304410:
    - fix missing translation for "Change..." in the partition page

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Jan 2015 13:18:51 +0100

ubiquity (2.21.5) vivid; urgency=medium

  * kde: explicitly set the KDE_SESSION_VERSION env variable to 4
    to make sure that for example QIcon uses 4.x compatibility features
    rather than 3.x ones.

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 19 Jan 2015 18:08:04 +0100

ubiquity (2.21.4) vivid; urgency=medium

  * Factorize ubiquity-dm startup logic out of
    debian/ubiquity.ubiquity.upstart into scripts/start-ubiquity-dm; don't
    call initctl emit when running under systemd.
  * Add systemd unit for ubiquity-dm.
  * start-ubiquity-dm: Make setterm failures non-fatal; under systemd
    services don't run under a PTY.
  * Add systemd unit for oem-config.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jan 2015 13:11:33 +0100

ubiquity (2.21.3) vivid; urgency=medium

  [ Martin Wimpress ]
  * Fix TypeError in ubiquity-dm for MATE desktop (LP: #1408219).

  [ Colin Watson ]
  * Automatic update of included source packages: partman-basicfilesystems
    109ubuntu1, partman-lvm 103.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Jan 2015 09:42:13 +0000

ubiquity (2.21.2) vivid; urgency=medium

  [ Dimitri John Ledkov ]
  * Add --quiet option to dmidecode calls, in the future release that will
    prevent dmidecode from printing error banner if a newer than dmidecode
    smbios version has happened to be in use. LP: #1353580.
  * Add "support" for Gauja laptops and self-builts - that is do not use
    "To be filled by O.E.M." as a valid model name.
  * Remove setting translated placeholder text in the usersetup
    plugin. (LP: #1283047)
  * Drop translation messages from ubiquity.templates.

  [ Unit 193 ]
  * Enable the ubiquity panel in xfwm4 now since it is functional.

  [ Tim Lunn ]
  * scripts/plugininstall.py: Remove obsolete code to generate wallpaper
    cache, unity-settings-daemon/gnome-settings-daemon now run in install
    mode (LP: #1318621)

  [ Martin Wimpress ]
  * Improve support for Mate desktop.

  [ Shih-Yuan Lee (FourDollars) ]
  * Fix the usage of effective uid/gid and the HOME environment variable.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: clock-setup
    0.121ubuntu1, console-setup 1.70ubuntu11, partman-basicfilesystems
    108ubuntu1, partman-crypto 78ubuntu1, partman-jfs 45, partman-lvm
    102, partman-xfs 55.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 21 Dec 2014 06:46:46 +0000

ubiquity (2.21.1) vivid; urgency=medium

  * Automatic update of included source packages: console-setup
    1.70ubuntu10, debian-installer-utils 1.109ubuntu1, partman-auto-
    crypto 22ubuntu1, partman-auto-lvm 56ubuntu1, partman-base
    180ubuntu1, partman-basicfilesystems 106ubuntu1, partman-efi
    25ubuntu7, partman-ext3 84ubuntu1, partman-jfs 44, partman-lvm 100,
    partman-partitioning 106ubuntu1, partman-target 92ubuntu1, partman-
    xfs 54, yaboot-installer 1.1.33ubuntu1.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 30 Nov 2014 23:27:41 +0000

ubiquity (2.21.0) vivid; urgency=medium

  [ Colin Watson ]
  * Go forward rather than back in response to partman-crypto/passphrase and
    partman-crypto/passphrase-again questions if the UI is not available but
    they have been preseeded (LP: #1386113).

  [ Iain Lane ]
  * Port the Vte widget to use the 2.91 API.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: choose-mirror
    2.57ubuntu2, netcfg 1.119ubuntu2, partconf 1.46, partman-base
    179ubuntu1, partman-basicfilesystems 104ubuntu1, partman-lvm 98,
    preseed 1.64ubuntu2.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Wed, 12 Nov 2014 14:34:42 +0000

ubiquity (2.20.0) utopic; urgency=medium

  * Exclude free space from counts of deleted partitions.
  * There are far too many situations where we fail to accurately detect all
    the operating systems installed on the disk, and we must defend in depth
    against losing user data as a result of this.  This includes not
    misleading users into believing that an option will erase less than it
    in fact does.  Therefore, never describe the use_device autopartitioning
    mode in any way other than "Erase disk and install Ubuntu", and offer
    separate "Erase Ubuntu <version> and reinstall" and "Erase disk and
    install Ubuntu" options even if we believe that the disk only contains
    Ubuntu (LP: #1265192).
  * Always show a confirmation dialog before committing partitioning.  I've
    read considerably more reports of users having their data destroyed by
    some misunderstanding or other of the partitioner than I'm comfortable
    with; if a slightly ugly confirmation even when we think things are
    clear saves some people from that, then it's worth it, and it adds
    another layer of defence against bugs.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2014 01:38:28 +0100

ubiquity (2.19.10) utopic; urgency=medium

  * KDE: set widget and icon theme to breeze if using Plasma 5
  * Automatic update of included source packages: grub-installer
    1.78ubuntu23.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Oct 2014 18:09:11 +0200

ubiquity (2.19.9) utopic; urgency=medium

  * Revert Update ubiquity.ubiquity.upstart and bin/ubiquity to add
    support for SDDM, ubiquity-dm to SDDM transition is buggy and I
    can't work out how to debug it
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu53, grub-installer 1.78ubuntu22, user-setup
    1.48ubuntu3.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Oct 2014 15:46:56 +0100

ubiquity (2.19.8) utopic; urgency=medium

  [ Colin Watson ]
  * Avoid closing /dev/urandom persistent FD on oem-config startup (thanks,
    Jamin W. Collins; LP: #1362920).

  [ Chris Bainbridge ]
  * Fix Windows UEFI detection. (LP: #1265192)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 12 Sep 2014 14:35:57 -0400

ubiquity (2.19.7) utopic; urgency=medium

  * Update ubiquity.ubiquity.upstart and bin/ubiquity to add support for SDDM

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 01 Sep 2014 13:51:49 +0200

ubiquity (2.19.6) utopic; urgency=medium

  * ubiquity/plugins/ubi-console-setup.py: use untranslated keyboard
    names, the GTK side does not translate them and comments say they
    do not work.  KDE frontend has crashes due to keyboard names being
    translated so give up for now.  LP: #1182784

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Sep 2014 19:07:50 +0200

ubiquity (2.19.5) utopic; urgency=medium

  * Re-add "console output" stanza to the oem-config upstart job to
    re-instate stdin/stdout. (LP: #1361595)
  * Automatic update of included source packages: netcfg 1.119ubuntu1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 31 Aug 2014 23:52:22 +0100

ubiquity (2.19.4) utopic; urgency=medium

  * Revert addition of sddm to upstart job head of Beta 1,
    ubiquity-dm needs some fixes to support it
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu52.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 28 Aug 2014 14:18:21 +0200

ubiquity (2.19.3) utopic; urgency=medium

  [ Rohan Garg ]
  * Add support for sddm

  [ Jonathan Riddell ]
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu51.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Aug 2014 17:01:20 +0200

ubiquity (2.19.2) utopic; urgency=medium

  [ Dimitri John Ledkov ]
  * Remove redundant inactive labels in the user setup page. (LP:
    #1283047).

  [ Colin Watson ]
  * Automatic update of included source packages: partman-auto-lvm
    54ubuntu1, partman-base 175ubuntu1, partman-crypto 74ubuntu1,
    partman-lvm 91.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Aug 2014 21:13:42 +0100

ubiquity (2.19.1) utopic; urgency=medium

  * Fix up python2-dbus dependency back to python3-dbus, from previous
    upload.
  * Automatic update of included source packages: grub-installer
    1.78ubuntu21, partconf 1.45build1, partman-base 174ubuntu2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 22 Jul 2014 14:55:39 +0100

ubiquity (2.19.0) utopic; urgency=medium

  [ Rohan Garg ]
  * Make sure ubiquity-dm works on Plasma 5 KWin.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Jul 2014 21:47:59 +0100

ubiquity (2.18.11) utopic; urgency=medium

  [ Martin Wimpress ]
  * Added marco (MATE window manager) support to ubiquity-dm.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: hw-detect 1.95ubuntu4,
    partman-auto-lvm 53ubuntu1, partman-base 174ubuntu1, partman-
    basicfilesystems 97ubuntu1, partman-partitioning 101ubuntu1, preseed
    1.64ubuntu1.
  * Add "fuser -cv" before unmounting /target to figure out why it's being
    held up open when preseeding installations from nfs via cobler.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Jul 2014 15:17:11 +0100

ubiquity (2.18.10) utopic; urgency=medium

  [ Aurélien Gâteau ]
  * [KDE] FIX layout of step labels in sidebar LP: #1308931

  [ Jonathan Riddell ]
  * Automatic update of included source packages: choose-mirror
    2.57ubuntu1.
  * Fix PEP8 fussyness throughout

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2014 13:09:40 +0200

ubiquity (2.18.9) utopic; urgency=medium

  * Flush print into debconf-communicate stdin PIPE, as print(...,file=)
    may not flush anymore. (LP: #1326707)
  * Switch sources to utopic.
  * Automatic update of included source packages: console-setup
    1.70ubuntu9, flash-kernel 3.0~rc.4ubuntu50, hw-detect 1.95ubuntu3,
    partman-basicfilesystems 95ubuntu1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Jun 2014 01:07:43 +0100

ubiquity (2.18.8) trusty-proposed; urgency=medium

  [ Rohan Garg ]
  * LP: #1309458 KDE: ubiquity installer crashes when clicking release
    notes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Apr 2014 12:25:19 +0100

ubiquity (2.18.7) trusty; urgency=medium

  [ Aurélien Gâteau ]
  * KDE: Remove spacer to fix vertical space in sidebar LP: #1308440

  [ Dimitri John Ledkov ]
  * Fix localechooser-apply in OEM configuration mode (LP: #1307983),
    whilst previous only fixed the offline installation mode.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Apr 2014 11:51:38 +0100

ubiquity (2.18.6) trusty; urgency=medium

  * Automatic update of included source packages: localechooser 2.49ubuntu5.
  * Rebase localechooser patch to account for creation of skeleton
    locale-langpack subdirectories (LP: #1307983).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Apr 2014 19:58:47 +0100

ubiquity (2.18.5) trusty; urgency=medium

  * KDE frontend fixes:
   - LP: #1038522 Fix manual partitioning in installer crashes when handling many
     partitions
   - LP: #1285705: read release notes not working
   - LP: #1038522: [kde] manual partitioning in installer crashes when
     handling many partitions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Apr 2014 13:22:24 +0100

ubiquity (2.18.4) trusty; urgency=medium

  * Add power indicator to the list of indicators launched under install
    ubiquity mode.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 11 Apr 2014 15:59:44 +0100

ubiquity (2.18.3) trusty; urgency=medium

  * Add future location of indicator-keyboard-service, tolerating missing
    indicators (LP: #1306598).
  * Automatic update of included source packages: partman-auto 118ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Apr 2014 14:38:57 +0100

ubiquity (2.18.2) trusty; urgency=medium

  * Set HOME, because without HOME GtkBuilder upon seeing a FileChooser
    button in the ui file and trying to initialise object for it throws a
    hizzy fit and aborts on an assert, if per-default it's meant to open
    present working directory and it happens to be inaccessible one like
    /root/. (LP: #1306341). This resolves launching Mythubuntu installer
    in a live session using pkexec, back in 12.04 gksudo/sudo was used
    instead.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 11 Apr 2014 05:18:42 +0100

ubiquity (2.18.1) trusty; urgency=medium

  * Fix overlay scrollbars to be used under live-session.
  * Reduce installer width, by forcing a few more labels to wrap.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu49.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Apr 2014 16:40:32 +0100

ubiquity (2.18.0) trusty; urgency=medium

  * Update translations from Launchpad (LP: #1297859).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Apr 2014 13:41:46 +0100

ubiquity (2.17.13) trusty; urgency=medium

  * Copy extended attributes to target system (LP: #1302192).
  * Automatic update of included source packages: grub-installer
    1.78ubuntu20, user-setup 1.48ubuntu2.
  * Update translations from Launchpad.
  * Remove lots of cruft relating to removed Ubuntu One, webcam, and
    migration-assistant steps.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Apr 2014 22:36:22 +0100

ubiquity (2.17.12) trusty; urgency=medium

  * Drop ubiquity-plugin-ubuntuone from adt tests dependencies, it's been
    removed.
  * Automatic update of included source packages: netcfg 1.116ubuntu1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Apr 2014 09:50:35 +0100

ubiquity (2.17.11) trusty; urgency=medium

  * Drop U1 plugin package (LP: #1300916)
  * Automatic update of included source packages: grub-installer
    1.78ubuntu19.
  * Fix new pyflakes warnings.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Apr 2014 14:45:43 +0100

ubiquity (2.17.10) trusty; urgency=low

  [ Luke Yelavich ]
  * Set up atk label association for grub boot loader location combo box in
    advanced partition editor.
  * Add Super + Alt + S as an activation keystroke for the screen reader
    profile. This mirrors the same keystroke that can be used to activate the
    screen reader when in a Unity or GNOME desktop. The Control + S keystroke
    is still present for transitional purposes, so new users don't need to
    hunt for new information when they attempt to install trusty. It will be
    removed in trusty+1.

  [ Jason Gerard DeRose ]
  * ubiquity-dm: 'indicator-application-service' =>
    'indicator-application/indicator-application-service' (LP: #1297312).

  [ Colin Watson ]
  * Resolve LABEL= and UUID= entries in /etc/crypttab into real devices
    before trying to run swapoff and test -b on them (LP: #1296697).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu48, grub-installer 1.78ubuntu18, partconf 1.45,
    partman-jfs 43, partman-lvm 90, partman-newworld 32.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Mar 2014 15:11:43 +0000

ubiquity (2.17.9) trusty; urgency=medium

  [ Matthew Paul Thomas ]
  * Remove redundant placeholder text from fields on user-entry page (LP:
    #1283047)

  [ Tim Lunn ]
  * Update ubiquity gnome-shell mode for 3.10 (LP: #1284983)

  [ Colin Watson ]
  * Remove some unused calls to laptop-detect in frontends; it's still used
    in the usersetup plugin.

  [ Aurélien Gâteau ]
  * Merge lp:~agateau/ubiquity/kde-fix-cropped-greeter-buttons
   - KDE: Fix cropped button in OEM mode
   - KDE: improve the OEM panel spacing

  [ Jonathan Riddell ]
  * Automatic update of included source packages: base-installer
    1.144ubuntu1, flash-kernel 3.0~rc.4ubuntu47, grub-installer
    1.78ubuntu16, partman-crypto 63ubuntu2.

 -- Tim Lunn <tim@feathertop.org>  Wed, 26 Feb 2014 16:59:12 +1100

ubiquity (2.17.8) trusty; urgency=medium

  * Fix deprecated warnings in nmwidgets.
  * Run test-suite under auto-allocated xvfb-run server.
  * g-i changed return values, thus convert list of integers into
    bytestring to preserve old logic in item_str. (LP: #1282640)
  * Launch unity-settings-daemon if available.
  * Automatic update of included source packages: apt-setup
    1:0.80ubuntu6, base-installer 1.143ubuntu1, choose-mirror
    2.55ubuntu1, debian-installer-utils 1.105ubuntu1, hw-detect
    1.95ubuntu2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2014 20:00:50 +0000

ubiquity (2.17.7) trusty; urgency=medium

  * Fix ubiquity-dm to create logfile directory before opening logfile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 12:39:14 +0000

ubiquity (2.17.6) trusty; urgency=medium

  * Automatic update of included source packages: base-installer
    1.122ubuntu21, debian-installer-utils 1.104ubuntu1.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Feb 2014 17:41:37 +0000

ubiquity (2.17.5) trusty; urgency=medium

  * Fix loading indicators in ubiquity-dm.
  * Automatic update of included source packages: base-installer
    1.122ubuntu20, choose-mirror 2.50ubuntu2, console-setup 1.70ubuntu8,
    grub-installer 1.78ubuntu14, partman-auto 118ubuntu2, partman-base
    172ubuntu1, partman-btrfs 14ubuntu2, partman-lvm 89, partman-
    partitioning 99ubuntu1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2014 15:58:14 +0000

ubiquity (2.17.4) trusty; urgency=medium

  [ Lars Uebernickel ]
  * Limit width of some long labels in prepare and wireless steps. (LP:
    #1260396)

  [ Dimitri John Ledkov ]
  * In the ResizeWidget's, do_draw method, call the Parent's HPaned
    do_draw method, as it does not appear to be automatically called and
    thus results in no HPaned widgets getting rendered. (LP: #1260473)
  * Migrate ResizeWidget from HPaned to Paned, and use etched-in Frames
    instead of EventBoxes for better aesthetic appearance of the "handle".
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu46, partman-auto 118ubuntu1, partman-basicmethods 58.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 Jan 2014 17:39:57 +0000

ubiquity (2.17.3) trusty; urgency=medium

  * Automatic update of included source packages: apt-setup 1:0.80ubuntu5,
    base-installer 1.122ubuntu19, grub-installer 1.78ubuntu10 (LP:
    #1265483), partman-basicmethods 57, partman-jfs 42, partman-lvm 88.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Jan 2014 11:09:21 +0000

ubiquity (2.17.2) trusty; urgency=low

  [ Dan Chapman ]
  * Only check for error dialogs on test teardown so we can be sure we
    always catch them during autopilot tests. (lp: #1262575)

  [ Harald Sitter ]
  * KDE: Hardcode KDE_FULL_SESSION to ensure oxygen colors are picked up
         automatically.

  [ Jonathan Riddell ]
  * ubiquity-dm: call gsettings only if frontend is gtk
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu45, netcfg 1.114ubuntu1.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Dec 2013 18:05:28 +0000

ubiquity (2.17.1) trusty; urgency=low

  [ Dmitrijs Ledkovs ]
  * Drop ntfsprogs alternative depends.
  * Merge packaging change to add debian-menu entry.
  * Tidy up autopilot tests warnings.
  * Move autopilot tests to lp:ubiquity and python3.
  * Bump to automake-1.14
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu44, grub-installer 1.78ubuntu9, netcfg 1.112ubuntu1,
    partman-base 169ubuntu1, partman-basicfilesystems 86ubuntu2,
    partman-efi 25ubuntu6, partman-ext3 80ubuntu1, yaboot-installer
    1.1.29ubuntu1.

  [ Brian Murray ]
  * Use the apt cache with with so that we close the cache when we are
    done with it (LP: #1051935)

  [ Dan Chapman ]
  * Autopilot tests update.
  * Autopilot tests for Edubuntu's extra install pages

  [ Jean-Baptiste Lallement ]
  * Join auto-pilot runner.
  * fix tests to be pep8 compliant
  * add directory autopilot/ to tests/run-pep8

  [ Huan Peng ]
  * Replace "Ubuntu" with the correct flavour name in several templates
    (LP: #1197220).

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 09 Dec 2013 16:05:50 +0000

ubiquity (2.17.0) trusty; urgency=low

  [ Aurélien Gâteau ]
  * Fix going back through skipped steps in kde_ui frontend.

  [ Dmitrijs Ledkovs ]
  * Switch "wireless" and "prepare" steps around (LP: #955232)
  * Don't read proc_cmdline twice (LP: #1213748)
  * Set wallpaper for 'feh' only, for others just assume gsettings schemes
    are correct.
  * Silence progress dots with invalid a11y (LP: #1154345)

  [ Colin Watson ]
  * Automatic update of included source packages: choose-mirror 2.50ubuntu1,
    debian-installer-utils 1.100ubuntu1, netcfg 1.111ubuntu1,
    partman-auto-lvm 51ubuntu1, partman-crypto 63ubuntu1, preseed
    1.62ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 07:46:26 -0700

ubiquity (2.15.26) saucy; urgency=low

  [ Dmitrijs Ledkovs ]
  * Adding custom classes to EventBox somehow kills the install now
    button event. Instead use simple bg styling. (LP: #1240532)

  [ Colin Watson ]
  * Update translations from Launchpad.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 16 Oct 2013 18:30:55 +0100

ubiquity (2.15.25) saucy; urgency=low

  * Remove all cairo styling from partition boxes in automatic
    partitioning, instead use gtk3/css styling. (LP: #947107)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 16 Oct 2013 09:58:29 +0100

ubiquity (2.15.24) saucy; urgency=low

  [ Colin Watson ]
  * Move oem user removal from upstart & wrapper into
    oem-config-firstboot, after ubiquity-dm finished executing. (LP:
    #1231166) (LP: #1239471)

  [ Dmitrijs Ledkovs ]
  * Kill any remaining oem user process before removing oem user (session
    dbus leaves zombies). (LP: #1231166)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 14 Oct 2013 18:19:27 +0100

ubiquity (2.15.23) saucy; urgency=low

  * Attempt to remove oem user again in the oem-config/post-start, after
    oem-config-first-boot setup has been completed. (LP: #1231166)
  * Load U1 Terms & Conditions page lazily when asked, instead of at U1
    plugin import time. Thus the page will only be loaded once there is a
    working internet connection and the user is signing up for U1. This
    also resolves ubiquity failing to load when booting direct live user
    session. (LP: #1226912)
  * Instead of skipping u1 plugin when offline, display "No internet
    connectivity" page and show the login later button. Thus avoiding
    hanging when installing fully offline, and explaining why U1 login was
    not available. (LP: #1237694)
  * Run debconf-updatepo to actually update templates.pot and make all the
    U1 page strings translatable. (LP: #1235192)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 11 Oct 2013 15:37:31 +0100

ubiquity (2.15.22) saucy; urgency=low

  * In U1 plugin fix ping_u1_url to not include body in a GET
    request. (LP: #1229684)
  * Update test-suite with the new expected call.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 10 Oct 2013 10:48:39 +0100

ubiquity (2.15.21) saucy; urgency=low

  [ Aurélien Gâteau ]
  * KDE: Hardcode the KDE platform plugin to get Oxygen palette

  [ Dmitrijs Ledkovs ]
  * Allow "skip" navigation control to take focus, and thus be part of the
    tab switch chain. (LP: #1231175)
  * Disable Ubuntu One plugin at OEM config setup stage (LP: #1233879)
  * Declare oem_config as False in the mock controller for the Ubuntu One plugin tests.
  * Keep Ubuntu One page for OEM client setup stage (LP: #1233879)
  * Skip Ubuntu One page when offline (LP: #1220804)
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu42, partman-auto 107ubuntu3, partman-basicfilesystems
    84ubuntu1, partman-btrfs 14ubuntu1, partman-ext3 79ubuntu1.
  * Automatic update of included source packages: hw-detect 1.95ubuntu1.

  [ Colin Watson ]
  * Update translations from Launchpad.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 07 Oct 2013 11:23:52 +0100

ubiquity (2.15.20) saucy; urgency=low

  [ Colin Watson ]
  * (Build-)depend on python3-icu rather than transitional python3-pyicu.

  [ Howard Chan ]
  * Fix the new Ubuntu Studio wallpaper backdrop for ubiquity. (LP: #1229651)

  [ Dmitrijs Ledkovs ]
  * Add dependencies on python3-pam.
  * Establish a PAM session with logind "greeter" mode in ubiquity-dm,
    resolving the following bugs:
    - WiFi page not working (LP: #1178638) (LP: #1220193)
    - Sound system / a11y not available (LP: #1229416)
    - and maybe others.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu41.

  [ Lars Uebernickel ]
  * Force ubiquity/panel to 28 pixels height. (LP: #1207890)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 25 Sep 2013 13:36:05 +0100

ubiquity (2.15.19) saucy; urgency=low

  [ Colin Watson ]
  * Remove ReiserFS support, following Debian's removal of partman-reiserfs.

  [ Stéphane Graber ]
  * Change default wallpaper for Xubuntu. (LP: #1228098)
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu40, partman-auto 107ubuntu2, partman-basicfilesystems
    78ubuntu2, partman-efi 25ubuntu5.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 20 Sep 2013 15:37:42 -0500

ubiquity (2.15.18) saucy; urgency=low

  * debian/tests/control: Add ubiquity-plugin-ubuntuone to Depends.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Sep 2013 01:34:29 +0100

ubiquity (2.15.17) saucy; urgency=low

  [ Dmitrijs Ledkovs ]
  * Split ubuntuone page into a separate package and seed/unseed it as
    appropriate. (LP: #1218175)
  * Automatic update of included source packages: base-installer
    1.122ubuntu17, clock-setup 0.117ubuntu1, flash-kernel
    3.0~rc.4ubuntu39, partconf 1.43, partman-jfs 41, partman-lvm 87,
    partman-newworld 31, partman-xfs 53.

  [ Jeremy Bicha ]
  * Add 'ubiquity' keyword to .desktop

  [ Tim Lunn ]
  * Update default Ubuntu GNOME Background
  * disable g-s-d background plugin for Ubuntu GNOME
  * set gsettings keys before launch g-s-d, helps with clunky transitions
  * Don't set num-workspaces as this carries through the live session


 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 11 Sep 2013 10:18:46 +0100

ubiquity (2.15.16) saucy; urgency=low

  * Disable ubuntu one plugin on Edubuntu flavour.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 02 Sep 2013 13:47:06 +0100

ubiquity (2.15.15) saucy; urgency=low

  [ Tim Lunn ]
  * Add Ubuntu GNOME background to ubiquity-dm (LP: #1204312)
  * Use gnome-shell as wm in ubiquity-dm on Ubuntu GNOME (LP: #1214732)
  * export XDG_SESSION_ID to provide access to hijacked logind session

  [ Dmitrijs Ledkovs ]
  * Add gnome-shell as alternative window manager dependency on the
    ubiquity binary package.
  * Enable U1 page, if U1 is part of the image.
  * Do not try to install U1 keyring into encrypted home directories, not
    supported at the moment. (LP: #1217143)
  * Automatic update of included source packages: partman-basicmethods
    55.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 29 Aug 2013 01:26:09 +0100

ubiquity (2.15.14) saucy; urgency=low

  * Port autopilot tests to updated API for retrieving application proxy
    over custom dbus address.
  * Enable Ubuntu One plugin by default, against production server.
  * Drop obsolete --no-webcam option, webcam step dropped some time ago.
  * Automatic update of included source packages: clock-setup
    0.116ubuntu1, partman-auto-lvm 50ubuntu1, partman-btrfs 12ubuntu1,
    partman-crypto 60ubuntu1, partman-ext3 77ubuntu1, partman-lvm 86,
    preseed 1.60ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Aug 2013 18:54:49 +0100

ubiquity (2.15.13) saucy; urgency=low

  [ Aurélien Gâteau ]
  * [KDE] Add network manager wifi setup page
  * Refactor network manager code to create a separte GTK class and
    base class for both frontends to use

  [ Dmitrijs Ledkovs ]
  * Properly drop privileges with pkexec by deriving UID/GID/username from
    PKEXEC_UID.

  [ Jeremy Bicha ]
  * Rename ubiquity-gtkui.desktop to ubiquity.desktop (LP: #1203223, #1203224)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 01 Aug 2013 21:10:09 +0100

ubiquity (2.15.12) saucy; urgency=low

  [ Rohan Garg ]
  * [KDE] Fix language drop down list closes on first click (LP:
    #1187762)

  [ Aurélien Gâteau ]
  * [KDE] Fix max width to 1000px on content and refactor widget stack to simplify

  [ Lars Uebernickel ]
  * Port ubiquity panel to new indicators (LP: #1204290)

  [ Dmitrijs Ledkovs ]
  * Automatic update of included source packages: debian-installer-utils
    1.98ubuntu1, partman-base 167ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 30 Jul 2013 12:00:21 +0100

ubiquity (2.15.11) saucy; urgency=low

  * Automatic update of included source packages: base-installer
    1.122ubuntu16, partman-newworld 30. (LP: #1184297)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 19 Jul 2013 13:00:57 -0400

ubiquity (2.15.10) saucy; urgency=low

  [ Kaj Ailomaa ]
  * Change Ubuntu Studio background in ubiquity-dm.

  [ Jeremy Bicha ]
  * Don't tell automake to install everything to ubiquity-frontend-gtk and
    try to clean up after
  * Reorganize app icon handling
    - Fixes missing app icon in GNOME Shell (LP: #1164573)
    - Use improved icon from Humanity as fallback icon
  * Update *.install files for above changes
  * Fix minor lintian warning by not installing empty /usr/share/applications/

  [ Aurélien Gâteau ]
  * KDE: Set icon theme to Oxygen, shows icons on standalone Ubiquity

  [ Dan Chapman ]
  * Add initial autopilot support! UI testing, brave new world!

  [ Stéphane Graber ]
  * Install the shim and signed grub and kernels by default on all UEFI
    machines instead of relying on the SecureBoot nvram variable.
    (LP: #1184297)
  * Automatic update of included source packages: bterm-unifont 1.3,
    grub-installer 1.78ubuntu8, partconf 1.42, partman-basicmethods 54,
    partman-jfs 40, partman-reiserfs 55, partman-xfs 52.
  * Fix mix tabs/spaces in test_ubiquity_custom.py.
  * Fix autopkgtests not passing pyflakes.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 18 Jul 2013 18:10:17 -0400

ubiquity (2.15.9) saucy; urgency=low

  [ Dmitrijs Ledkovs ]
  * Use pyflakes3 instead of pyflakes, for better python3 checks.

  [ Aurélien Gâteau ]
  * Merge lp:~agateau/ubiquity/kde-rework-try-install-buttons
   - Make the icon part of the buttons so that they are clickable as
     well (I always click the icon and get frustrated it does not do
     anything...)
   - Use latest Oxygen icons

  [ Iain Lane ]
  * Use ISO-639-2/{B,T} codes when looking up keyboard layout variants since
    these are what's referred to in xkb-data's xorg.xml file.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Jul 2013 11:50:03 +0100

ubiquity (2.15.8) saucy; urgency=low

  [ Colin Watson ]
  * Fix "parition" typo in template names.

  [ Dmitrijs Ledkovs ]
  * Wrap ubiquity call in sh, due to broken desktop-file/pkexec
    interaction on XFCE and LXDE (LP: #1193526)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 25 Jun 2013 13:11:30 +0100

ubiquity (2.15.7) saucy; urgency=low

  [ Colin Watson ]
  * Consistently consider closing a question dialog as a negative response,
    not a positive one (LP: #1177115).

  [ Dmitrijs Ledkovs ]
  * Use staging U1 APIs, as production is not enabled for unverified
    accounts yet.
  * Move to automake-1.13
  * Include policykit policy file to allow pkexec ubiquity as an X11
    application for any frontend/flavour.
  * Drop all other privilege escalation methods, as pkexec is available on
    all flavours.
  * Drop "--desktop %k" from desktop files, not needed with pkexec.
  * U1 plugin: do not use subprocess.Popen.wait(), as it may cause
    block thus causing a deadlock.
  * Shade U1 logos with #DED9CB to match color scheme.
  * Automatic update of included source packages: clock-setup
    0.115ubuntu1, partconf 1.41, partman-auto 107ubuntu1, partman-base
    166ubuntu1, partman-target 83ubuntu1, yaboot-installer
    1.1.27ubuntu1.

  [ Jeremy Bicha ]
  * Use spaces not hyphens in release name such as "Ubuntu GNOME" not
    "Ubuntu-GNOME".

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 18 Jun 2013 13:04:40 +0100

ubiquity (2.15.6) saucy; urgency=low

  * Merge U1 plugin, without activating it by default at the moment. This
    plugin offers ability to login or register for U1 account, view terms
    & conditions and further information about U1.
  * Stop calling GLib.threads_init, no longer needed with new PyGI.
  * Add gir webkit, gir gnome-keyring, oauthlib to dependencies.
  * Automatic update of included source packages: partman-auto-crypto
    20ubuntu1, partman-auto-lvm 49ubuntu1, partman-basicfilesystems
    78ubuntu1, partman-ext3 75ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 29 May 2013 12:07:17 +0100

ubiquity (2.15.5) saucy; urgency=low

  * ubiquity/install_misc.py: Make the fake initctl pass through "initctl
    version" calls, used by such things as invoke-rc.d to figure out whether
    it's running under Upstart (LP: #1182540).
  * Automatic update of included source packages: apt-setup 1:0.80ubuntu1,
    debian-installer-utils 1.97ubuntu1, partman-basicmethods 53,
    partman-btrfs 11ubuntu1, partman-jfs 39, partman-newworld 29,
    partman-reiserfs 54, partman-xfs 51, user-setup 1.48ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 May 2013 17:27:22 +0100

ubiquity (2.15.4) saucy; urgency=low

  * Make ubiquity-frontend-debconf Architecture: any rather than all; the
    .bgf font format is architecture-dependent (LP: #1180880).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu34.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 May 2013 14:52:57 +0100

ubiquity (2.15.3) saucy; urgency=low

  * Increment reference count on address before returning it from
    ubiquity_mock_resolver_lookup_by_name_finish, fixing a segfault in the
    test suite.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 May 2013 22:22:07 +0100

ubiquity (2.15.2) saucy; urgency=low

  * Replace recommendations of transitional uboot-mkimage and uboot-envtools
    with u-boot-tools.
  * Automatic update of included source packages: apt-setup 1:0.79ubuntu1,
    partman-target 82ubuntu1, yaboot-installer 1.1.26ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 May 2013 17:16:35 +0100

ubiquity (2.15.1) saucy; urgency=low

  * Remove consolekit integration, as consolekit is going away. This
    potentially reopens http://pad.lv/631538 - enable to shutdown system
    via indicator in ubiquity-dm session. But we can only test / re-fix
    this once systemd aware indicator-session lands on the daily image.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 01 May 2013 11:27:51 -0700

ubiquity (2.15.0) saucy; urgency=low

  * Remove support for the alpha warning.  This was much more useful some
    years back than it is now; it's only currently shown by the KDE frontend
    anyway; and it's one more thing to go wrong at the last minute before
    release.
  * Automatic update of included source packages: choose-mirror 2.45ubuntu1,
    clock-setup 0.114ubuntu1, debian-installer-utils 1.95ubuntu1,
    partman-base 165ubuntu1, partman-basicmethods 52.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Apr 2013 09:17:59 -0700

ubiquity (2.14.8) raring; urgency=low

  * Disable alpha warning.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Apr 2013 18:21:36 +0100

ubiquity (2.14.7) raring; urgency=low

  * [Qt Frontend] Do not allow to proceed from partitioning page when
    password is required, yet missing or does not match confirmation
    password. (LP: #1172059)

  * [Qt Frontend] Clear use as combo box, on each iteration to avoid
    duplicated entries. (LP: #1171989) Thanks merryidleness for the patch.
  * Automatic update of included source packages: base-installer
    1.122ubuntu15, flash-kernel 3.0~rc.4ubuntu33.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 24 Apr 2013 11:40:29 +0100

ubiquity (2.14.6) raring; urgency=low

  * Automatic update of included source packages: partman-auto 105ubuntu3
    (LP: #1080701).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Apr 2013 13:23:23 +0100

ubiquity (2.14.5) raring; urgency=low

  * Revert LC_TIME change from previous upload since at least
    language-selector also needs to be brought into sync, and it's too late
    for 13.04.
  * Automatic update of included source packages: localechooser 2.49ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Apr 2013 18:28:16 +0100

ubiquity (2.14.4) raring; urgency=low

  * Set LC_TIME to reflect the language rather than the location, as the
    lesser of two evils since it includes translations of day and month
    names (LP: #1160441).
  * Allow preseeding "ubiquity ubiquity/automatic/timezone boolean true" to
    skip the timezone question (LP: #1097113).  This is intended to be part
    of a more general mechanism, but not a week before release.
  * Update translations from Launchpad.
  * Automatic update of included source packages: localechooser 2.49ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Apr 2013 15:17:02 +0100

ubiquity (2.14.3) raring; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Apr 2013 16:16:25 +0100

ubiquity (2.14.2) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Do not select disabled partitioning options, even if they are at the
    top of the list, e.g. when offline, upgrade option is disabled and at
    the top of the list. (LP: #1152921) Make the upgrade option
    description also insensitive when disabled, to match visual style.
  * Do not allow encrypting, encrypted volumes, by filtering out crypto
    method from "use as" combo box. (LP: #1131761)

  [ Colin Watson ]
  * Don't strip qualifiers off the locale used for non-translation-like
    categories when only a single UTF-8 locale matches the selected location
    (LP: #1158750).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu31.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Apr 2013 13:31:51 +0100

ubiquity (2.14.1) raring; urgency=low

  * Pass --identifier-prefix=Ubiquity via
    UbiquityMockResolver_1_0_gir_SCANNERFLAGS rather than
    UbiquityMockResolver_1_0_gir_CFLAGS, fixing build failure with
    gobject-introspection >= 1.35.9.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 30 Mar 2013 23:15:26 +0000

ubiquity (2.14.0) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * ubiquity.ubiquity.upstart: exit with 1 if fails for unknown reasons
    (LP: #1151224)

  [ Jason Gerard DeRose ]
  * Add 'ubiquity-frontend-gtk' to the tuple of packages to remove in
    bin/oem-config-remove-gtk (LP: #1161943).

  [ Colin Watson ]
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu30, partman-base 163ubuntu2.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 30 Mar 2013 13:54:57 +0000

ubiquity (2.13.18) raring; urgency=low

  [ Aurélien Gâteau ]
  * KDE: create web view manually to ensure it starts slideshow
  * KDE: Fix the cancel button. It was missing its icon and not connected to
    an action

  [ Jonathan Riddell ]
  * 01oem-config-udeb install kubuntu slideshow for oem-config in Kubuntu
  * KDE: Untick encrypt tickbox when selecting login automatically LP: #1131459

  [ Dmitrijs Ledkovs ]
  * Drop compiz from alternative supported window managers for
    ubiquity-dm. This reverts to using metacity. It has proven to be
    unreliable.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 22 Mar 2013 15:40:56 +0000

ubiquity (2.13.17) raring; urgency=low

  * Remove webcam step (LP: #1118589):
    - User testing showed people are not expecting to be photographed and
      raise privacy concerns as to where the picture will be uploaded to.
    - Provides limited benefit, as avatar only ever shown on multi-login
      systems in the switch user indicator / pkexec.
    - Crashes the installer or doesn't work with certain webcams.
    - Miss detects camera presence, when it's just a sensor.
    - The recommendation is to move webcam test to checkbox / hw testing,
      as video conferencing is very popular these days and should work
      reliably out of the box.
    - LP: #924419 , LP: #981644 , LP: #987392, LP: #1152254, LP: #843354,
      LP: #1008204, LP: #1021449, LP: #1082458, LP: #1103780, LP: #1142751
  * Do not count optional pages, when updating the progress dots. This
    fixes "Porgress dots, well don't progress after partman step"
    LP: #1152746
  * Do not mark explanatory text on "Installation Type" screen
    insensitive, as otherwise it's ineligible (LP: #1074386)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 19 Mar 2013 15:17:51 +0000

ubiquity (2.13.16) raring; urgency=low

  * ubiquity-dm: Add UbuntuKylin background image.
  * debian/tests/control: Depend only on the debs we generate, not on "@"
    which is expanded to the udebs as well.
  * Automatic update of included source packages: console-setup 1.70ubuntu7.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Mar 2013 10:51:22 +0000

ubiquity (2.13.15) raring; urgency=low

  * Re-upload due to broken hint on previous upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 13 Mar 2013 00:40:11 +0000

ubiquity (2.13.14) raring; urgency=low

  [ Harald Sitter ]
  * KDE: Insert spacer in sidebar to ensure it scales correctly even when
    no install steps are set (greeter mode) LP: #1153557

  [ Aurélien Gâteau ]
  * KDE: fixes the "next|install" button not changing its text back to
    "next" when it has changed to "install" and users clicks on
    "previous"
  * KDE: ensure all text is the same color and fixes spacing issues on the
    prepare step

  [ Jonathan Riddell ]
  * Automatic update of included source packages: localechooser
    2.49ubuntu2.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Mar 2013 16:53:17 +0000

ubiquity (2.13.13.1) raring; urgency=low

  * install, is already imported as a module, hence the update_next_button
    karg got changed to install_now, which broke the rest of calls to
    update_next_button. Instead, simply use a positional arg for all the
    remaining calls. (LP: #1153035) This should unbreak kubuntu
    images. Kde frontend maintainers should be free to fix this otherwise,
    as long as it is pyflakes & pep8 clean.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 10 Mar 2013 02:13:53 +0000

ubiquity (2.13.13) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Bump Standards version and override some lintian tags (ubiquity is
    weird).
  * Override expander style, which is hardcoded in light-themes to a
    light color. (LP: #1100922)
  * Consolidate CssProvider and add make minimal progress bar width 10px,
    in preparation for dot-progress of all steps.
  * Fix colour unit test, the green is no longer what it used to be...
  * Switch to "NotShowIn=KDE" for ubiquity-gtk desktop files, as most !kde
    desktop environments use gtk frontend.
  * Show progress dots for plugin pages and show progress bar only during
    slideshow.

  [ Colin Watson ]
  * Decode the output of apt_pkg.size_to_str() if necessary when
    substituting it into Unicode strings (LP: #877756, #1132918).
  * Update translations from Launchpad.

  [ Aurélien Gâteau ]
  * Turns the Ubiquity KDE window into a regular window and rework
    the layout of widgets to provide more space to the main content.
    The labels on the left now wrap to the next line if they are too long,
    ensuring they are never truncated.
  * KDE: Improve the layout of Prepare step
  * KDE: fix integration of the webview responsible for showing the slideshow
  * KDE: fix various issues with right-to-left languages

  [ Julien Lavergne ]
  * Use feh to draw the wallpaper on Lubuntu when using ubiquity-dm.

  [ Ma Jun (Kylin Team) ]
  * Fix referencing variable before assignment (LP: #945027)

  [ Kobe Lee ]
  * Show OS column in manual partitioning page. (LP: #1100694)

  [ Stéphane Graber ]
  * Fix crash in ubi-console-setup when quickly moving back and worth between
    pages. (LP: #944614)

  [ Jonathan Riddell ]
  * Add back compositing to kwin on live CD (in ubiquity-dm), whatever was wrong
    in 2008 should be fixed now and its making us look ugly

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 07 Mar 2013 19:53:52 +0000

ubiquity (2.13.12) raring; urgency=low

  [ Colin Watson ]
  * While displaying question or error dialogs, only change the busy cursor
    state rather than also allowing changing step (LP: #1095684).
  * Use an action group when marking packages for install or delete in the
    apt cache; this is much faster when many packages are involved, since it
    avoids repeating autoremoval calculations over and over again.
  * Sort and consolidate imports.
  * Fix ordering of encryption password strength indications (LP: #1068391).
  * At the end of the language install plugin, read all locale-related keys
    from (/target)/etc/default/locale and set them in the installer's own
    environment.
  * If the combination of language and location does not identify a
    supported combined locale, use a locale based on the language for
    translation-like locale categories and pick one based on the location
    for other locale categories (LP: #1094872).  There are still some
    locations where we cannot pick a language element of a location-based
    locale because this is unclear or contentious, and in those cases we
    stick to the old behaviour of having the locale only reflect the
    country.

  [ Aurélien Gâteau ]
  * KDE frontend: show name of installed OS as partition name if
    available

  [ Dmitrijs Ledkovs ]
  * Make panel.c aware of screen & display changes, prevents visual
    artefacts on nexus7 when screen is changing or external monitor is
    plugged in and resolution is changes.
  * Update disable/enable ctrl+alt+t terminal to use gsettings keys,
    instead of gconf.
  * Migrate remaining gconf settings to gsettings in ubiquity-dm.
  * Make sure to correctly set picture-uri. (LP: #1128597)
  * Refactor ubiquity-dm, now that there is less code.
  * Remove gconftool.py.
  * Automatic update of included source packages: grub-installer
    1.78ubuntu6, hw-detect 1.92ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 21 Feb 2013 02:53:43 +0000

ubiquity (2.13.11) raring; urgency=low

  * Remove remaining autofoo cruft from the source tree and ignore it. We
    are using dh-autoreconf.
  * If available, Use gnome-settings-daemon to set the wallpaper, instead
    of the wallpaper app. Supports changing background and screen size
    changes (e.g. like on nexus7). For derivatives that do not ship g-s-d,
    the wallpaper should be draw by their respective native means or the
    wallpaper app should be fixed or something like xloadimage could be
    used.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 16 Feb 2013 07:18:44 +0000

ubiquity (2.13.10) raring; urgency=low

  [ Colin Watson ]
  * Only force mirror/country to the value of debian-installer/country if it
    is empty or has not been preseeded (LP: #732221).
  * For automatic installs, set debian-installer/country to a country
    matching time/zone when starting up the timezone plugin, since its
    ok_handler will typically never be called (LP: #1098577).
  * Save a random seed to the installed system so that it has better entropy
    on first boot (LP: #1098299).
  * Update translations from Launchpad (LP: #1096923).
  * Refactor handling of automatic mode to make it easier to override checks
    for it in plugins.

  [ Iain Lane ]
  * Port the webcam support to GStreamer 1.0.

  [ Jonathan Riddell ]
  * Fix widget layout and logic (LP: #1066225)

  [ Dmitrijs Ledkovs ]
  * Automatic update of included source packages: partman-
    basicfilesystems 76ubuntu4, partman-efi 25ubuntu4, partman-
    partitioning 89ubuntu2, partman-target 81ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Feb 2013 20:01:25 +0000

ubiquity (2.13.9) raring; urgency=low

  [ Luke Yelavich ]
  * bin/ubiquity-dm, ubiquity/frontend/gtk_ui.py: Remove a non-existant
    command-line flag from Orca calls.

  [ Kent Baxley ]
  * Hide the back button at the beginning of oem-config (LP: #1095692).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Jan 2013 11:58:23 +0000

ubiquity (2.13.8) raring; urgency=low

  [ Colin Watson ]
  * Honour base-installer/kernel/altmeta when deciding which kernels to
    install or keep installed.

  [ Dmitrijs Ledkovs ]
  * Moving question dialog to use a glade ui file, made it non
    "re-entrant" safe, i.e. it started to remember previous action area
    buttons. The fix is to clear action area, all other parts of the
    dialog are always reset with something fresh. (LP: #1087823)
  * ubiquity-dm: compiz actually doesn't have bg-image.
  * ubi-partman: Do not allow to select encryption without lvm
    (LP: #1093957).
  * Automatic update of included source packages: debian-installer-utils
    1.94ubuntu1, flash-kernel 3.0~rc.4ubuntu29, localechooser
    2.49ubuntu1, netcfg 1.68ubuntu17, partman-auto 105ubuntu2, partman-
    auto-lvm 46ubuntu2, partman-base 163ubuntu1, partman-ext3 74ubuntu1,
    partman-jfs 38, partman-partitioning 89ubuntu1, partman-target
    80ubuntu1, preseed 1.57ubuntu2, user-setup 1.47ubuntu1.

  [ Scott Kitterman ]
  * Change encrypt home question to checkbox and indent it under the login
    option to make it clear it is a sub question to the login option
    (LP: #1066225)

  [ Jesse Sung ]
  * Fix multiple issues with Back/Stop and Continue/Connect buttons on
    wireless page (LP: #883615).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 09 Jan 2013 15:40:19 +0000

ubiquity (2.13.7) raring; urgency=low

  * Use dh-autoreconf to avoid huge diffs when the autotools are updated.
  * Optimise all PNGs and tell pkgbinarymangler not to do so again, to save
    build time.
  * GTK frontend:
    - Fix regression causing incorrect response IDs to be returned from
      question dialogs (LP: #1085961).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Dec 2012 13:56:33 +0000

ubiquity (2.13.6) raring; urgency=low

  * Don't remove kernel headers just because we're removing signed kernel
    images of the same flavour (LP: #1070427).
  * Automatic update of included source packages: yaboot-installer
    1.1.25ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2012 17:13:37 +0000

ubiquity (2.13.5) raring; urgency=low

  * Add basic support for compiz.
  * Automatic update of included source packages: hw-detect 1.91ubuntu1,
    partman-btrfs 10ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 29 Nov 2012 09:37:42 +0000

ubiquity (2.13.4) raring; urgency=low

  [ Colin Watson ]
  * Huge pile of minor changes to make ubiquity compatible with pep8 1.3.

  [ Dmitrijs Ledkovs ]
  * Clear "Read release notes or update the installer" if neither action
    are possible. (LP: #1066302)
  * If there is only one disk & use_device recipe is used, change next step
    button to "Install Now". (LP: #1050044)
  * When auto-partitioning is not possible, allow to manually partition
    the same drive installation medium is on. (LP: #1053030)
  * Fix the question_dialog height-for-width (LP: #862270)
  * Fonconfig-voodoo is gone, not sure if some other "fontconfig"ury
    should be called instead. (LP: #1043031)
  * Fix partman test_windows_only: if resize option is available, use_disk
    should be available as well.
  * Fix test_translated, after moving question dialog into glade from
    construction by hand.
  * Automatic update of included source packages: base-installer
    1.122ubuntu14, debian-installer-utils 1.91ubuntu6, flash-kernel
    3.0~rc.4ubuntu28.

  [ Martin Pitt ]
  * ubiquity/gtkwidgets.py: Don't use GObject.constants, just use the
    constants from GObject as intended. Fixes a crash with pygobject
    3.7.2.
  * Use glib API from the GLib GI module instead of GObject. The latter
    has been deprecated for a long time and triggers warnings with pygobject
    3.7.2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 27 Nov 2012 11:47:01 +0000

ubiquity (2.13.3) raring; urgency=low

  * Use simplified form of super(), available from Python 3.
  * Fix target kernel file names when only a signed kernel is present on the
    installation medium (LP: #1077388).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Nov 2012 12:31:47 +0000

ubiquity (2.13.2) raring; urgency=low

  * Try to copy signed kernel from vmlinuz.efi in preference to
    vmlinuz.efi.signed; vmlinuz.efi is friendlier to archaic 8.3 file name
    restrictions which apply to isolinux.
  * Automatic update of included source packages: partman-auto 105ubuntu1,
    partman-auto-lvm 46ubuntu1, partman-crypto 55ubuntu1, partman-lvm
    82ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Nov 2012 15:11:08 +0000

ubiquity (2.13.1) raring; urgency=low

  * Remove dead code in ubi-prepare which breaks with Python 3.3
    (LP: #1076305).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Nov 2012 10:52:11 +0000

ubiquity (2.13.0) raring; urgency=low

  * Re-enable alpha warning for raring.
  * If there is a signed kernel but no unsigned one on the installation
    medium, then use sbattach to remove the signature and construct the
    unsigned kernel on the fly.
  * Automatic update of included source packages: choose-mirror 2.44ubuntu1,
    clock-setup 0.113ubuntu1, partconf 1.40, partman-base 161ubuntu1,
    partman-basicfilesystems 76ubuntu1, partman-basicmethods 51,
    partman-ext3 72ubuntu1, partman-jfs 37, partman-newworld 28, preseed
    1.55ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Nov 2012 15:27:43 +0000

ubiquity (2.12.16) quantal-proposed; urgency=low

  * Change get_grub_choice implementation to use get_current_disk_partman_id
    instead of get_autopartition_choice so it doesn't need to parse strings.
    Implement get_current_disk_partman_id in Kde frontend to use the same code.
    (LP: #1067691)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 17 Oct 2012 14:34:35 +0200

ubiquity (2.12.15) quantal-proposed; urgency=low

  * Make sure not to remove the signed kernel if we need it (LP: #1067659).
  * Copy the signed kernel from /cdrom/casper/vmlinuz.efi.signed.
    /cdrom/casper/vmlinuz needs to remain unsigned to avoid breaking
    checksums.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Oct 2012 11:38:04 +0100

ubiquity (2.12.14) quantal-proposed; urgency=low

  * Add extra checks when determining boot parameter for grub_default,
    which prevents crashing the installer upton entering manual
    partitioning (LP: #1067566)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 17 Oct 2012 05:29:04 +0100

ubiquity (2.12.13) quantal-proposed; urgency=low

  [ Dmitrijs Ledkovs ]
  * Do not allow to edit locked partitions via double click in the Gtk
    Treeview. (LP: #1057690)

  [ Colin Watson ]
  * Fix "Mangement" typo (thanks, Yuri Chornoivan; LP: #1067228).
  * Update translations from Launchpad.

  [ Stéphane Graber ]
  * Add an extra parameter to grub_default so that the UI can force it to use a
    specific device rather than scan for / and /boot.
    Update Gtk and Kde code to pass that parameter when in auto mode.
    (LP: #1066173)
  * Automatic update of included source packages: base-installer
    1.122ubuntu13, partman-auto 103ubuntu4.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 16 Oct 2012 19:12:03 +0200

ubiquity (2.12.12) quantal-proposed; urgency=low

  * Automatic update of included source packages: user-setup 1.46ubuntu2.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Oct 2012 12:34:53 +0100

ubiquity (2.12.11) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Reveal grub combo box, only when setting grub options. (LP: #1064391)
    And use a frontend callback to do so. Thanks Colin for idea & patch.
  * Automatic update of included source packages: partman-auto
    103ubuntu3. (LP: #1065034)

  [ Colin Watson ]
  * Update translations from Launchpad.

  [ Jonathan Riddell ]
  * Remove formatting from recently added strings to ubiquity.template
    LP: #1065989

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 12 Oct 2012 20:39:26 +0100

ubiquity (2.12.10) quantal; urgency=low

  * Don't leave signed kernels installed if base-installer doesn't ask for
    one, to avoid unnecessarily increasing the cost of upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Oct 2012 23:40:27 +0100

ubiquity (2.12.9) quantal; urgency=low

  [ Jonathan Riddell ]
  * KDE PartAuto.py Translate strings which previously were not translated.
    Thanks to Pantelis Koukousoulas

  [ Oliver Grawert ]
  * drop recommends of redboot-tools so the package can go to universe
    (LP: #1064271)

  [ Colin Watson ]
  * Try to install a signed kernel if base-installer asks for one.
  * If the SecureBoot EFI variable is set, then ensure that
    grub-efi-amd64-signed and shim-signed remain installed.
  * Update translations from Launchpad.
  * Automatic update of included source packages: base-installer
    1.122ubuntu12, console-setup 1.70ubuntu6, flash-kernel 3.0~rc.4ubuntu27,
    grub-installer 1.78ubuntu5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 16:21:17 +0100

ubiquity (2.12.8) quantal; urgency=low

  [ Colin Watson ]
  * Before starting to do anything with apt, generate the locale in the
    target system, copy it out, and start using it (LP: #644736).
  * Update translations from Launchpad.

  [ Stéphane Graber ]
  * Replace use of assert in install_misc by a check, revert and exception
    so that errors can be ignored by the caller, useful for langpacks.
    (LP: #898787)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2012 09:11:16 +0100

ubiquity (2.12.7) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Change calculate_reuse_option logic to allow upgrading development
    releases to final/newer. (LP: #1050562)
  * Automatic update of included source packages: partman-auto
    103ubuntu2 (LP: #1050562), partman-crypto 54ubuntu2. (LP: #1056707)

  [ Colin Watson ]
  * Use xz compression for binary packages.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 28 Sep 2012 14:21:13 +0100

ubiquity (2.12.6) quantal; urgency=low

  * Make the accessibility indicator menu items translatable (LP: #1040438).
    Note that this just adds the necessary infrastructure; we still need
    actual translations for this to be useful.
  * Drop dependency on realpath, not needed since hw-detect 1.89 (ubiquity
    2.11.14).
  * Bind-mount /run while installing packages in the target chroot, so that
    name resolution works (LP: #1055326).
  * Update translations from Launchpad (LP: #1056029).
  * Upgrade to Automake 1.11.6.
  * Automatic update of included source packages: debian-installer-utils
    1.91ubuntu5, flash-kernel 3.0~rc.4ubuntu26.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2012 00:41:00 +0100

ubiquity (2.12.5) quantal; urgency=low

  [ Jonathan Riddell ]
  * Change from a KApplication to a QApplication to avoid using DBus, DBus
    as needed by KApplication no longer works with our multiple user changes
    LP: #1055967

  [ Colin Watson ]
  * Partially revert r5662 (removal of more Python 2 support, from ubiquity
    2.11.33).  'from __future__ import print_function' is needed to make
    pyflakes do its job properly.
  * Remove some dead code from bin/ubiquity.
  * Improve tests/run-pyflakes to check relevant files in bin/ and tests/.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Sep 2012 23:38:59 +0100

ubiquity (2.12.4) quantal; urgency=low

  * Do not offer to remove partitions nor create partition table on the
    loop mounted devices. (LP: #1055640)
  * Skip locked partitions when rebuilding cache, in a similar way as
    skipping free disk space, by sniffing locked file in the partman
    device tree. Remove locked flag, otherwise. (LP: #1055819)
  * Hide mount combo, instead of making it insensitive to reduce clutter
    in the add/edit partition dialog. (LP: #1055815)
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu25, grub-installer 1.78ubuntu3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 25 Sep 2012 13:10:32 +0100

ubiquity (2.12.3) quantal; urgency=low

  * Do not preseed grub-install, if we are not proceeding to install. This
    should fix ValueError, I/O operation on closed file (LP: #1027648)
    (LP: #792652)
  * Automatic update of included source packages: yaboot-installer
    1.1.22ubuntu2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 24 Sep 2012 11:23:57 +0100

ubiquity (2.12.2) quantal; urgency=low

  * Add manual crypto partitioning (LP: #1042649)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 20 Sep 2012 18:09:10 +0100

ubiquity (2.12.1) quantal; urgency=low

  * Automatic update of included source packages: grub-installer
    1.78ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2012 17:25:12 +0100

ubiquity (2.12.0) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * bin/ubiquity-dm: Drop atk-bridge GTK_MODULE as this is now part of
    GTK+ 3.5.
  * bin/ubiquity-dm: Add overlay-scrollbar GTK_MODULE as this is now a
    module. (LP: #1052040)
  * Set create/edit title on the partitioning dialogs (LP: #1048464)

  [ Colin Watson ]
  * Drop reconfiguration of usplash and splashy; they were removed from the
    Ubuntu archive in natty and precise respectively.
  * Bind-mount /run while running grub-installer, so that the resolver works
    (LP: #1047550).
  * Update translations from Launchpad.
  * Automatic update of included source packages: choose-mirror 2.40ubuntu1,
    flash-kernel 3.0~rc.4ubuntu24, grub-installer 1.78ubuntu1, partman-auto
    103ubuntu1, partman-efi 25ubuntu2, user-setup 1.46ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Sep 2012 16:42:24 +0100

ubiquity (2.11.33) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Make Add/Remove/Change toolbar not have a background. Thanks to
    askubuntu and andrewsomething.
  * Fix TypeError in a debug statement when resize is not possible due to
    small total disk space.
  * Remove more of Python 2 support.  We are not going back to the __future__.
  * Use py3compile, instead of pycompile.

  [ Stéphane Graber ]
  * Fix drop_all_privileges to also set LOGNAME which is required by firefox
    to contact an existing instance. (LP: #446679)

  [ Colin Watson ]
  * Automatic update of included source packages: debian-installer-utils
    1.91ubuntu4 (LP: #1049535), flash-kernel 3.0~rc.4ubuntu23.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Sep 2012 12:40:52 +0100

ubiquity (2.11.32) quantal; urgency=low

  [ Jeremy Bicha ]
  * Allow specifying a manual mount point in advanced partitioner
    (LP: #1047275).

  [ Dmitrijs Ledkovs ]
  * Revert test string, to a user friendly one as it is visible in the UI.
  * Automatic update of included source packages: base-installer
    1.122ubuntu11, partman-auto-lvm 45ubuntu3, tzsetup 1:0.26ubuntu12.
  * pep8 fixes in Riddell's code

  [ Colin Watson ]
  * Remove a couple of vestiges of migration-assistant.
  * Catch OverflowError as well as ValueError from datetime functions, for
    forward-compatibility with Python 3.3.
  * Use importlib rather than __import__.
  * Install fetch-url for apt-setup's local generator (LP: #1049535).

  [ Jonathan Riddell ]
  * ubiquity/plugins/ubi-partman.py and
    ubiquity/frontend/kde_components/PartAuto.py
   - add options for LUKS and LVM automatic partitioning to KDE frontend
     (LP: #1048712)

  [ Simon Steinbeiß ]
  * Disable xfwm4's compositor in ubiquity-dm to prevent screen-corruption
    (LP: #924909)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 12 Sep 2012 22:45:51 +0100

ubiquity (2.11.31) quantal; urgency=low

  [ Colin Watson ]
  * Buffer reads from debconf-copydb.  Python 3 defaults to unbuffered reads
    from byte streams, which is much slower.
  * Port oem-config-remove-gtk to Python 3, now that
    python3-aptdaemon.gtk3widgets exists; the final piece!
  * Remove Python 2 support.  We aren't going back now.
  * Remove the rest of the long-dead PS3 port.

  [ Dmitrijs Ledkovs ]
  * Allow going from the encryption key setup page, to the disk space
    allocation page. (LP: #1046323)
  * Correctly apply styles to the title & progress sections and not the
    centre piece. This means themes are no longer required to provide non
    standard @dark_[fb]g_color colors, instead 'menubar' Gtk CSS style is
    used. This also fixes long standing a11y issues in HighContrast themes
    & requirements for non-standard color definitions. (LP: #744283)
  * Make lables in the segmented bar use the same colours as normal labels.
  * Changing the "Add/Remove/Change Partiontion" buttons to mixed
    symbolic/text buttons should make the screen comply with Ubiquity
    Design spec ( http://goo.gl/Kokw5 ) and address confusion about the
    updated screen. (LP: #1045799)
  * Fix the disappearance of crypto password field (LP: #1045716)
  * Fix misallignment of crypto password fields (LP: #1045712)
  * Make setup security key page go back to ask page (LP: #1045698)
  * Remove powerpc/ps3 low-memory profile, as it doesn't do anything any
    more. gnome-session-remove command is no longer present, and the init
    processes it tried to stop no longer exist under those names. We do
    want a low memory profile, which ubiquity-only mode now.
  * ubiquity-wrapper: Add support for udisks2 inhibit, drop devkit-disks
    inhibit. (LP: #719338)
  * Prevent progress label to expand & shrink the window (LP: #1046241)
  * Automatic update of included source packages: base-installer
    1.122ubuntu9.

  [ Dylan McCall ]
  * Fixed slideshow_get_available_locale missing new locales in
    extra_slides_dir. (LP: #1046511)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 08 Sep 2012 00:47:54 +0100

ubiquity (2.11.30) quantal; urgency=low

  * Allow to select primary/logical partitions, instead of always hiding
    it (LP: #1046175).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 05 Sep 2012 12:08:34 +0100

ubiquity (2.11.29) quantal; urgency=low

  [ Colin Watson ]
  * Fix missing parentheses that caused removable installation media
    sometimes to be selected as the default GRUB device (LP: #987418).
  * Update translations from Launchpad (LP: #1045695).

  [ Dmitrijs Ledkovs ]
  * Automatic update of included source packages: partman-auto-lvm
    45ubuntu2. (LP: #1045812)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 04 Sep 2012 18:48:04 +0100

ubiquity (2.11.28) quantal; urgency=low

  * Fix display of installation medium mounted grid. (LP: #1044717)
    Also used pylint to find check for undefined/missing attributes in the
    ubi-partman.py. Needs integration into build system.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 03 Sep 2012 12:51:16 +0100

ubiquity (2.11.27) quantal; urgency=low

  [ Omer Akram ]
  * Fix manual partinioning edit dialog (LP: #1044545)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 01 Sep 2012 03:09:22 +0100

ubiquity (2.11.26) quantal; urgency=low

  [ Evan Dandrea ]
  * Disable alpha warning for Beta 1.

  [ Dmitrijs Ledkovs ]
  * Fix renamed translation strings (LP: #1044299)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 31 Aug 2012 16:28:18 +0100

ubiquity (2.11.25) quantal; urgency=low

  * partAsk.ui, partCrypto.ui: Normalise widget names
  * Sub-class Gtk.Builder to add get_object_ids method
  * partAdvanced.ui: Refactor advanced partitioning UI (LP: #1042642)
  * partAdvanced.ui: Add LVM & Crypto UI but hide by default
  * Activate the first option by default on the ask page (LP: #1043822)
  * Make the "Use LVM" checkbox visible by default (LP: #1042639)
  * Remove the experimental --enable-partauto-lvm, not needed anymore
  * Create gui/pixmaps -> ../pixmaps symlink, for unit-tests
    to find images (LP: #1003890)
  * Adjust translations & unit-tests for the UI widget renames
  * Add new strings for future advanced LVM & Crypto UI
  * Update translation templates

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 30 Aug 2012 18:45:25 +0100

ubiquity (2.11.24) quantal; urgency=low

  [ Dylan McCall ]
  * Tweaks to support ubiquity-slideshow's new file structure and parameter
    format (LP: #1035806)

  [ Dmitrijs Ledkovs ]
  * Automatic update of included source packages: netcfg 1.68ubuntu16.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 Aug 2012 18:07:08 +0100

ubiquity (2.11.23) quantal; urgency=low

  [ Luke Yelavich ]
  * Show the accessibility indicator in only-ubiquity as well.
  * Tweak the error message displayed when the accessibility indicator
    cannot be shown, to satisfy PEP tests.

  [ Colin Watson ]
  * Make ubiquity-frontend-gtk depend on the specific window managers
    supported by ubiquity-dm (LP: #1037515).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu22, partman-auto-lvm 45ubuntu1, yaboot-installer
    1.1.22ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Aug 2012 17:23:42 +0100

ubiquity (2.11.22) quantal; urgency=low

  [ Stéphane Graber ]
  * Fix ubiquity upstart job to use /etc/default/locale as the source of
    LANG and LANGUAGE instead of /etc/environment (LP: #1037001)

  [ Dmitrijs Ledkovs ]
  * Remove pictograms from the partAsk page
  * Make full disk encryption tickbox visible by default
  * Make the security key page layout centered and fixed
  * Automatic update of included source packages: partman-crypto
    54ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 17 Aug 2012 10:37:21 +0100

ubiquity (2.11.21) quantal; urgency=low

  * Fix a typpo when checking if crypto option was selected (LP: #1035167).
  * Correct a mistake in refactoring: Do not clear drive selection, just
    before switching to install interface, instead guard by checking for
    correct current page. (LP: #1034954).
  * Mark optional options as invisible by default (LP: #1035514).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 13 Aug 2012 18:08:43 +0100

ubiquity (2.11.20) quantal; urgency=low

  * Fix incomplete simplification of KeyboardNames._load_file
    (LP: #1034960).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu20, partman-partitioning 87ubuntu1, preseed 1.54ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Aug 2012 10:39:35 +0100

ubiquity (2.11.19) quantal; urgency=low

  [ Colin Watson ]
  * Simplify DebconfFilter.process_line slightly.
  * Simplify KeyboardNames._load_file using collections.defaultdict.
  * Call installprogress.finish_update() when a download fails or is
    cancelled, not installprogress.finishUpdate() (LP: #1024043).

  [ Dmitrijs Ledkovs ]
  * Make the UI layout test print the failed page/step name.
  * Add crypt security key setup page and move crypt/lvm checkboxes to the
    ask page.
  * Refactor password validation from ubi-usersetup into a reusable
    component (for ubi-partman).
  * Refactor set_autopartition_options method in ubi-partman.py.
  * Add crypto option to ubi-partman.
  * Add command line flag to enable crypt checkbox on the ask page.
  * Add partman-crypto to the dependencies.
  * Add translation strings for crypto.
  * Add graphviz diagram of available ask page options.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu17, yaboot-installer 1.1.21ubuntu1.
  * Update translations.
  * Mark test_pages_fit_on_a_netbook as expected failure. See comment.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 08 Aug 2012 14:34:07 +0100

ubiquity (2.11.18) quantal; urgency=low

  * Don't bother keeping track of keyboard model names and identifiers, as
    nothing in ubiquity uses them right now.
  * Fix reversed uses of methods mapping between keyboard layout/variant IDs
    and human-readable names, and improve method naming and documentation to
    make this mistake less likely in future (LP: #1027207, #1027620).
  * Automatic update of included source packages: debian-installer-utils
    1.91ubuntu3, flash-kernel 3.0~rc.4ubuntu9, netcfg 1.68ubuntu15.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jul 2012 11:02:13 +0100

ubiquity (2.11.17) quantal; urgency=low

  * ubiquity/plugins/ubi-partman.py: Remove a stray comma, which broke this
    plugin.
  * Parse a compact representation of keyboard layouts and variants on the
    fly, rather than building them all into a giant static Python module.
    This is much more memory-efficient.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jul 2012 11:09:16 +0100

ubiquity (2.11.16) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Add experimental auto-lvm recipe
  * Automatic update of included source packages: partman-auto-lvm
    44ubuntu1.
  * Update translation templates.

  [ Colin Watson ]
  * Add a --no-webcam option to disable the webcam page.
  * Make all Python code pass pep8(1), and add a test to enforce this.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu7, partman-lvm 79ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jul 2012 15:47:16 +0100

ubiquity (2.11.15) quantal; urgency=low

  * Drop hw-detect debugging attempts.
  * Terminate status-to-debconf subprocess in DebconfInstallProgress more
    gracefully to avoid desynchronising the debconf protocol if the
    subprocess is killed between sending a command and receiving the
    response (LP: #1023036).
  * Make user-setup-encrypted-swap wait until partitioning has finished
    before attempting to adjust /target/etc/fstab (LP: #1024343).
  * Don't try and fail to set up encrypted swap if no swap partitions are
    configured (LP: #989279).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 14 Jul 2012 00:17:31 +0100

ubiquity (2.11.14) quantal; urgency=low

  * compat/udpkg: Handle 'udpkg -c' from udpkg 1.14, required by hw-detect
    1.89.
  * Automatic update of included source packages: hw-detect 1.89ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jul 2012 10:27:33 +0100

ubiquity (2.11.13) quantal; urgency=low

  * Add some more debugging around hw-detect.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Jul 2012 14:49:30 +0100

ubiquity (2.11.12) quantal; urgency=low

  * Rebuild with fixed dh_python3 (LP: #1023474).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Jul 2012 17:56:31 +0100

ubiquity (2.11.11) quantal-proposed; urgency=low

  [ Kent Baxley ]
  * Add the ability to run simple, custom scripts in ubiquity-dm
    (LP: #1017580).

  [ Colin Watson ]
  * Fix excision of code in hw-detect that creates
    /usr/lib/finish-install.d/30hw-detect (not necessary or useful in
    ubiquity, but accidentally broken way back in ubiquity 1.1.0).
  * Temporarily add shell tracing through part of hw-detect in the hope of
    diagnosing LP #1023036.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Jul 2012 11:36:20 +0100

ubiquity (2.11.10) quantal-proposed; urgency=low

  * ubiquity-dm: Use "-background none" rather than no-longer-supported
    "-nr" when doing a smooth transition from Plymouth (LP: #1019377).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu6.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Jul 2012 18:54:41 +0100

ubiquity (2.11.9) quantal-proposed; urgency=low

  [ Colin Watson ]
  * Update DebconfInstallProgress method names for the python-apt 0.8 API.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu5, partman-base 158ubuntu1, partman-target 78ubuntu1,
    preseed 1.53ubuntu1.

  [ Colin Watson, Dmitrijs Ledkovs ]
  * Rearrange DebconfInstallProgress to not assume that update_interface
    returns a value (LP: #1020574).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Jul 2012 11:51:17 +0100

ubiquity (2.11.8) quantal; urgency=low

  [ James M. Leddy ]
  * Only allow a user to proceed on the networking screen if he entered a valid
    password. This prevents a nm dbus exception. (LP: #929092)

  [ Mario Limonciello ]
  * Don't let oem-config crash from an invalid server return on the timezone
    page.

  [ Colin Watson ]
  * Simplify get_casper slightly.
  * Depend on humanity-icon-theme for the DEP-8 tests so that the
    gtk-missing-image icon is available.
  * Fix auto-update OpProgress instance to handle the python-apt 0.8 API,
    which doesn't pass a percent argument to update (LP: #1018759).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jun 2012 18:02:16 +0100

ubiquity (2.11.7) quantal-proposed; urgency=low

  [ Colin Watson ]
  * Remove hardcoded paths to xfsettingsd and various accessibility tools.
  * Automatic update of included source packages: clock-setup 0.112ubuntu1,
    debian-installer-utils 1.91ubuntu1, flash-kernel 3.0~rc.4ubuntu4,
    partman-base 156ubuntu1, partman-basicfilesystems 74ubuntu1,
    partman-btrfs 9ubuntu1, partman-ext3 70ubuntu1, preseed 1.51ubuntu1.

  [ Harald Sitter ]
  * Fix bogus attribute access in usersetup plugin leading to crashes with
    the KDE frontend (LP: #1008255)

  [ Oliver Grawert ]
  * adjust arm bootloader installation, we have not used this part of ubiquity
    in some years and everything was outdated

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Jun 2012 11:12:34 +0100

ubiquity (2.11.6) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Run debconf-updatepo to remove migration-assistant translations.

  [ Alan Bell ]
  * Adjust the default use_device_title label to make more sense when read
    by screen readers (LP: #1010179).

  [ Stéphane Graber ]
  * Port ubiquity-bluetooth-agent from the old python-gobject to the
    gi version of gobject as required with python3. (LP: #1013172)

  [ Matthew Paul Thomas ]
  * Improvements to the third-party software text:
    - Changes "display" to "play" (since MP3 is about audio, not video).
    - Adds mention of graphics drivers (because the installer may install a
      Nvidia proprietary driver).
    - Changes "wireless" to "wi-fi".
    - Changes "closed-source" to "proprietary", matching Ubuntu Software
      Center.
    - Removes repetition of "the software", by changing "the software's
      documentation" to "its documentation".

  [ Colin Watson ]
  * Add XS-Testsuite header, as per current DEP-8.
  * debian/tests/control: Depend on python3-mock rather than python-mock
    (LP: #1015400).
  * Automatic update of included source packages: apt-setup 1:0.56ubuntu2,
    partconf 1.38, partman-basicmethods 50, partman-jfs 36, partman-newworld
    27, partman-reiserfs 53, partman-xfs 50.

  [ Luke Yelavich ]
  * Show the a11y profile indicator in oem-config as well as in
    maybe-ubiquity mode.
  * bin/ubiquity-dm: Load at-spi for both OEM config and ubiquity.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jun 2012 09:37:32 +0100

ubiquity (2.11.5) quantal-proposed; urgency=low

  * Force the DBUS signature of AddAndActivateConnection (LP: #1008898)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 05 Jun 2012 11:10:52 -0400

ubiquity (2.11.4) quantal; urgency=low

  [ Colin Watson ]
  * Force the locale to en_US.UTF-8 for the timezone tests.
  * Fix seddery of clock-setup/finish-install.d/10clock-setup to handle
    changes in clock-setup 0.110 (LP: #1003443).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu1.
  * In the shell script syntax check, filter out *.po and *.pot files
    straight away before doing the slower check using file(1).  There are
    lots of these and it takes quite a long time otherwise.
  * Add several Lintian overrides.

  [ Dmitrijs Ledkovs ]
  * Remove migration-assistant's UI definitions.

  [ Martin Pitt ]
  * scripts/simple-plugins, ubiquity/plugins/ubi-prepare.py: Move from Jockey
    to "ubuntu-drivers autoinstall". Add ubuntu-drivers-common Recommends: for
    this.
  * scripts/plugininstall.py: Drop jockey --check-composite call. It is
    obsolete as the free drivers now provide 3D support. Automatic
    installation of graphics drivers is controlled and covered by
    ubuntu-drivers autoinstall now.

  [ Mario Limonciello ]
  * Don't encode callbacks in UTF8 in the timezone plugin anymore.  The strings
    are already unicode.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 01 Jun 2012 14:49:41 +0100

ubiquity (2.11.3) quantal; urgency=low

  * Automatic update of included source packages: flash-kernel 2.28ubuntu45.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 May 2012 09:44:35 +0100

ubiquity (2.11.2) quantal; urgency=low

  [ Colin Watson ]
  * If ubiquity is started up in a non-UTF-8 locale, force it into C.UTF-8
    and fail immediately if that's unavailable (LP: #1003851).
  * KDE fails to round-trip strings containing U+FEFF ZERO WIDTH NO-BREAK
    SPACE, such as the translations of a few language names.  Strip these
    from language name translations.
  * Install debconf-set from debian-installer-utils, useful for preseeding.

  [ Evan Dandrea ]
  * Remove migration-assistant following foundations-q-testing-
    migration-assistant. Thanks Dmitrijs Ledkovs!
  * Automatic update of included source packages: base-installer
    1.122ubuntu8, flash-kernel 2.28ubuntu43.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 25 May 2012 15:47:47 +0100

ubiquity (2.11.1) quantal; urgency=low

  * Fix handling of pipes to update-apt-cache.
  * Sync up scripts/clock-setup-apply with changes in clock-setup 0.110.
  * Only decode bytes read from debconf once we have a complete line
    (LP: #1001542).
  * Remove a couple of unused attributes.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 May 2012 17:16:32 +0100

ubiquity (2.11.0) quantal; urgency=low

  [ Colin Watson ]
  * Install oem-config-slideshow-ubuntu in a separate pass from
    oem-config-$frontend and ubiquity-frontend-$frontend, since it may be
    missing from images; and only do this for the GTK frontend in any case,
    since other frontends don't currently use the slideshow (LP: #987050).
  * Re-enable alpha warning for quantal.
  * Upgrade to debhelper 9 for improved handling of compiler flags.  Make
    sure that /usr/lib/girepository-1.0/ stays where it's supposed to be
    despite changes in the default libdir for multiarch.
  * Port to Python 3:
    - Use Python 3-style print functions.
    - Use "except Exception as e" syntax rather than the old-style "except
      Exception, e".
    - Use reduce from functools rather than relying on the builtin.
    - Use list comprehensions rather than filter or map.
    - Use open() rather than file().
    - Import configparser rather than ConfigParser if available.
    - Use input() rather than raw_input() when running under Python 3.
    - Use set comprehensions.
    - Import quote from urllib.parse rather than urllib if available.
    - Use new-style octal literals.
    - Use test.support rather than test.test_support if available.
    - Add --python2 and --python3 options to tests/run to force running the
      tests under Python 2 or 3 respectively.
    - Handle renaming of __builtin__ to builtins in Python 3.
    - Only pass unicode=1 to gettext.install in Python 2.
    - Port ubiquity.auto_update to python-apt 0.8 progress classes.
    - Use Python 3 names for itertools.izip and itertools.izip_longest if
      available.
    - Use helpers from the six module to deal with some bytes/unicode
      differences.
    - As a general rule, open subprocesses with universal_newlines=True when
      expecting to read text from them.  This has no effect on Python 2
      (aside from \r\n conversion and the like, which is mostly a no-op for
      us), but causes Python 3 to read str rather than bytes.  The
      exceptions at the moment are: debconf-copydb subprocesses, which
      return mixed-encoding data that needs to be handled specially; and
      when feeding the output of a subprocess to hashlib.
    - Use six.reraise rather than the three-argument form of raise.
    - Adjust test_filteredcommand for Python 3 text handling.
    - Fix test_ubi_partman.question_has_variables to handle templates files
      as binary data, since they're mixed-encoding.
    - Cope with assertItemsEqual/assertCountEqual naming difference between
      Python 2.7 and 3.2.
    - Rearrange ubiquity.i18n.get_translations to treat debconf-copydb
      output as binary data and do field-dependent decoding.
    - Adjust test_misc and test_upower to cope with file type changes in
      Python 3.
    - Use xml.etree.cElementTree instead of libxml2; it's faster, has a
      smaller footprint by virtue of being built into the standard library,
      arguably easier to read, and works with Python 3.
    - Fix a slew of file handle leaks, including making much more liberal
      use of context managers.
    - When creating a default username based on the user's full name, decode
      it back to a Unicode type after running it through the
      ascii_transliterate encoder.
    - Remove __pycache__ directories on clean.
    - Use 'from __future__ import unicode_literals' in tests requiring
      Unicode literals.
    - Cope with various builtins and dict methods returning iterators rather
      than lists in Python 3.
    - Use chr rather than unichr in Python 3.
    - Use six.string_types rather than types.StringTypes.
    - Pass a byte string to Gtk.CssProvider.load_from_data.
    - Replace all calls to unicode() with calls to six.text_type() or
      misc.utf8() as appropriate.
    - Use unicode_literals in ubiquity.keyboard_names.
    - Fix up ubiquity.filteredcommand.debug and its tests for Python 3.  In
      Python 3, we can write Unicode strings (i.e. str) directly to
      sys.stderr, and its defaults are such that the worst case is that they
      get backslash-encoded.  Arrange the tests to simulate this.
    - Simplify ubiquity.nm.decode_ssid using bytearray(), allowing it to
      work with Python 3 too.
    - Open .debs in binary mode when verifying their contents.
    - Decode text read from debconffilter subprocesses in Python 3.
    - Only encode preseeded values in Python 2.  Python 3's debconf module
      accepts Unicode strings directly.
    - Encode the second argument to struct.pack.
    - Fix byte array handling when generating /etc/iftab.
    - Fix a missing bit of python-apt 0.8 porting in ubiquity.install_misc.
    - Open /var/lib/dpkg/status in binary mode when compressing it.
    - Pass bytes rather than text to kdecore.ki18n.
    - Call sip.setapi("QVariant", 1) on KDE frontend startup, pending a more
      complete port to the new API.
    - Use boolean tests rather than isNull, to cope with getting ordinary
      Python strings rather than QStrings.
    - In Python 3, pass strings directly to Qt rather than creating
      QStrings.
    - (Build-)depend on python3-gi, since python3-gi-cairo doesn't depend on
      that and in any case we use it directly.
  * Add Burmese translations.
  * Remove obsolete uxlaunch handling, since it's no longer used and has
    been removed from the archive.
  * Avoid locking failures when clicking on the "update this installer" link
    more than once.
  * Move a bit more code into ubiquity.install_misc, including a new
    target_file helper method.
  * Remove unnecessary #! lines from non-executable files.
  * Improve download verification to handle systems not configured for
    multiarch, i.e. anything other than amd64 by default (LP: #998492).
  * Automatic update of included source packages: choose-mirror 2.39ubuntu5,
    clock-setup 0.110ubuntu1, debian-installer-utils 1.89ubuntu1,
    localechooser 2.40ubuntu1.

  [ Stéphane Graber ]
  * Spawn dconf-service from ubiquity-dm and drop all the dbus-launch calls.
    This should ensure we have a single dconf-service running and that gets
    killed on ubiquity's exit.
  * ubiquity-dm: Turn on the compositor in metacity. (LP: #987168)
  * wallpaper: Update code to properly set the wallpaper when compositing
    is enabled.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 May 2012 03:09:54 +0100

ubiquity (2.10.16) precise-proposed; urgency=low

  [ Steve Langasek ]
  * If we can't figure out the target user's uid/gid, don't copy the photo
    to the user's home directory.  Addresses the immediate symptom of bug
    #947738, if not the root cause.

  [ Colin Watson ]
  * Automatic update of included source packages: apt-setup 1:0.55ubuntu4,
    console-setup 1.70ubuntu5.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Apr 2012 15:21:46 +0100

ubiquity (2.10.15) precise-proposed; urgency=low

  * Fix crash when attempting to update the installer and a language isn't
    selected for some reason (LP: #985368).
  * Automatic update of included source packages: partman-target 77ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Apr 2012 12:44:17 +0100

ubiquity (2.10.14) precise-proposed; urgency=low

  [ Colin Watson ]
  * Install ubiquity-frontend-$frontend along with oem-config-$frontend to
    improve dependency resolution; with the packaging the way it is at the
    moment, apt may sometimes select ubiquity-frontend-kde to resolve
    ubiquity's dependency on a frontend before realising that oem-config-gtk
    already depends on ubiquity-frontend-gtk.
  * Don't default to installing GRUB to a removable device with /cdrom
    mounted from it, even if /cdrom's filesystem isn't iso9660
    (LP: #984989).
  * If encrypting the user's home directory, wipe and enable encrypted swap
    before starting the slideshow, because running the slideshow can use up
    a lot of memory so we won't be able to disable swap once that's in
    progress (LP: #979350).
  * Automatic update of included source packages: apt-setup 1:0.55ubuntu3,
    partman-base 153ubuntu4, user-setup 1.42ubuntu3.
  * If /etc/network/interfaces doesn't exist when configuring the network in
    oem-config, write out a skeleton one (LP: #985305).

  [ Stéphane Graber ]
  * Always install oem-config-slideshow-ubuntu in OEM mode, also for
    alternate installs (LP: #984736)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Apr 2012 03:30:44 +0100

ubiquity (2.10.13) precise-proposed; urgency=low

  * Update translations from Launchpad.
  * Copy the panel gradient from light-themes 0.1.8.25 (Ubuntu 11.10) and
    use it as a fallback in case other panel images cannot be found.  The
    correct fix would be to use CSS instead, but I can't seem to make this
    work at the moment (LP: #982883).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Apr 2012 20:22:30 +0100

ubiquity (2.10.12) precise-proposed; urgency=low

  * Fix download verification to handle epochs correctly, and add a little
    more logging so that we can debug any further errors along these lines.
  * GTK frontend:
    - Disable WebKit's cache, since the slideshow doesn't have a significant
      browsing interface and the cache is memory-hungry.  This may help with
      LP #979350.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Apr 2012 19:49:13 +0100

ubiquity (2.10.11) precise-proposed; urgency=low

  * Work around occasional undetected download errors in apt by doing our
    own verification pass before trying to install packages (LP: #922949).
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Apr 2012 17:16:33 +0100

ubiquity (2.10.10) precise; urgency=low

  * Don't try to open files inside d-i/source/localechooser/ when running
    the unit tests within autopkgtest.
  * Make test_ubi_partman read templates from the system templates database
    rather than tests/templates.dat when running within autopkgtest.
  * Update translations from Launchpad.
  * Automatic update of included source packages: grub-installer
    1.68ubuntu5, hw-detect 1.88ubuntu2, partman-auto 101ubuntu2,
    partman-base 153ubuntu3, partman-btrfs 8ubuntu1, partman-efi 25ubuntu1,
    partman-ext3 67ubuntu1, partman-partitioning 85ubuntu2, partman-target
    77ubuntu1, user-setup 1.42ubuntu1, yaboot-installer 1.1.20ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Apr 2012 06:35:50 +0100

ubiquity (2.10.9) precise-proposed; urgency=low

  * Try harder to make the unit tests work within autopkgtest:
    - Install mockresolver (it's small, and this really does make the
      plumbing a lot easier).
    - Use test debconf databases stacked on top of the system ones in
      autopkgtest mode rather than requiring tests/build to have been run
      first.
    - Fix test_ubi_partman not to rely on tests/partman-tree/ in autopkgtest
      mode.
  * Do a better job of removing .la files.
  * Update translations from Launchpad.
  * Automatic update of included source packages: base-installer
    1.122ubuntu7.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Apr 2012 21:00:08 +0100

ubiquity (2.10.8) precise; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Apr 2012 23:15:34 +0100

ubiquity (2.10.7) precise; urgency=low

  [ Colin Watson ]
  * Fix partman plugin to preseed grub-installer/bootdev in a cleanup method
    rather than exit_ui_loops, since talking to debconf in the latter isn't
    safe (LP: #792652).  Adjust how maybe_update_grub gets the default boot
    device to avoid regressing LP #756920.

  [ Stéphane Graber ]
  * Add support for Windows 8 user directory detection.
  * Make wubi work when the OS data partition is different from the boot
    partition. (LP: #772470)
  * Call gsettings through dbus-launch in an hope to ensure its changes
    are saved to disk. (LP: #960096)
  * Make ubiquity depend on dbus-x11 for dbus-launch.
  * Update compat/os-proper to make a different cache when listing OS
    data partitions. (LP: #772470)
  * Automatic update of included source packages: migration-assistant
    0.6.12.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Apr 2012 20:56:08 -0400

ubiquity (2.10.6) precise; urgency=low

  [ Stéphane Graber ]
  * ubiquity-dm: Use macinnis_wallpaper.png by default for ubuntu studio.
    (LP: #971159)

  [ Colin Watson ]
  * Work around LP #972324 by unsetting TMPDIR for xvfb-run and setting it
    again for the inferior command.
  * Fix DEP-8 control file to stop trying to run Xvfb inside Xvfb.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Apr 2012 14:06:44 +0100

ubiquity (2.10.5) precise; urgency=low

  * Exit early from ubiquity_webcam_play and ubiquity_webcam_stop if priv or
    priv->camerabin is NULL.
  * Clear disks from the partman plugin's disk cache if any partitions on
    that disk change, allowing us to notice disk label changes.
  * Fix GPT detection when deciding whether to display the biosgrub method
    (LP: #969038).
  * Automatic update of included source packages: apt-setup 1:0.55ubuntu2,
    partman-partitioning 85ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Mar 2012 23:39:38 +0100

ubiquity (2.10.4) precise; urgency=low

  [ Colin Watson ]
  * Add a log entry before running each target-config hook, to make it a bit
    more feasible to debug hangs there.
  * Call check-language-support with locale names, not with language pack
    names (LP: #963460).

  [ Stéphane Graber ]
  * Change the calls in calculate_result to use the same code path as the
    regular UI. (LP: #964472)
  * Actually call detect_bogus_result() in ubi-usersetup
  * Similarly to ubi-console-setup, don't setup any timeout or similar
    background tasks when running in automatic mode. (LP: #950282)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 27 Mar 2012 17:08:29 -0400

ubiquity (2.10.3) precise-proposed; urgency=low

  * Move oem-config-udeb's menu item before that of user-setup's, which
    moved to 2400 in user-setup 1.30.
  * Don't remove cryptsetup if there are any uncommented entries in
    /etc/crypttab (LP: #893548).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Mar 2012 16:57:40 +0100

ubiquity (2.10.2) precise; urgency=low

  [ Colin Watson ]
  * Fix test_misc.GrubDefaultTests.test_avoid_cdrom.
  * Invert the set of locale categories set in case of a language/location
    conflict, so we now set LC_NUMERIC, LC_TIME, LC_MONETARY, LC_PAPER,
    LC_NAME, LC_ADDRESS, LC_TELEPHONE, LC_MEASUREMENT, and LC_IDENTIFICATION
    instead (LP: #926207).
  * Automatic update of included source packages: localechooser 2.39ubuntu2.

  [ Brian Murray ]
  * UTF-8-encode debug messages which are written to stderr (LP: #960278)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Mar 2012 18:00:36 +0000

ubiquity (2.10.1) precise; urgency=low

  * ubiquity.misc.boot_device needs root privileges in order to talk to
    parted_server.
  * Make ubiquity-frontend-gtk depend on busybox-static | busybox for now,
    matching the 'busybox tail' workaround in ubiquity 2.9.32 (LP: #962585).
  * Automatic update of included source packages: flash-kernel 2.28ubuntu42.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Mar 2012 15:07:41 +0000

ubiquity (2.10.0) precise; urgency=low

  * Fix a few cases where the test suite was insufficiently isolated from
    the host system, running dmidecode and udevadm.
  * Restore 'from ubiquity import gtkwidgets' to
    test_ubi_partman.TestPageGtk.setUp; importing custom widgets fails
    without this.
  * Avoid touching D-Bus in migrationassistant test.
  * Stop leaking locale changes from gtkui and migrationassistant tests into
    the rest of the test suite.
  * Disable tests that require grub-installer templates only on non-x86
    architectures.
  * Re-enable test_maybe_update_install on x86, and add the missing
    mock.patch calls that caused it to fail in clean build environments.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Mar 2012 16:10:05 +0000

ubiquity (2.9.33) precise; urgency=low

  * Disable some of the new tests currently not working on builders:
    - Fails on x86 builders because of missing grub:
      + test_maybe_update_install
    - Fails on non-x86 builders because of missing grub-installer:
      + test_maybe_update_install
      + test_install_grub_to_valid_filesystem
      + test_install_grub_to_invalid_filesystem
      + test_install_grub_to_mixed_filesystems
      + test_install_grub_offers_to_install_to_disk
      + test_install_grub_offers_to_install_to_all_but_jfs
      + test_install_grub_offers_to_install_to_all

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Mar 2012 21:32:20 -0400

ubiquity (2.9.32) precise; urgency=low

  [ Stéphane Graber ]
  * panel: Fix the gtk3 css code so that it actually applies and add
    another override for the .menuitem padding that was making the panel
    28px large instead of 24px. (LP: #960998)
  * Only allow for one orca instance at a time. (LP: #945133)
  * Fix crash in set_indicator_keymaps when reaching the fallback code
    of the keyboard layout guesser. Added a test for it. (LP: #961003)
  * Make sure all the widgets of the quit dialog are always visible.
    (LP: #960600)
  * Switch to a single install_size() function in misc called by ubi-prepare
    and by ubi-partman. Tweak the resize partition sizes to enforce the
    minimum partition size in resize mode too. (LP: #960628)
  * Change ubiquity's virtual terminal to calling 'busybox tail' instead of
    'tail' to workaround the inotify on overlayfs bug.
  * panel: Only show icons, not labels, fixing our current "corruption"
    problem where the keyboard layout gets associated with another entry.
    (LP: #960039)
  * panel: Add a list to enforce the indicator ordering. (LP: #960036)
  * Automatic update of included source packages: migration-assistant
    0.6.11.

  [ Colin Watson ]
  * Make sure to load translations for "USB" and "CD" on the language page
    (LP: #958249).
  * Sort existing images in the face selector by filename.
  * Force face selector icon view to a two-column layout, in lieu of better
    geometry management (LP: #961025).
  * Refactor ubiquity.misc.grub_default to make it testable, and add tests
    for it.
  * Make test_misc pass when run on its own.  Apparently
    GdkX11.x11_get_default_xdisplay() segfaults if Gtk hasn't been imported
    (or possibly something finer-grained); so import Gtk from
    misc.set_indicator_keymaps even though we don't actually use it
    directly.

  [ Oliver Grawert ]
  * bin/oem-config-firstboot: do not reset debconf user data in automatic mode
  * ubiquity/plugins/ubi-tasks.py: run tasksel with --new-install option in
    automatic mode (this still doesnt make tasksel work, but at least skips
    the debconf question if tasksel isnt in the preseed file, to install
    packages late-command needs to be used atm.
  * bin/ubiquity: make debconf not re-show seen questions again in automatic mode
  * all the above fixes (LP: #924018), example boot.scr and preseed.cfg file are
    attached to the bug, thanks to colin for all the fixes and the hard work.

  [ Barry Warsaw ]
  * Do not offer to install the boot loader on device paths on which
    incompatible file systems will be installed (e.g. XFS).
    (LP: #959724)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Mar 2012 19:49:14 -0400

ubiquity (2.9.31) precise; urgency=low

  [ Colin Watson ]
  * Fix misc.set_indicator_keymaps to handle ll_CC forms of lang, and also
    to avoid crashing on unknown languages in general (LP: #960047).
  * Strip invalid characters from default username (LP: #783295).
  * Automatic update of included source packages: base-installer
    1.122ubuntu6, console-setup 1.70ubuntu4, partman-basicmethods 49,
    partman-jfs 35, partman-newworld 26, partman-partitioning 83ubuntu2,
    partman-reiserfs 52, partman-xfs 49.

  [ Oliver Grawert ]
  * add support for automatic-oem-config kernel commandline option to the
    oem-config startup scripts to switch oem-config into automatic mode for
    preseeded oem installs
  * add an entry for the new option in oem-config-firstboot manpage

  [ Stéphane Graber ]
  * Properly mark the quit dialog as a child of ubiquity. (LP: #960375)

  [ James Hunt ]
  * scripts/install.py: Ignore mkdir failure if directory does (now)
    exist to accommodate update-apt-cache running in parallel with
    copy_all() (LP: #944191).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Mar 2012 22:26:54 +0000

ubiquity (2.9.30) precise; urgency=low

  [ Adam Conrad ]
  * Drop gui/qt/images/squares.png and replace it with a single pixel
    transparent PNG as a placeholder for future changes (LP: #942543)

  [ Evan Dandrea ]
  * Lazily unmount partitions in the check for a Windows partition to
    install Wubi on when we have a full partition table (LP: #956531).
  * Add a small program for testing the Gstreamer webcam code.
  * Fix broken test video output in the GI webcam module.

  [ Stéphane Graber ]
  * set_indicator_keymaps() doesn't actually receive a full locale but
    instead just the language code. That means that the code trying to
    guess a layout based on the default country won't work.
    Drop all of that code and replace by a static map to override the
    default keyboard layout/variant for a language. (LP: #956912)
  * Merge and update Alessio Treglia's branch to make the slideshow
    optional depending on (ubiquity/hide_slideshow) (LP: #690912)
  * Also call setxkbmap directly from set_indicator_keymaps() to ensure
    we actually switch to the first layout in the list. (LP: #956912)
  * Properly mark the KeyboardQuery dialog as a child of ubiquity.
    (LP: #955265)

  [ Martin Pitt ]
  * tests/test_migrationassistant.py: Fix to work with pygobject 3.1.92.

  [ Barry Warsaw ]
  * When Try Ubuntu has been clicked once, don't respond to subsequent
    clicks.  (LP: #911907)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Mar 2012 18:02:48 -0400

ubiquity (2.9.29) precise; urgency=low

  [ Oliver Grawert ]
  * disable gnome-settings-daemon power management plugin during install to
    make sure things like lid closing or accidential pressing of power or
    suspend buttons do not put us into suspend mode (LP: #948163)

  [ Stéphane Graber ]
  * ubi-partman: Ignore None cell values, we'll get another event
    when they actually contain something anyway. (LP: #939450)
  * Fix set_indicator_keymaps to always send an array of strings to
    gsettings and also go through more of the possible language codes as
    Xkl doesn't seem to always work with part2_code (LP: #955844)
  * Restrict the list of keyboard layouts added to the indicator to 4
    and try to be clever as to which one to select.
  * Only use the keyboard indicator when in greeter mode, otherwise it'd
    override any previously selected keyboard layout (from gfxboot or from
    the user session)
  * Update indicator tests to match the new code, ensuring we don't have
    more than 4 entries and that languages with variants work fine.
  * Automatic update of included source packages: console-setup
    1.70ubuntu3, partman-auto 93ubuntu22, partman-efi 24ubuntu3.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Mar 2012 18:12:41 -0400

ubiquity (2.9.28) precise; urgency=low

  * ubiquity-bluetooth-agent: Don't touch /tmp/ubiquity-bluetooth-done
    if the file already exists. (LP: #951402)
  * gtk-ui: Drop poke_screensaver and replace by code disabling it in
    gsettings. (LP: #951336)
  * Replace ubuntu_installed.png by a scaled down version (LP: #750134)
  * Enable test_same_ubuntu_only making sure we don't get offered an
    'upgrade' to the same version of Ubuntu.
  * Add test_newer_ubuntu_only ensuring ubiquity doesn't offer a downgrade.
  * Automatic update of included source packages: user-setup
    1.41ubuntu1.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 13 Mar 2012 19:21:21 -0400

ubiquity (2.9.27) precise; urgency=low

  * Port keyboard indicator from xklavier to Xkl and from gconf to gsettings.
    Update the test accordingly. (LP: #950087, LP: #800561)
  * Add bin/ubiquity-bluetooth-agent, a bluetooth agent allowing any HID
    bluetooth device for 5 minutes, then spawning bluetooth-applet if
    available, otherwise simply dies.
  * Start bluetooth-applet from ubiquity-dm (LP: #644198)
  * Copy /var/lib/bluetooth to /target/var/lib/bluetooth to keep the list
    of trusted devices on the target system. (LP: #644198)
  * Update PO template and translations for new bluetooth string.
  * Automatic update of included source packages: netcfg 1.68ubuntu14,
    partman-auto 93ubuntu20, partman-auto-loop 0ubuntu21.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 09 Mar 2012 12:11:19 -0500

ubiquity (2.9.26) precise; urgency=low

  * Build-depend on ubuntu-artwork for the unit test. (LP: #950125)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 08 Mar 2012 14:22:20 -0500

ubiquity (2.9.25) precise; urgency=low

  [ Colin Watson ]
  * Fix debug message when failing to create the migration-assistant page.
  * Ensure that the migration-assistant page is shown in
    test_pages_fit_on_a_netbook.
  * Make the migration-assistant tree view expand again (LP: #946123).

  [ Stéphane Graber ]
  * gtk_ui: Set virtual terminal font to "Ubuntu Mono 8" so in most cases
    two lines of text can now be displayed. (LP: #830946)
  * Change ubiquity/text/webcam_heading to be generic (LP: #926493)
  * Switch from xklavier to Xkl using gobject introspection.
    The code is still disabled though because of bug #950087.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu41, netcfg 1.68ubuntu13, partman-base 153ubuntu2, partman-
    target 76ubuntu2, preseed 1.50ubuntu1, tzsetup 1:0.26ubuntu11.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 08 Mar 2012 12:32:02 -0500

ubiquity (2.9.24) precise; urgency=low

  * webcam:
    - image-capture-encoder is deprecated, just drop it for now
    - gst_caps_new_simple needs to use a supported width/height,
      going with 640x480 as it seems standard for most webcams.
      (LP: #942030)
  * ubi-console-setup: On automatic install, don't wait 600ms or
    dbfilter will be None by the time the timer reaches 0 (LP: #944614)
  * debian/control: Add an explicit dependency on realpath to prevent
    check-missing-firmware from crashing. In d-i, realpath is provided
    by busybox.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2012 17:37:36 -0500

ubiquity (2.9.23) precise; urgency=low

  * ubi-console-setup: Revert most of the previous change but keep the
    600ms timeout to avoid entering in a gtk main loop quit/start flood.
    Also add some more checks of the current values to prevent the UI
    from refreshing when not needed. (LP: #942560)
  * gtk_ui: Move the pending_quits handling code from being called right
    after the call to main_quit() to right after the main loop actually
    exits. This seems to help quite a bit with the race discovered in
    ubi-console-setup.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 29 Feb 2012 20:42:24 -0500

ubiquity (2.9.22) precise; urgency=low

  * ubi-partman:
    - Avoid crash when calling contextual menu on a partition list item.
      (LP: #936115)
    - Add logic to parse the current and new version number and only
      allow reusing an existing install if the target is older than the
      media. (LP: #898278)
  * ubi-console-setup:
    - To avoid issues when quickly changing the selection (easily done by
      using the keyboard), add a 600ms delay to any user action, reset with
      any further action.
      The UI is also now set_sensitive(False) while waiting for a UI
      refresh.
      This should be enough to limit or get rid of (LP: #645449)
  * Automatic update of included source packages: netcfg 1.68ubuntu12.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 27 Feb 2012 20:21:30 -0500

ubiquity (2.9.21) precise; urgency=low

  [ Stéphane Graber ]
  * Get ubiquity-dm to spawn ibus-daemon when using the GTK frontend.
    (LP: #871726)

  [ Evan Dandrea ]
  * We're in beta now.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 23 Feb 2012 15:13:41 +0000

ubiquity (2.9.20) precise; urgency=low

  [ Colin Watson ]
  * Restore old fallback code in case /cdrom/casper/filesystem.size doesn't
    exist (LP: #557388).
  * Fix some more uses of deprecated python-apt APIs.
  * ubiquity-dm: Try openbox after openbox-lubuntu (LP: #888107).
  * Thomson SA is now called Technicolor SA (LP: #856992).
  * Limit maximum length of username editing widgets to 32 (LP: #831319).
  * UTF-8-encode the syslog message when a geoname lookup fails, since it
    might include non-ASCII characters entered by the user (LP: #928891).
  * Run test suite under xvfb-run by default when running it from the
    command line.  'tests/run --no-xvfb' inhibits this behaviour for cases
    where it's useful to see the UIs constructed by the test suite.
  * Stop manually inserting newlines in hostname and username errors.  GTK+
    3 seems to do a reasonable job of wrapping these by itself now.
  * Port the user page from GtkTable to GtkGrid, so that we get sensible
    height-for-width geometry management (LP: #830933).
  * Internationalise hostname and username validation errors (LP: #784825).

  [ Mario Limonciello ]
  * Have two separate failsafe attempts for 'fbdev' and 'vesa'.  It's
    possible that /dev/fb0 will exist but be backed by a VGA framebuffer
    causing X to exit non-zero.

  [ Stéphane Graber ]
  * Use the Xubuntu wallpaper when available. (LP: #936572)
  * Detect bogus DNS servers and ignore them. (LP: #760884)
  * Automatic update of included source packages: base-installer
    1.122ubuntu5, choose-mirror 2.39ubuntu4.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 21 Feb 2012 21:09:02 -0500

ubiquity (2.9.19) precise; urgency=low

  * Install pixmaps/windows_square.png in ubiquity-frontend-gtk.
  * Make it possible to run the test suite against installed packages, and
    add a DEP-8 control file for this.
  * Refactor copy_all to be more robust, handle some more cases, and be
    testable and tested.  It can now:
    - copy a directory over an existing non-directory (LP: #891711);
    - copy device nodes and sockets over existing non-directories
      (LP: #495217);
    - handle all cases of copying a non-directory over an existing empty
      directory;
    - copy a symlink over a non-empty directory by attempting to move the
      directory to the symlink target (LP: #188976);
    - if all else fails, copy a non-directory over an existing non-empty
      directory by moving the target aside to a backup location.
  * Ignore all failures to set timestamps (LP: #411307, #654929).
  * Update translations from Launchpad.
  * Update imported translations from gtk+3.0 3.3.14-0ubuntu2 and
    gnome-panel 1:3.3.5-0ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Feb 2012 17:52:19 +0000

ubiquity (2.9.18) precise; urgency=low

  * Convert from deprecated GtkHBox/GtkVBox to GtkBox, and from
    GtkHButtonBox to GtkButtonBox.
  * Use g_object_unref instead of deprecated gdk_pixbuf_unref.
  * Use gdk_error_trap_pop_ignored rather than gdk_error_trap_pop when
    ignoring errors.
  * webcam: Warn when trying to get unknown properties.
  * webcam: Fix header typo: UBIQUITY_GET_CLASS ->
    UBIQUITY_WEBCAM_GET_CLASS.
  * Upgrade to Automake 1.11.3, involving using pkglibexec_PROGRAMS instead
    of pkglib_PROGRAMS.
  * Use a mock resolver during usersetup tests to avoid failing in certain
    network setups.
  * Use mock.patch.object instead of deprecated mock.patch_object.
  * Silence annoying warnings from dmidecode during the test suite.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Feb 2012 03:08:28 +0000

ubiquity (2.9.17) precise; urgency=low

  [ Colin Watson ]
  * Don't display "Ready when you are..." when the installer isn't actually
    waiting for user actions.
  * When waiting for user actions, just hide the progress bar and associated
    widgets rather than displaying "Ready when you are...", to avoid
    confusion associated with a progress bar being displayed when the system
    is in fact waiting for user input (LP: #670409, #925427).
  * Mark file descriptors used for communication with parted_server
    FD_CLOEXEC.
  * Restore finish-install's title after installing the oem-config frontend
    (LP: #925155).
  * Avoid duplicate call to osextras.find_on_path('check-language-support').
  * Stop filtering warnings from the apt module which are no longer emitted.
  * PEP-8 import ordering.
  * Make the "Choose a picture" page translatable (LP: #892384).
  * Make the "run all pending GTK events" function accessible from
    ubiquity.gtkwidgets, and use it in the test suite.  This makes the test
    suite about four seconds faster.
  * Fix sys.path mishandling in test suite.
  * Mark WPA2-only access points as secure.
  * Add initial tests for wireless page.
  * Automatic update of included source packages: choose-mirror 2.39ubuntu3,
    netcfg 1.68ubuntu11.

  [ Brian Murray ]
  * ubiquity/gtk_ui.py: in the crash handler also call apport directly if in
    the maybe-ubiquity mode (LP: #901381)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Feb 2012 17:27:15 +0000

ubiquity (2.9.16) precise; urgency=low

  * Bump fallback Ubuntu version number in ubi-language to 12.04.
  * Behave a little more usefully when running over ssh with X forwarding
    such that ubiquity is unable to talk to NetworkManager.  This
    configuration isn't actually supported, but is occasionally useful for
    debugging so it helps to be able to start ubiquity at the very least.
  * Configure the target system to disable installation of Recommends if
    base-installer/install-recommends is preseeded to false (LP: #918401).
  * Automatic update of included source packages: flash-kernel 2.28ubuntu39,
    partman-auto 93ubuntu19.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Feb 2012 14:53:26 +0000

ubiquity (2.9.15) precise; urgency=low

  * Cope with stricter dbus.Byte.__str__ implementation in dbus-python 1.0.0
    (LP: #922988).
  * Remove test suite debris on clean.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jan 2012 14:16:59 +0000

ubiquity (2.9.14) precise; urgency=low

  * src/panel/panel.c: Update indicator ABI to 7. (LP: #922052)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 Jan 2012 10:26:07 +0000

ubiquity (2.9.13) precise; urgency=low

  * Make test_osextras reliable across architectures (sort lists).
  * Automatic update of included source packages: netcfg 1.68ubuntu8.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Jan 2012 23:19:26 +0000

ubiquity (2.9.12) precise; urgency=low

  [ Colin Watson ]
  * Drop backports of saved ID handling functions from os, now that we
    require Python 2.7.
  * Remove an unnecessary use of contextlib.closing.
  * Simplify PartedServer.disks.
  * Add tests for ubiquity.osextras.
  * Cope with /etc/resolv.conf being a symlink (LP: #922640).
  * Scale down the webcam page a bit so that it works on netbook screens
    (LP: #869239).
  * Improve test_pages_fit_on_a_netbook so that it tests all pages.
  * Automatic update of included source packages: choose-mirror 2.39ubuntu2,
    debian-installer-utils 1.88ubuntu2, flash-kernel 2.28ubuntu37,
    partman-base 153ubuntu1.

  [ Stéphane Graber ]
  * gtk_ui.py: Update rendering of GtkComboBox following light-themes update
    (was dark text on dark background, now light text on dark background)

  [ Martin Pitt ]
  * gtk_ui.py: In only-ubiquity mode, call apport-gtk frontend ourselves after
    a crash, as there is no update-notifier running to pick it up.
    (LP: #712677)

  [ Luke Yelavich ]
  * Add label relationships in the advanced partitioning and user info steps

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Jan 2012 20:37:17 +0000

ubiquity (2.9.11) precise; urgency=low

  * no change rebuild for libindicator7

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 10:05:15 -0500

ubiquity (2.9.10) precise; urgency=low

  * Handle interface change in ICU 4.8: unknown time zones result in
    TimeZone instances with ID "Etc/Unknown" rather than "GMT".
  * Import icu rather than PyICU, preferred as of python-pyicu 1.0.
  * Automatic update of included source packages: partman-basicfilesystems
    71ubuntu3, partman-btrfs 7ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Dec 2011 17:59:53 +0000

ubiquity (2.9.9) precise; urgency=low

  * Cope with pygobject returning unicode objects rather than UTF-8-encoded
    str objects (LP: #905916, #906015).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Dec 2011 12:25:13 +0000

ubiquity (2.9.8) precise; urgency=low

  [ Colin Watson ]
  * GTK frontend:
    - Some automatic partitioning options change the text on the next button
      to "Install Now".  Make sure that this works even when changing to the
      automatic partitioning page with one of those options automatically
      selected (LP: #766265).
  * Automatic update of included source packages: base-installer
    1.122ubuntu3, partman-auto 93ubuntu18, partman-basicfilesystems
    71ubuntu2.

  [ Stéphane Graber ]
  * Use username associated with uid 999 rather than hardcoding 'ubuntu'
    in Ubiquity. This is important now that casper sets the username and
    hostname based on media name. (LP: #290351)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Dec 2011 18:57:10 +0000

ubiquity (2.9.7) precise; urgency=low

  * Add a few armhf -> armel symlinks to fix the armhf build.
  * Automatic update of included source packages: partman-auto 93ubuntu17.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 08 Dec 2011 13:36:31 +0100

ubiquity (2.9.6) precise; urgency=low

  * Build-depend/depend on python-gi-cairo/python-gi-dev rather than
    python-gobject-cairo/python-gobject-dev.
  * Add armhf support.
  * Set DPKG_UNTRANSLATED_MESSAGES=1 when installing packages so that bug
    reports are easier to analyse; requested by Brian Murray.
  * Automatic update of included source packages: flash-kernel 2.28ubuntu35,
    hw-detect 1.88ubuntu1, localechooser 2.39ubuntu1, partman-uboot 5.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Dec 2011 16:22:40 +0000

ubiquity (2.9.5) precise; urgency=low

  * Automatic update of included source packages: console-setup 1.70ubuntu2,
    partman-base 151ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2011 18:03:57 +0000

ubiquity (2.9.4) precise; urgency=low

  * Whitelist grub_device_label in test_interface_translated on non-x86
    architectures; grub-installer will be unavailable to supply the
    translations, but that doesn't matter since the template won't be
    displayed anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2011 00:31:56 +0000

ubiquity (2.9.3) precise; urgency=low

  [ Mario Limonciello ]
  * When installing oem extras, query for all packages marked to be installed
    via plugins, not just langpacks.
  * Properly build the manifest used for remove oem extras.

  [ Colin Watson ]
  * ubiquity depends on wget (LP: #877187).
  * ubiquity-frontend-gtk depends on python-gobject-cairo (LP: #877223).
  * ubiquity depends on grub-common on amd64 and i386 (LP: #877230).
  * Remove /usr/lib/libubiwebcam.la.  Nothing uses this, and its
    dependency_libs entries don't match current reality.
  * Automatic update of included source packages: apt-setup 1:0.55ubuntu1,
    base-installer 1.122ubuntu1, choose-mirror 2.39ubuntu1, clock-setup
    0.109ubuntu1, console-setup 1.70ubuntu1, debian-installer-utils
    1.87ubuntu1, hw-detect 1.87ubuntu1, localechooser 2.38ubuntu1,
    partman-ext3 66ubuntu1, partman-partitioning 83ubuntu1, partman-target
    76ubuntu1, user-setup 1.39ubuntu2.

  [ Evan Dandrea ]
  * Add missing template for the connecting label.

  [ Luke Yelavich ]
  * debian/control: We are using GI for the a11y indicator, so depend on
    gir1.2-appindicator3-0.1 instead of python-appindicator

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 22:32:45 +0000

ubiquity (2.9.2) precise; urgency=low

  * Re-enable alpha warning for precise.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 12:44:46 +0100

ubiquity (2.9.1) precise; urgency=low

  * Prevent ubiquity from trying to connect to DBus in the gtkui tests
    with the most recent changes.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 17 Oct 2011 15:58:16 +0100

ubiquity (2.9.0) precise; urgency=low

  * Expand the list of wireless networks under each card automatically,
    unless the user has explicitly collapsed the row.
  * Translate the entire wireless networking page.
  * Don't show the picture taking page when running in an oem-config
    install.
  * Don't show the wireless page if a wireless connection was made after
    ubiquity started (LP: #873000).
  * Ensure that the user picture is owned by the target user
    (LP: #872966).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 17 Oct 2011 10:34:51 +0100

ubiquity (2.8.7) oneiric; urgency=low

  * If oem-config/enable doesn't exist, assume it's not set
    (LP: #872119).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 11 Oct 2011 09:08:21 +0100

ubiquity (2.8.6) oneiric; urgency=low

  * Don't crash if the user selects the wireless card header and presses
    next (LP: #838048).
  * If the user selects a wireless card header, the next button text
    should not be 'Connect.'
  * Don't copy the wireless configuration if this is an OEM install
    (LP: #870177).
  * Make sure the connecting spinner goes away before leaving the
    wireless page.
  * Account for the 'asleep' network-manager state.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 10 Oct 2011 17:58:39 +0100

ubiquity (2.8.5) oneiric; urgency=low

  * Disable alpha warning for release.
  * Automatic update of included source packages: netcfg 1.68ubuntu7.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 10 Oct 2011 11:18:56 +0100

ubiquity (2.8.4) oneiric; urgency=low

  [ Evan Dandrea ]
  * Handle the keyboard query window closed callback being fired twice
    (LP: #865493).
  * Allow focusing of labels when we're in the screen reader
    acessibility profile, so that Orca can read them
    (LP: #856782, LP: #856773).
  * Make sure we account for the size of the installation and swap
    partition when calculating the bounds for the partition resizer
    (LP: #769350).

  [ Colin Watson ]
  * Don't install duplicate copies of console-setup-apply,
    localechooser-apply, and netcfg-wrapper.
  * Bump fallback Ubuntu version number in ubi-language to 11.10.
  * Update translations from Launchpad.
  * For cases where selecting a different location may imply a different
    dialect of the language, i.e. Portuguese and Chinese, take care to set
    LANG to something reflecting the location and
    LANGUAGE/LC_MESSAGES/LC_CTYPE/LC_COLLATE to something reflecting the
    language (LP: #590108).  This roughly matches the behaviour of
    language-selector.
  * Automatic update of included source packages: localechooser 2.37ubuntu2,
    partman-partitioning 81ubuntu3.

  [ Stéphane Graber ]
  * Update ubiquity-dm to export self.username as SUDO_USER.
    Make gsettings work properly later on during the install.
  * Whenever we call wget, set --tries=1 instead of the default
    of 20.
  * If we think we're offline, don't try to contact geoip or run
    rdate. (LP: #868668)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Oct 2011 02:20:53 +0100

ubiquity (2.8.3) oneiric; urgency=low

  * Skip LTSP from the list of networks to copy to the target.
    This is a temporary network created by Edubuntu's LTSP live.
  * Fix PROXY url as the gsettings host key already contains http://
  * Only disable set the gsettings keys once in gtk_ui (LP: #657086)
  * Properly handle keys in gsettings that are empty/not set.
  * Don't crash when the no-proxy list is empty. (LP: #867620)
  * Clear the console just before killing X in ubiquity-dm. (LP: #813065)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 04 Oct 2011 21:01:09 -0400

ubiquity (2.8.2) oneiric; urgency=low

  [ Colin Watson ]
  * Preserve ordering of disks returned by partman-auto rather than
    shuffling them based on dictionary ordering (LP: #770711).  This uses
    collections.OrderedDict, which requires Python >= 2.7.
  * Run only those parts of oem-config-prepare that require root access as
    root; in particular displaying confirmation dialogs is now done as the
    calling user, which avoids KDE confusion (LP: #856418).
  * Go back to killing update-apt-cache's process group, but this time make
    sure that it's in a separate process group and make more of an effort to
    ensure that it terminates (LP: #743359).
  * Update translations from Launchpad.

  [ Stéphane Graber ]
  * Make ubiquity also update gsettings (LP: #800760)
    - Add a new gsettings module similar to the gconftool one
    - Update ubiquity-dm for gconf to gsettings migration
    - Get PROXY configuration from gsettings
    - Update gtk_ui to set/restore gsettings values
  * Update copy_network_config to work with Network Manager now storing
    everything system wide.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 03 Oct 2011 17:31:46 -0400

ubiquity (2.8.1) oneiric; urgency=low

  * Build-depend on gir1.2-soup-2.4 for timezone tests.
  * Update translations from Launchpad.
  * Update imported translations from gtk+3.0 3.2.0-0ubuntu1 and gnome-panel
    1:3.2.0-0ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Oct 2011 23:20:53 +0100

ubiquity (2.8.0) oneiric; urgency=low

  * Fix SSID UTF-8 decoding, and replace any still-invalid characters with
    the Unicode replacement character just in case (LP: #839143).
  * GTK frontend:
    - Fetch geoname data asynchronously (LP: #837217).
  * Always start oem-config with LANG=en_US.UTF-8; this doesn't affect
    translations since we use debconf for those, but forces Qt to use UTF-8
    encoding for text fields (LP: #837042).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Oct 2011 20:44:44 +0100

ubiquity (2.7.38) oneiric; urgency=low

  [ Mario Limonciello ]
  * Preseed a bootloader target if one hasn't been set but running in
    automatic mode. (LP: #861465)

  [ Adam Conrad ]
  * Allow fallback from oem-config-slideshow to ubiquity-slideshow for
    cases where the former doesn't exist.
  * Automatic update of included source packages: console-setup
    1.57ubuntu27, flash-kernel 2.28ubuntu34, grub-installer 1.68ubuntu4,
    netcfg 1.68ubuntu6.  Fixes FTBFS.

  [ Evan Dandrea ]
  * Use the default signal handler for SIGPIPE, hopefully fixing the
    child processes of update-apt-cache not getting killed along with
    it (LP: #743359).
  * Don't rely on the DBus main loop being set in the prepare plugin
    before it's used elsewhere.
  * Pressing enter in the keyboard test entry should proceed to the next
    page (LP: #862309).

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 28 Sep 2011 16:43:42 -0600

ubiquity (2.7.37) oneiric; urgency=low

  [ Evan Dandrea ]
  * Only set the ATK widget names to their GtkBuilder counterparts when
    --ldtp is set (LP: #781385)
  * Provide a means of preseeding an oem-config frontend (LP: #820514).
  * Terminate the updates download process before we get to
    remove_extras (LP: #743359).
  * Automatic update of included source packages: console-setup
    1.57ubuntu26, grub-installer 1.68ubuntu2, hw-detect 1.81ubuntu3,
    netcfg 1.68ubuntu5, partman-base 151ubuntu2.
  * Update translations from Launchpad.

  [ Colin Watson ]
  * Install new files from grub-installer >= 1.66.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 28 Sep 2011 12:15:46 +0100

ubiquity (2.7.36) oneiric; urgency=low

  * Showing and hiding the release notes and update the instaler links
    are now handled in the Internet connectivity callback (LP: #856213).
  * Enter the GTK main loop to avoid the wallpaper setting resources
    being cleaned up (LP: #854179).

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 22 Sep 2011 17:59:55 +0100

ubiquity (2.7.35) oneiric; urgency=low

  [ Evan Dandrea ]
  * Don't show the battery warning when the system is not battery
    powered (LP: #848000).
  * Move network watch initialization for the KDE frontend to the
    correct place (LP: #855763).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Sep 2011 15:52:42 -0400

ubiquity (2.7.34) oneiric; urgency=low

  * Disable setting the ubiquity/online debconf question for now. We're
    not actually using it for anything yet (LP: #855277).
  * Disable the power indicator as it's causing g-s-d to spawn, which
    races against our own spawning of it (LP: #854717).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 21 Sep 2011 10:00:45 +0100

ubiquity (2.7.33) oneiric; urgency=low

  * Move watching Internet connectivity to the frontends themselves,
    which then ask each plugin to act accordingly (LP: #854706).
  * Update translations from Launchpad.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 20 Sep 2011 19:22:01 +0100

ubiquity (2.7.32) oneiric; urgency=low

  * Also show the Ubiquity launcher on Unity.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 20 Sep 2011 09:52:32 -0400

ubiquity (2.7.31) oneiric; urgency=low

  [ Evan Dandrea ]
  * Build-depend on the GTK3 version of libindicator.

  [ Colin Watson ]
  * Move setup_power_watch out of the ubi-prepare plugin into a new
    ubiquity.upower module, allowing us to patch it out more easily while
    running tests.  Patch ubiquity.nm.add_connection_watch and
    ubiquity.nm.has_connection in the GTK frontend tests as well.
  * Automatic update of included source packages: apt-setup 1:0.49ubuntu9,
    netcfg 1.68ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Sep 2011 01:10:22 +0100

ubiquity (2.7.30) oneiric; urgency=low

  [ Harald Sitter ]
  * [KDE] Fix language selection comobox position within grid (LP: #743062)
  * [KDE] Make intro label miminum expanding, otherwise word wrap will not
    work for vast amounts of text

  [ Evan Dandrea ]
  * Unset UBUNTU_MENUPROXY so our custom panel doesn't lose its
    indicators (LP: #837287).
  * Port the panel to GTK3.
  * Manually connect the activate-link signal on the advanced
    partitioning tool link on the automatic partitioning page.
    GtkBuilder signal mapping appears to be broken (LP: #852054).
  * The first partitioning page does not translate its options ahead of
    time, so ensure that the placeholder text isn't so long as to create
    the installer window to grow excessively large before partitioning
    is reached (LP: #837406).
  * Use the new network-manager interface on the prepare page to disable
    options that need an Internet connection when one is not available
    (LP: #848938).
  * Update translations from Launchpad.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu33.

  [ Stéphane Graber ]
  * Change wallpaper C program to accept a path to a wallpaper as a parameter.
  * Update ubiquity-dm to set the right wallpaper for Edubuntu.
  * Fix ibus in Ubiquity (LP: #838850)

  [ Aurélien Gâteau ]
  * gui/qt/stepKeyboardConf.ui
   - Put keyboard variable combobox on separate line (LP: #851160)

  [ Jonathan Riddell ]
  * kde_ui.py
   - Fix breakage in debfilter crash dialogue

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 19 Sep 2011 19:37:28 +0100

ubiquity (2.7.29) oneiric; urgency=low

  * Add power indicator to the installer panel.
  * Handle APs going away while trying to query their properties
    (LP: #838068).
  * Use a small C program to set the desktop wallpaper (LP: #830061).
  * Update translations from Launchpad.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu31, partman-base 151ubuntu1.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 15 Sep 2011 10:47:19 +0100

ubiquity (2.7.28) oneiric; urgency=low

  [ Stéphane Graber ]
  * Update stepUserInfo.ui to trigger info_loop() when the hostname is changed.
    (LP: #828181)

  [ Mario Limonciello ]
  * Reorder the imports in oem-config-remove-gtk to fix an import error due
    the fallbacks in aptdaemon. (LP: #837288)
  * Show the wireless page after either prepare or language to make sure
    it shows in both ubiquity and oem-config modes.
  * Call out to find_next_step even on non debconf driven pages. (LP: #843237)
  * Don't assume /target is where the new face is being put.
  * When the installer crashes, file a bug using apport-bug rather than
    directing users to a terminal window. (LP: #843933)
  * Fix the colors in the oem-config language selector. (LP: #838672)
  * Automatic update of included source packages: netcfg 1.68ubuntu2,
    user-setup 1.28ubuntu20.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 07 Sep 2011 16:55:46 -0500

ubiquity (2.7.27) oneiric; urgency=low

  * Disable test_set_indicator_keymaps as set_indicator_keymaps itself is
    disabled for now.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Sep 2011 13:47:25 -0400

ubiquity (2.7.26) oneiric; urgency=low

  [ Evan Dandrea ]
  * Don't show the wireless page if there's already a network connection
    (LP: #838549).

  [ Martin Pitt ]
  * ubiquity/gtkwidgets.py: Fix return value evaluation of Gdk.color_parse()
    (API was fixed to not return a separate "success" flag any more).
  * ubiquity/misc.py: Disable set_indicator_keymaps() for now. It does not
    work with either the old (2.28) nor the current (2.90) pygobject, and
    still uses gconf. (LP: #829186)

  [ Stéphane Graber ]
  * Fix crash in the KDE crash dialog.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Sep 2011 10:56:43 -0400

ubiquity (2.7.25) oneiric; urgency=low

  [ Colin Watson ]
  * /apps/metacity/general/num_workspaces should be an int, not a boolean.
  * Automatic update of included source packages: flash-kernel 2.28ubuntu29.

  [ Evan Dandrea ]
  * Don't try to connect signals on the release notes label in the oem-
    config version of the language page, as it doesn't exist there.
  * Construct a GtkTreeCellDataFunc with the correct number of arguments
    in the migration assistant plugin (LP: #829987).
  * Don't let the text wrap for the language names in oem-config.

  [ Stéphane Graber ]
  * Properly sort the keyboard list (LP: #770320)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Aug 2011 20:52:07 +0100

ubiquity (2.7.24) oneiric; urgency=low

  * Use only gtk3 in oem-config-remove-gtk (2.7.23 was also using gtk2).
  * Update the directory for the panel to search for indicators.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 30 Aug 2011 14:04:25 -0500

ubiquity (2.7.23) oneiric; urgency=low

  * Use the correct API for manipulating the finished dialog for oem-
    config-remove-gtk.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 30 Aug 2011 19:03:16 +0100

ubiquity (2.7.22) oneiric; urgency=low

  * Add back accidentally deleted build_timezone_list call.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 30 Aug 2011 18:34:51 +0100

ubiquity (2.7.21) oneiric; urgency=low

  [ Stéphane Graber ]
  * Explicitly bind "activate-link" as it seems to be the only way to actually
    catch that signal. (LP: #830895)
  * If the user didn't select a photo, just continue without configuring it.
    (LP: #836934)
  * Instead of forcing the color on all elements, only do it for elements
    where it's actually required. Fixes weird backgrounds in ComboBoxes (LP: #830923)
  * Set a maximum install size of 8GB as long as the user still has 20% of free
    space. (LP: #771401)

  [ Evan Dandrea ]
  * Set the timezone location to the default (LP: #830940).
  * Automatic update of included source packages: user-setup
    1.28ubuntu19.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 30 Aug 2011 17:16:54 +0100

ubiquity (2.7.20) oneiric; urgency=low

  * Raise permissions for writing out webcam picture. (LP: #836802)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 29 Aug 2011 12:34:37 -0500

ubiquity (2.7.19) oneiric; urgency=low

  [ Stéphane Graber ]
  * Properly handle unicode in calls to preseed (LP: #831455)
  * Properly handle unicode for device and mountpoints name (LP: #833813)
  * Port Ubiquity's accessibility indicator to gobject introspection
  * Fix a minor gobject introspection port issue (Gdk.CONTROL_MASK should
    be Gdk.ModifierType.CONTROL_MASK)
  * Fix ubi-timezone changed() function missing a parameter

  [ Colin Watson ]
  * Adjust timezone tests for change in timezone changed() signature.
  * Mock ubiquity.misc.drop_privileges and ubiquity.misc.regain_privileges
    during test_face_selector_save_to.
  * Mock ubiquity.frontend.base.drop_privileges in GTK frontend tests to
    cope with 'from ubiquity.misc import drop_privileges' form.
  * Mock ubiquity.nm.wireless_hardware_present in GTK frontend tests, as it
    may not be able to talk to D-Bus.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Aug 2011 17:26:51 +0100

ubiquity (2.7.18) oneiric; urgency=low

  * Properly handle unicode around the hostname (LP: #831309).
  * Properly handle unicode around the timezone entry box (LP: #831533).
  * Properly handle unicode in the question dialog (LP: #831419).
  * Disable the background setting code for beta 1.
  * Wait forever for jockey to shutdown (LP: #653571).
  * Bump indicators to v6 (LP: #819979).

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 26 Aug 2011 17:56:37 +0100

ubiquity (2.7.17) oneiric; urgency=low

  [ Evan Dandrea ]
  * Make sure the webcam module is built before running tests.

  [ Colin Watson ]
  * Use a stamp file for 'debian/rules install' to try to avoid duplicate
    runs (e.g. when repeatedly running tests).
  * Mark the debian/rules tests target as phony, to allow repeated runs more
    easily.
  * Don't fail gtkwidgets tests if /usr/share/pixmaps/faces doesn't exist
    (i.e. gnome-control-center-data isn't installed).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Aug 2011 00:09:32 +0100

ubiquity (2.7.16) oneiric; urgency=low

  [ Colin Watson ]
  * Update translations from Launchpad.
  * Enable code in console-setup 1.57ubuntu24 to fix default keyboard
    selection for language/country combinations lacking a proper combined
    locale (LP: #814448).
  * Rename libwebcam to libubiwebcam to avoid clashing with the existing
    libwebcam0 package.

  [ Evan Dandrea ]
  * Move noninteractive frontend to PyGI bindings for GObject (LP:
    #829186).
  * Make the webcam page match its specified design.
  * Automatic update of included source packages: console-setup
    1.57ubuntu25.

  [ Jeremy Bicha ]
  * Allow users to enter their own mount point in the partitoner (LP: #831431)

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 24 Aug 2011 13:58:08 +0100

ubiquity (2.7.15) oneiric; urgency=low

  [ Colin Watson ]
  * Remove dead code from debian/oem-config.oem-config.upstart.
  * Prefer recent versions of ntfs-3g to ntfsprogs, as ntfsresize has moved
    to ntfs-3g.

  [ Evan Dandrea ]
  * Change the first partitioning page title to 'Installation Type.'
    Thanks Matthew Paul Thomas.
  * Merge PyGI branch. Ubiquity now uses PyGI and GTK+3.
  * Feature Freeze exception (LP: #825274).
  * Automatic update of included source packages: base-installer
    1.119ubuntu4, console-setup 1.57ubuntu23, flash-kernel 2.28ubuntu28,
    netcfg 1.68ubuntu1, partman-auto-loop 0ubuntu20, partman-
    basicfilesystems 71ubuntu1, partman-efi 24ubuntu2, partman-
    partitioning 81ubuntu2, tzsetup 1:0.26ubuntu10, user-setup
    1.28ubuntu18.

  [ Brian Murray ]
  * Instead of sending people to +filebug recommend using apport

  [ Luke Yelavich ]
  * Add support for launching high contrast, screen reader, keyboard modifiers,
    and onscreen keyboard accessibility profiles in maybe-ubiquity mode, high
    contrast and screen reader profiles being launcheable either from an
    indicator, or via keyboard shortcut, the rest of the profiles available
    via the indicator only
  * bin/ubiquity-dm:
    - Start at-spi either when an appropriate accessibility profile is enabled,
      or when maybe-ubiquity mode is enabled
    - Remove references to orbit, as the a11y stack now uses dbus
  * debian/control: Add python-appindicator as a dependency of
    ubiquity-frontend-gtk
  * Play the system-ready sound once accessibility profile support code has
    been run to signal the user that a profile shortcut key can be pressed
  * Enable caret browsing/text cursor movement in the slideshow if the screen
    reader accessibility profile is enabled

  [ Mario Limonciello ]
  * Fix calls to get_size() in ubiquity-dm from pygi transition.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 18 Aug 2011 17:56:46 +0100

ubiquity (2.7.14) oneiric; urgency=low

  * When copying symlinks, just try unlinking and handle exceptions, rather
    than statting them first to find out what to do.
  * Automatic update of included source packages: apt-setup 1:0.49ubuntu7,
    partman-target 73ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Jul 2011 17:13:15 +0100

ubiquity (2.7.13) oneiric; urgency=low

  [ Evan Dandrea ]
  * Change the forward button text to Continue. Thanks to Matthew Paul
    Thomas for the suggestion.

  [ Mario Limonciello ]
  * Don't try to unlink directories during file copy routine that were
    created by partman (/var/lock, /var/run), rmdir them instead.
    (LP: #810700)
  * Don't assume that gsettings is on PATH just because gconftool-2 is.
    They come from separate packages.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu27.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 15 Jul 2011 00:14:00 -0500

ubiquity (2.7.12) oneiric; urgency=low

  * Update disable_autologin to match current user-setup-apply, including
    lxdm and lightdm handling (LP: #806247).
  * Upgrade to indicator-0.4.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 09 Jul 2011 16:52:42 +0100

ubiquity (2.7.11) oneiric; urgency=low

  [ Luke Yelavich ]
  * Use at-spi2 dbus launcher to start the at-spi2 daemon
  * Determine accessibility state from gsettings using the gsettings command,
    to make sure privileges are dropped

  [ Colin Watson ]
  * Handle the case where one of the packages returned by 'pyversions -s' or
    'py3versions -s' is not installed (LP: #806349).
  * Add --config=Mode:0644 to debconf-copydb call, as otherwise we leave
    /var/cache/debconf/config.dat mode 0600 in the installed system,
    breaking the first run of some package management frontends
    (LP: #442941).
  * Provide build-arch and build-indep debian/rules targets.
  * Automatic update of included source packages: console-setup
    1.57ubuntu21, flash-kernel 2.28ubuntu26.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Jul 2011 23:28:05 +0100

ubiquity (2.7.10) oneiric; urgency=low

  * Fix reversed calls to enable_download_updates and set_download_updates,
    broken in 2.7.9 (LP: #800261).
  * Recreate .pyc modules excluded from the live filesystem.
  * Automatic update of included source packages: grub-installer
    1.64ubuntu3, user-setup 1.28ubuntu16.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Jun 2011 13:52:45 +0100

ubiquity (2.7.9) oneiric; urgency=low

  [ Colin Watson ]
  * Use pycompile (python-minimal) rather than py_compilefiles
    (python-central).
  * Add lightdm to lists of display managers in Upstart jobs (LP: #798328).
  * Automatic update of included source packages: base-installer
    1.119ubuntu3, netcfg 1.63ubuntu1.

  [ Mackenzie Morgan ]
  * make ubi-prepare.py handle cases where prepare_download_updates
    is Qt too (LP: #791446)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Jun 2011 23:20:29 +0100

ubiquity (2.7.8) oneiric; urgency=low

  * Fix xvfb-run error handling.
  * Don't run xvfb-run under fakeroot, as that confuses the X server.
  * Exclude everything under debian/ from tests/run-pyflakes, as otherwise
    it's impossible to clean a built tree.
  * Convert to dh_python2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Jun 2011 15:09:46 +0100

ubiquity (2.7.7) oneiric; urgency=low

  * Show output from xauth and Xrdb after calling xvfb-run.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Jun 2011 14:52:59 +0100

ubiquity (2.7.6) oneiric; urgency=low

  * Support filesystem.manifest-remove (equivalent to the difference between
    filesystem.manifest and filesystem.manifest-desktop in the old style),
    generated by live-build >= 3.0~a20-1.
  * Remove /target/etc/apt/sources.list.d/dvd.list before creating new apt
    configuration.  The livecd-rootfs live-build integration will create
    this in DVD images.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Jun 2011 00:23:14 +0100

ubiquity (2.7.5) oneiric; urgency=low

  * Stop installing earth.jpg; it's 250KiB and we no longer use it.
  * Automatic update of included source packages: apt-setup 1:0.49ubuntu6,
    base-installer 1.119ubuntu1, choose-mirror 2.38ubuntu2, clock-setup
    0.108ubuntu1, debian-installer-utils 1.84ubuntu1, grub-installer
    1.64ubuntu2, localechooser 2.37ubuntu1, netcfg 1.62ubuntu2, partconf
    1.37, partman-base 150ubuntu1, partman-basicfilesystems 70ubuntu1,
    partman-basicmethods 48, partman-btrfs 6ubuntu1, partman-efi 24ubuntu1,
    partman-ext3 64ubuntu1, partman-jfs 34, partman-partitioning 81ubuntu1,
    partman-reiserfs 51, partman-xfs 48, preseed 1.49ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Jun 2011 15:47:52 +0100

ubiquity (2.7.4) oneiric; urgency=low

  * Fix sys.path handling in test_ubi_partman.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 May 2011 20:55:01 +0100

ubiquity (2.7.3) oneiric; urgency=low

  * Ugh. Add python-libxml2 and python-xklavier to build dependencies.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 31 May 2011 17:42:44 +0100

ubiquity (2.7.2) oneiric; urgency=low

  * Add a pyflakes run to the check build target.
  * Add dependency on python-libxml2. Fixes FTBFS (again).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 31 May 2011 17:03:20 +0100

ubiquity (2.7.1) oneiric; urgency=low

  * Add build dependency on xvfb.  Fixes FTBFS.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 31 May 2011 15:40:21 +0100

ubiquity (2.7.0) oneiric; urgency=low

  [ Evan Dandrea ]
  * Prevent the OOM killer from selecting ubiquity.  See  LP #770865.
  * Ensure that the partition ComboBoxEntry can be focused
    (LP: #769043).
  * Hide the other pages when starting the slideshow so that verbose
    languages that cause the window to grow do not leave lots of
    whitespace on the slideshow (LP: #770253).
  * Don't offer the download updates option when there is no Internet
    connection. See LP: 651932.
  * Provide access to the keymaps most-relevant for the currently
    selected language in the keyboard indicator (LP: #656777).
  * gnome-settings-daemon no longer daemonizes (LP: #788859).
  * Automatic update of included source packages: partman-auto
    93ubuntu16.

  [ Colin Watson ]
  * Re-enable alpha warning for oneiric.
  * Make ubiquity/nonfree_package preseedable, and allow it to contain
    multiple whitespace-separated package names.

  [ Mario Limonciello ]
  * In automatic ubiquity mode, don't clobber grub-installer/bootdev
    because of the U/I widget not being populated.  Fixes preseeded
    grub-installer/bootdev.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 31 May 2011 14:56:14 +0100

ubiquity (2.6.10) natty; urgency=low

  * Add __init__ methods to ubi-timezone's PageDebconf and
    PageNoninteractive classes, so that they have controller attributes
    (LP: #769081).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Apr 2011 21:03:09 +0100

ubiquity (2.6.9) natty; urgency=low

  * Disable the alpha warning.  Whoops.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 21 Apr 2011 17:36:10 +0100

ubiquity (2.6.8) natty; urgency=low

  * Pretend to be online in tests.  Fixes build failure.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 21 Apr 2011 14:48:24 +0100

ubiquity (2.6.7) natty; urgency=low

  [ Evan Dandrea ]
  * Fix missing import on the partitioning page.
  * Repack debs in apt-clone.
  * Disable the upgrade/reinstall option when no Internet connection is
    available.  See LP 766171 for details.
  * Update translations from Launchpad.
  * Don't ever show scrollbars in the slideshow.  The window growing
    slightly is not ideal, but still better than this. See LP 529201
    for details.
  * Defend against temporary mountpoints not existing before attempting
    to remove them (LP: #759716).

  [ Colin Watson ]
  * Automatic update of included source packages: console-setup
    1.57ubuntu20, grub-installer 1.60ubuntu3, partman-auto 93ubuntu15.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Apr 2011 00:34:54 +0100

ubiquity (2.6.6) natty; urgency=low

  [ Jonathan Riddell ]
  * bin/ubiquity-dm: use correct KDE wallpaper path

  [ Colin Watson ]
  * Don't copy keyboard-configuration questions to /target in OEM mode, and
    reset any values that come from the live filesystem build.  oem-config
    will ask them later, and copying these confuses it (LP: #741304).
  * GTK frontend:
    - Avoid a crash if the automatic partitioning page is never displayed.

  [ Evan Dandrea ]
  * Remove the 'Bootloader device' line.  See LP #726740.
  * Do not reset the bootloader choice unless it's absolutely necessary
    (LP: #756920). Thanks Stéphane Graber!
  * Move installation of the nvidia driver to after the removal of
    unneeded kernels. Divert update-initramfs for the duration and
    trigger it afterwards (LP: #759804).
  * Make the 'name already exists on the network' warning message not
    block the user from moving forward (LP: #760884).
  * Briefly shut down the debconf database to flush any changes before
    starting the parallel database (LP: #761094).
  * Fix removal of slideshow packages for non-GTK frontends
    (LP: #745607).
  * Set the locale again after the timezone page so that the slideshow
    can have country-specific translations (LP: #758658).
  * Automatic update of included source packages: base-installer
    1.116ubuntu2, choose-mirror 2.37ubuntu2, console-setup 1.57ubuntu19,
    flash-kernel 2.28ubuntu19, user-setup 1.28ubuntu15.
  * Update translations from Launchpad.

  [ Mario Limonciello ]
  * Show the oem-config slideshow in oem-config rather than the ubuntu one.
  * Uninstall the oem-config slideshow after install is done (LP: #759935).

  [ Julien Lavergne ]
  * Disable ubiquity panel for openbox session.

  [ Mackenzie Morgan ]
  * Make radio buttons use label wording for screen reader (LP: #749653)

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 19 Apr 2011 11:45:53 +0100

ubiquity (2.6.5) natty; urgency=low

  * Fix broken home directory lookup (LP: #759401).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 13 Apr 2011 09:17:48 +0100

ubiquity (2.6.4) natty; urgency=low

  * Don't check for debconf database locks when ubiquity is itself running
    inside a debconf frontend (LP: #758858).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Apr 2011 21:25:47 +0100

ubiquity (2.6.3) natty; urgency=low

  * Clean up after the langpacks state on multiple runs of the installer.
  * Prefer biggest_free over resize always now that we make sure the
    biggest_free choice offers at least 5GB (LP: #758236, LP: #652852).
  * Determine the home directory of the target user when copying the
    network configuration (LP: 745607).
  * Select all the ubiquity slideshow packages for removal, and do not
    error out if none can be found (LP: #745607).
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup
    1.57ubuntu18, migration-assistant 0.6.10.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 12 Apr 2011 18:29:53 +0100

ubiquity (2.6.2) natty; urgency=low

  [ Colin Watson ]
  * Handle keyboard layouts with only one variant (LP: #711926).
  * Make sure to set a new variant default when changing keyboard layout
    (LP: #745137).

  [ Evan Dandrea ]
  * Deal with the confirmation key being translated in jockey-text
    (LP: #757208).
  * Update translations from Launchpad.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 11 Apr 2011 17:51:12 +0100

ubiquity (2.6.1) natty; urgency=low

  [ Stéphane Graber ]
  * KDE frontend:
    - Disable partition edit dialog on row activation, until such time as we
      know how to distinguish click from double-click (LP: #628906).

  [ Colin Watson ]
  * Automatic update of included source packages: localechooser 2.34ubuntu4,
    partman-auto 93ubuntu14.
  * Update translations from Launchpad.
  * Add ${misc:Depends} to dependencies of ubiquity-ubuntu-artwork and
    oem-config-remaster.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Apr 2011 02:22:28 +0100

ubiquity (2.6.0) natty; urgency=low

  [ Evan Dandrea ]
  * Provide a better description for the upgrade/reinstall option that
    intends to make the difference between it and a traditional Ubuntu
    upgrade clear (LP: #752372).
  * Don't show the biggest_free option if we can't fit Ubuntu in the
    free space (LP: #751145).
  * Try calling unlock_environment a bit earlier to work around LP: 657086.
  * Be sure to back up in the dbfilter when backing up from the advanced
    partitioning page (LP: #744938).
  * Increase the minimum size of the Ubuntu install to be twice the size
    of the contents of the installation (roughly 5.2 GB) (LP: #745148).

  [ Colin Watson ]
  * Switch to xz compression for the source package, saving nearly a
    megabyte.
  * Update translations from Launchpad.
  * Update imported translations from gtk+2.0 2.24.4-0ubuntu1.
  * Automatic update of included source packages: apt-setup 1:0.49ubuntu4,
    netcfg 1.60ubuntu3.

  [ Jonathan Riddell ]
  * Update artwork gui/qt/images/squares.png

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Apr 2011 01:47:19 +0100

ubiquity (2.5.34) natty; urgency=low

  [ Colin Watson ]
  * Force the output of 'locale charmap' to UTF-8 while running
    console-setup (LP: #730576).

  [ Evan Dandrea ]
  * Bump panel indicators ABI (LP: #745681).

  [ Mario Limonciello ]
  * Modify oem-config-remove-gtk to look in /var/lib/dpkg/info again
    rather than /var/lib/dpkg/info/*/ for installed packages.
  * Remove cryptsetup after oem-config if ecryptfs is not in use.
    Thanks Tony Espy.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 05 Apr 2011 17:36:07 -0500

ubiquity (2.5.33) natty; urgency=low

  [ Colin Watson ]
  * Shut down the debconf-communicator instance started in DM.run.  This
    should reduce the number of spurious crash reports we get.
  * KDE frontend:
    - Force the SIGCHLD handler installed by QProcessManager to use
      SA_RESTART, in the hope of avoiding problems with Python's lack of
      EINTR-safety (LP: #745014).
    - Show ext2 and btrfs in the same colour as ext3 and ext4, rather than
      in the same colour as free space.
  * localechooser/supported-locales only lists additional locales, so
    calculate the set of language packs to install using the union of it and
    debian-installer/locale (LP: #741304).
  * Do a quick check at startup to see if the debconf database is locked by
    something else, and exit slightly more gracefully than by raising an
    exception (LP: #746020).
  * GTK frontend:
    - Fix the partman plugin to convert the return value of
      gtk.TreeModel.get_value to Unicode before looking it up in a dict
      (LP: #746408).
  * Update translations from Launchpad (LP: #745924, #746500).
  * Automatic update of included source packages: flash-kernel 2.28ubuntu18.

  [ Evan Dandrea ]
  * Clarify substitution variables in the debconf templates using comments.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 02 Apr 2011 13:03:38 +0100

ubiquity (2.5.32) natty; urgency=low

  * Fix test failure on non-x86 architectures.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Mar 2011 10:29:20 +0100

ubiquity (2.5.31) natty; urgency=low

  * Put build-dependencies in the right place.
  * Add python-apt to the build-depends for the test harness.
  * Use the standard nocheck DEB_BUILD_OPTIONS argument instead of
    UBIQUITY_NO_TESTS. Thanks Steve Langasek!
  * Run the tests on all architectures.
  * Don't feed jockey's output into debconf (LP: #739632).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 28 Mar 2011 23:21:15 +0100

ubiquity (2.5.30) natty; urgency=low

  [ Evan Dandrea ]
  * Add an error message for apt-clone failing.
  * Do not consider Windows Recovery partitions in the list of operating
    systems.
  * Add unit tests, which can be run via ./tests/run or by building the
    package.  To override a failing test causing the package build to
    fail, use the UBIQUITY_NO_TESTS environment variable.
  * Divert initctl around apt-clone to prevent packages with Upstart
    jobs from failing to be reinstalled.
  * Ensure that the partition description labels all wrap at the same
    point (LP: #741664).
  * Move test dependencies into build-depends.  Thanks Colin Watson!
  * Move the apt-clone working directory into /var/log/installer at the
    end of installation (LP: #739492).
  * Set the next button back to its original label once done calculating
    its size.
  * Automatic update of included source packages: migration-assistant
    0.6.9, user-setup 1.28ubuntu14.

  [ Colin Watson ]
  * Start debconf in ubiquity.i18n.reset_locale if it isn't already running
    (LP: #649895).
  * Remove grub_device_label from string_extended, now that the boot loader
    question is only asked from the partitioning page rather than a separate
    dialog (LP: #726740).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 28 Mar 2011 18:30:33 +0100

ubiquity (2.5.29) natty; urgency=low

  * Remove cy from LINGUAS. Fixes build failure.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 23 Mar 2011 21:16:17 +0000

ubiquity (2.5.28) natty; urgency=low

  [ Evan Dandrea ]
  * Update the descriptions for the automatic partitioning options to match
    changes to the specification (LP: #736959).
  * Mount /proc and friends for apt-clone.
  * Use the noninteractive debconf frontend when calling apt-clone.
  * apt-clone is now a separate package.
  * Add a partitioning heading to help clarify what operating systems
    may be acted upon by the installer.
  * Remove ' (loader)' from the os-prober operating system descriptions on
    the initial partitioning page.
  * Properly substitute in the non-Ubuntu system when generating descriptions
    for dual boot partitioning.
  * Remove alpha warning for reuse option in preparation for the 11.04 Beta.
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup
    1.57ubuntu17, grub-installer 1.60ubuntu2, localechooser 2.34ubuntu3,
    partman-auto 93ubuntu13, partman-auto-loop 0ubuntu19.

  [ Colin Watson ]
  * Preprocess our variant of keyboard-configuration.postinst, so that it
    includes the keyboard_present function.
  * Start oem-config-debconf on stopping rc RUNLEVEL=[2345], rather than on
    (filesystem and stopped udevtrigger); this guarantees that we will never
    end up without a controlling terminal because tty1 has already started.
  * Don't run the oem-config job in recovery mode (thanks, Shih-Yuan Lee;
    LP: #734695).
  * Run plugininstall in debconf frontend (LP: #740183).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 23 Mar 2011 20:22:00 +0000

ubiquity (2.5.27) natty; urgency=low

  * Drop code related to debian-installer/fallbacklocale, since that
    template no longer exists (LP: #736060).
  * Update imported translations from gtk+2.0 2.24.3-0ubuntu2 and
    gnome-panel 1:2.32.1-0ubuntu6.
  * Ensure that PartedServer dialogs are always properly closed on
    exceptional paths.
  * Fix partition-table-full check to cope with disks without a partition
    table.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Mar 2011 14:36:02 +0000

ubiquity (2.5.26) natty; urgency=low

  [ Evan Dandrea ]
  * Revert dropping privileges earlier (LP: #730209).

  [ Colin Watson ]
  * Update for changes in localechooser up to 2.34ubuntu1.
  * Automatic update of included source packages: localechooser 2.34ubuntu2,
    partman-auto 93ubuntu10.
  * Update translations from Launchpad.
  * GTK frontend:
    - Translate some other possible versions of the next button when
      changing language (LP: #730208).

  [ Daniel Manrique ]
  * Allow preseeding only ubiquity/reboot to suppress the reboot dialog,
    without needing to preseed ubiquity/poweroff as well (LP: #727416).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2011 17:34:27 +0000

ubiquity (2.5.25) natty; urgency=low

  [ Mario Limonciello ]
  * Install oem-config-debconf properly. (LP: #732576)
  * Don't trigger oem-config-debconf on dbus.

  [ Kees Cook ]
  * scripts/plugininstall.py: do not explode if /proc/swaps is missing,
    thanks to Gilles Grandou (LP: #651886).

 -- Kees Cook <kees@ubuntu.com>  Thu, 10 Mar 2011 14:37:48 -0800

ubiquity (2.5.24) natty; urgency=low

  [ Evan Dandrea ]
  * Drop privileges earlier in ubi-partman.
  * Remove unused templates.

  [ Mario Limonciello ]
  * Fix oem-config-remove-gtk for changes in multiarch.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu17.

  [ Loïc Minier ]
  * bin/ubiquity-dm: fix superfluous closing parenthesis left behind in last
    ubiquity-dm changes; thanks Tobin Davis; LP: #731536.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 08 Mar 2011 14:33:04 -0600

ubiquity (2.5.23) natty; urgency=low

  [ Evan Dandrea ]
  * Ensure we always have an automatic partitioning option selected.
  * Merge in latest change to apt-clone from Michael Vogt:
    - Current apt_pkg API methods.
    - Better command line argument parsing.
    - Set DPkg::Chroot-Directory (LP 727758).
  * Do not attempt to proceed to a second page with the biggest_free
    option (LP: #727842, LP: #652852).  This will change once we have an
    interface for the biggest_free option.
  * If the partition table is full and a copy of Windows exists, replace the
    resize option with a copy of wubi.exe to the Windows startup folder,
    followed by a reboot.
  * Temporary fix for translations with carriage returns (LP: #730498).
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup
    1.57ubuntu10.

  [ Colin Watson ]
  * Set Dir::Media::MountPath as well as Acquire::cdrom::mount (in line with
    base-installer), and pass all the options set by configure_apt to
    python-apt as well so that attempts to install packages from python-apt
    will behave consistently (LP: #727783).

  [ Julien Lavergne ]
  * bin/ubiquity-dm:
   - Wait lxsession before launching the panel, to have theming support.
     (LP: #684802)
  * src/panel/panel.c
   - Load lxpanel background for the panel when it's available.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 07 Mar 2011 09:16:26 +0000

ubiquity (2.5.22) natty; urgency=low

  [ Evan Dandrea ]
  * Make apt-clone executable. D'oh.
  * Show the amount of space available for Ubuntu after resizing for
    each disk in the combo box.
  * Don't show the progress section when advancing to the manual
    partitioning page from the hyperlink for it.
  * Change 'Figure Out' to 'Detect' for reals (LP: #717500).

  [ Colin Watson ]
  * Deny requests from hw-detect to load firmware (LP: #727288).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Mar 2011 23:28:42 +0000

ubiquity (2.5.21) natty; urgency=low

  * Add a set_autopartition_options method stub.
  * Don't display the package preservation progress message if it's
    ultimately going to be skipped.
  * Show the progress bar as soon as we have a final autopartitioning
    option.
  * Automatic update of included source packages: partman-auto
    93ubuntu9.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 01 Mar 2011 08:13:20 +0000

ubiquity (2.5.20) natty; urgency=low

  * Merge the automatic partitioner redesign branch (LP: #723849).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 01 Mar 2011 04:48:11 +0000

ubiquity (2.5.19) natty; urgency=low

  [ Colin Watson ]
  * Automatic update of included source packages: base-installer
    1.116ubuntu1, console-setup 1.57ubuntu8, flash-kernel 2.28ubuntu15,
    partman-auto 93ubuntu8, partman-target 71ubuntu2.

  [ Bryce Harrington ]
  * Revert "Queue a redraw of the panel after setting the background".  This
    change is implicated in a memory leak leading to OOM conditions and
    eventual crash of Xserver.  (Possible fix for LP: #714829, would reopen
    693300)

  [ Mario Limonciello ]
  * Fix reference leak in panel set_background function.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Feb 2011 19:54:45 +0000

ubiquity (2.5.18) natty; urgency=low

  * Automatic update of included source packages: partman-auto
    93ubuntu6.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 24 Feb 2011 17:54:41 -0600

ubiquity (2.5.17) natty; urgency=low

  * Do not show the installer in dbusmneu.  Thanks Ken VanDine!
  * Install a composite-enabled graphics driver when the third-party
    software option is checked.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 24 Feb 2011 16:58:05 +0000

ubiquity (2.5.16) natty; urgency=low

  [ Evan Dandrea ]
  * Rename the keyboard layout guessing button (LP: #717500).
  * Install oem-config-slideshow-ubuntu alongside oem-config-gtk.
  * Fix accessibility support in the installer session.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu14, partman-auto 93ubuntu5.

  [ Mario Limonciello ]
  * Create a dummy job for oem-config-debconf to prevent race
    conditions with oem-config-gtk and gdm. (LP: #650703)

 -- Evan Dandrea <ev@ubuntu.com>  Sun, 20 Feb 2011 03:00:54 +0000

ubiquity (2.5.15) natty; urgency=low

  [ Colin Watson ]
  * Ignore "Not Available" strings in dmidecode output (LP: #711968).
  * Tell keyboard-configuration not to write defaults in the debconf
    database when we're in the process of changing the layout (LP: #705917).
  * Automatic update of included source packages: console-setup 1.57ubuntu7,
    flash-kernel 2.28ubuntu13, grub-installer 1.60ubuntu1, netcfg
    1.60ubuntu2, partman-auto 93ubuntu4, partman-btrfs 5ubuntu3,
    partman-partitioning 79ubuntu2.

  [ Jonathan Riddell ]
  * frontend/kde_ui.py use new KDE wallpaper

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Feb 2011 11:52:27 +0000

ubiquity (2.5.14) natty; urgency=low

  * Append to the timezone model using the correct types (LP: #702898).
  * Update translations from Launchpad.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 02 Feb 2011 10:24:41 +0000

ubiquity (2.5.13) natty; urgency=low

  [ Jonathan Riddell ]
  * Fix layout issues in stepPartMan.ui and stepLanguage.ui LP: #705915

  [ Evan Dandrea ]
  * Show a Shutdown Now button (LP: #690726). Thanks Cyrus Lien!
  * Only show the shutdown button if ubiquity/show_shutdown_button was
    preseeded true.
  * Don't show a resize grip on the panel.

  [ Colin Watson ]
  * Automatic update of included source packages: base-installer
    1.115ubuntu1, choose-mirror 2.37ubuntu1, partman-btrfs 5ubuntu2,
    partman-ext3 62ubuntu1, yaboot-installer 1.1.19ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Feb 2011 14:42:55 +0000

ubiquity (2.5.12) natty; urgency=low

  [ Mario Limonciello ]
  * Fix oem-config-remove-gtk for changes in AptClient's commit_packages.
    (LP: #708722)

  [ Evan Dandrea ]
  * Update translations from Launchpad.
  * If a session indicator gconf key starts unset, make sure it ends
    that way (LP: #684052).
  * Fix mistake in the cleanup branch merge that broke translations
    (LP: #691671).
  * pc105.tree is included in console-setup now, which speeds up
    ubiquity builds.
  * Detect hostname collisions (LP: #634187).

  [ Colin Watson ]
  * Automatic update of included source packages: clock-setup 0.106ubuntu1,
    console-setup 1.57ubuntu5, partman-basicfilesystems 69ubuntu1,
    partman-efi 23ubuntu1, partman-partitioning 79ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Jan 2011 15:06:19 +0000

ubiquity (2.5.11) natty; urgency=low

  * Automatic update of included source packages: partman-partitioning
    78ubuntu2.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 18 Jan 2011 15:11:14 -0600

ubiquity (2.5.10) natty; urgency=low

  * No change rebuild for new libindicator2.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 17 Jan 2011 12:30:07 +0000

ubiquity (2.5.9) natty; urgency=low

  [ Mario Limonciello ]
  * If upgradable packages are marked for installation by a plugin, upgrade
    them rather than ignoring.
  * Don't start plugininstall if the user presses back on the last page in
    oem-config.
  * Don't show "No Localization" as a language option. (LP: #697326)
  * Automatic update of included source packages: base-installer
    1.114ubuntu3, flash-kernel 2.28ubuntu12, hw-detect 1.81ubuntu2,
    partman-btrfs 5ubuntu1, user-setup 1.28ubuntu13.

  [ Colin Watson ]
  * Depend on new archdetect-deb package rather than installing it from
    hw-detect ourselves.

  [ Evan Dandrea ]
  * Avoid running oem-config in the live environment in custom
    configurations (LP: #699720).  Thanks Shih-Yuan Lee!
  * Queue a redraw of the panel after setting the background (LP:
    #693300).  Thanks Cyrus Lien!

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 14 Jan 2011 16:32:30 -0600

ubiquity (2.5.8) natty; urgency=low

  * Allow overriding frontend using the ubiquity/frontend= boot parameter
    (thanks, Roberto C. Morano and Juanje Ojeda; LP: #364009).
  * console-setup/codeset was renamed to console-setup/codeset47
    (LP: #699829).
  * Automatic update of included source packages: base-installer
    1.114ubuntu2, console-setup 1.57ubuntu2, netcfg 1.59ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Jan 2011 15:09:58 +0000

ubiquity (2.5.7) natty; urgency=low

  [ Evan Dandrea ]
  * Set the accessible name of every widget.

  [ Colin Watson ]
  * Update for changes in console-setup up to 1.57ubuntu1, particularly the
    introduction of /etc/default/keyboard and keyboard-configuration.
  * Automatic update of included source packages: console-setup 1.57ubuntu1,
    debian-installer-utils 1.82ubuntu1, flash-kernel 2.28ubuntu11, partconf
    1.36, partman-base 147ubuntu1, partman-basicmethods 47, partman-btrfs 5,
    partman-jfs 33, partman-newworld 25, partman-reiserfs 50, partman-xfs
    47, preseed 1.48.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jan 2011 17:19:11 +0000

ubiquity (2.5.6) natty; urgency=low

  [ Colin Watson ]
  * Recommend btrfs-tools (LP: #674805).
  * Sync network configuration with netcfg: drop ip6-allhosts (see Debian
    #533384); strip trailing dots from the hostname and leading and trailing
    dots from the domain.
  * Automatic update of included source packages: grub-installer
    1.57ubuntu2, netcfg 1.57ubuntu3, partman-auto 93ubuntu3, partman-target
    71ubuntu1, user-setup 1.28ubuntu12.

  [ Mario Limonciello ]
  * If available, copy GRUB translations in oem-config user mode.
    (LP: #686789)

  [ Evan Dandrea ]
  * Add debconf template for password confirmation (LP: #654491).
  * Translate the 'passwords do not match' string (LP: #686737).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Dec 2010 15:02:18 +0000

ubiquity (2.5.5) natty; urgency=low

  * Ensure that /var/lib/ubiquity exists in scripts/plugininstall.py.
  * Automatic update of included source packages: partman-auto 93ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Dec 2010 17:00:29 +0000

ubiquity (2.5.4) natty; urgency=low

  * ubiquity/frontend/kde_components/PartAuto.py fix namespace on QWidget
    LP: #684059

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Dec 2010 12:50:08 +0000

ubiquity (2.5.3) natty; urgency=low

  * Automatic update of included source packages: apt-setup 1:0.49ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Dec 2010 17:20:02 +0000

ubiquity (2.5.2) natty; urgency=low

  [ Julien Lavergne ]
  * debian/ubiquity.ubiquity.upstart, debian/oem-config.oem-config.upstart:
    - Add lxdm support.
  * Add support for openbox-lubuntu and lxsession for ubiquity-dm (LP: #546445)

  [ Colin Watson ]
  * Automatic update of included source packages: apt-setup 1:0.49ubuntu2,
    user-setup 1.28ubuntu11.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Nov 2010 14:59:02 +0000

ubiquity (2.5.1) natty; urgency=low

  [ Colin Watson ]
  * Remove 'localhost' from default ::1 line in /etc/hosts (see netcfg 1.57,
    Debian #595107).

  [ Evan Dandrea ]
  * Expose the navigation control in the GTK frontend API.
    Thanks Ying-Chun Liu!
  * Do not filter out partitions in migration-assistant anymore.
    parted_server is no longer running by the time it starts, but that's
    of no matter as it runs long after the partitioning has been
    committed.
  * Automatic update of included source packages: apt-setup
    1:0.49ubuntu1, base-installer 1.114ubuntu1, choose-mirror
    2.36ubuntu1, clock-setup 0.105ubuntu1, debian-installer-utils
    1.81ubuntu1, grub-installer 1.57ubuntu1, hw-detect 1.81ubuntu1,
    migration-assistant 0.6.8, netcfg 1.57ubuntu2, partconf 1.35,
    partman-base 146ubuntu2, partman-basicfilesystems 68ubuntu1,
    partman-basicmethods 46, partman-btrfs 4, partman-efi 22ubuntu1,
    partman-ext3 61ubuntu1, partman-jfs 32, partman-newworld 24,
    partman-partitioning 78ubuntu1, partman-reiserfs 49, partman-target
    70ubuntu1, partman-xfs 46, preseed 1.47, yaboot-installer
    1.1.18ubuntu1.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 23 Nov 2010 17:46:54 +0000

ubiquity (2.5.0) natty; urgency=low

  [ Colin Watson ]
  * Log which package (albeit only the first one) caused us to declare
    language support incomplete.
  * Initialise release_notes_found in KDE prepare plugin, so that it doesn't
    break in oem-config mode (LP: #656983).
  * Re-enable alpha warning for natty.
  * Fix ubiquity.i18n.string_extended set creation syntax.
  * GTK frontend:
    - Display inline error messages for bad usernames, rather than just
      silently greying out the Forward button (LP: #555896).
    - Use gobject.timeout_add_seconds rather than gobject.timeout_add in a
      couple of places where the exact timeout period isn't critical.
  * Adjust for changes in base-installer 1.113ubuntu1.
  * Install new files from apt-setup 1:0.48ubuntu1.
  * Automatic update of included source packages: apt-setup 1:0.48ubuntu1,
    base-installer 1.113ubuntu1, choose-mirror 2.35ubuntu1, clock-setup
    0.104ubuntu1, debian-installer-utils 1.80ubuntu1, hw-detect 1.80ubuntu1,
    netcfg 1.56ubuntu1, partconf 1.34, partman-auto 93ubuntu1, partman-base
    145ubuntu1, partman-basicfilesystems 67ubuntu1, partman-basicmethods 45,
    partman-btrfs 3, partman-ext3 60ubuntu1, partman-jfs 31,
    partman-newworld 23, partman-partitioning 77ubuntu1, partman-reiserfs
    48, partman-target 69ubuntu1, partman-xfs 45, preseed 1.46,
    yaboot-installer 1.1.17ubuntu1.

  [ Evan Dandrea ]
  * Merge with the maverick-cleanup branch.

  [ Martin Pitt ]
  * debian/rules: Run dh_scour to compress shipped SVG images. Add
    python-scour build dependency.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Nov 2010 14:00:56 +0000

ubiquity (2.4.8) maverick; urgency=low

  * Automatic update of included source packages: apt-setup
    1:0.45ubuntu4, choose-mirror 2.33ubuntu3.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 07 Oct 2010 13:06:13 +0100

ubiquity (2.4.7) maverick; urgency=low

  [ Evan Dandrea, Colin Watson ]
  * Fix code to ensure that GRUB isn't installed to the installation device
    when it's a USB stick; this was a combination of the installation device
    typically being a partition rather than a disk device, and the fact that
    grub-mkdevicemap now emits /dev/disk/by-id/ names rather than
    traditional device names (LP: #630529).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Oct 2010 14:01:53 +0100

ubiquity (2.4.6) maverick; urgency=low

  * Automatic update of included source packages: apt-setup
    1:0.45ubuntu3, base-installer 1.107ubuntu3, choose-mirror
    2.33ubuntu2, grub-installer 1.55ubuntu4, user-setup 1.28ubuntu10.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 06 Oct 2010 12:27:46 +0100

ubiquity (2.4.5) maverick; urgency=low

  [ Mario Limonciello ]
  * If a derivative doesn't provide a release notes URL on the media, don't show
    the release notes label (LP: #651800)

  [ Colin Watson ]
  * Update translations from Launchpad (LP: #652395).
  * Automatic update of included source packages: partman-base 141ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 01 Oct 2010 10:17:57 +0100

ubiquity (2.4.4) maverick; urgency=low

  * manually update indicators ABI in panel source.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 27 Sep 2010 16:15:44 -0500

ubiquity (2.4.3) maverick; urgency=low

  * pixmaps/cd_in_tray.png has moved back to ubiquity-frontend-gtk.  Remove
    it from ubiquity.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Sep 2010 12:55:43 +0100

ubiquity (2.4.2) maverick; urgency=low

  [ Jonathon Riddell ]
  * gui/qt/stepLanguage.ui: nicer icons and better layout on
    language page (LP: #628808)

  [ Mario Limonciello ]
  * Set the LANG before running oem-config-remove.
  * Prevent a crash of debconf-communicate when removing oem-config.
    (LP: #641478)
  * Raise privileges when running the language page in only-installable
    mode. (LP: #647792)
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu10.

  [ Evan Dandrea ]
  * Don't let Jockey's automatic driver installation failing cause the
    entire prepare page to fail.
  * Make sure $LANGUAGE gets set in the parallel debconf child process,
    so that we get translated descriptions (LP: #646109).
  * Set the effective UID in regain_privileges_save so we don't try to
    setgroups([]) as a regular user (LP: #646827).

  [ Didier Roche ]
  * depends on latest libindicator-dev for ABI change (LP: #637692, #647739)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 25 Sep 2010 18:24:06 -0500

ubiquity (2.4.1) maverick; urgency=low

  [ Evan Dandrea ]
  * Fix the installer window growing and shrinking when typing in the
    boxes on the user setup page.
  * Do not show the prepare page by means of hiding the language page
    before the former is ready.
  * Fix a crash in the KDE partitioning page when no partitions are
    available for resizing (LP: #644407).
  * Call setgroups() when raising and dropping privileges.  Thanks Colin
    Watson!
  * Also tail syslog in the installer details pane, since that's where
    the action is.
  * Correctly use the plugin_translate hook in the KDE frontend
    (LP: #645092).
  * Update translations from Launchpad.
  * Automatic update of included source packages: base-installer
    1.107ubuntu2.

  [ Jonathan Riddell ]
  * In gui/qt/app.ui remove unnecessary margin, (LP: #628883)
  * KDE UI, Change button next between 'install now' and 'next'
    depending on partition mode, (LP: #628882)

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 23 Sep 2010 10:49:53 +0100

ubiquity (2.4.0) maverick; urgency=low

  [ Sebastian Heinlein ]
  * Rework oem-config-gtk to use a mainloop (LP: #637517)

  [ Evan Dandrea ]
  * Call gconftool-2 --set with --config-source.
  * Better lock down the installer environment when past partitioning.
  * Lock down the installer environment when at partitioning commit,
    rather than just after automatic partitioning (and not manual
    partitioning) (LP: #640604, LP: #641897).
  * Do not show the quit button in OEM mode.
  * Depend on aptdaemon (LP: #641051).
  * Fix the skip download button (LP: #628311).
  * Make the '[type here to change]' string translatable (LP: #642989).
  * Disable the non-free software option if multiverse and restricted
    are disabled via preseed (LP: #641676).
  * Install kubuntu-restricted-addons, not kubuntu-restricted-extras
    (LP: #643614).
  * Clear hostname error when fixed (LP: #640661).
  * Deal with broken /cdrom symlinks (LP: #642274).
  * Disable locking the screen and switching users in the installer
    session (LP: #644016).
  * Update translations from Launchpad.

  [ Colin Watson ]
  * Stop ubiquity and oem-config when stopping display managers.  This
    should guarantee that X has exited by the time we try to start plymouth
    on shutdown (LP: #628630).

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 21 Sep 2010 10:09:28 +0100

ubiquity (2.3.19) maverick; urgency=low

  * Make sure /var/lib/ubiquity/langpacks gets generated (LP: #630924).
  * Fall back to root if the regular user cannot be found in
    ubiquity-dm (LP: #640386).
  * Properly handle dmimodel() returning the null string.
  * Fix bootloader installation test (LP: #640341).
  * Set a the respective timezone, both internally and visually, when an
    entry is selected from the geonames autocompletion.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 16 Sep 2010 13:22:19 +0100

ubiquity (2.3.18) maverick; urgency=low

  [ Evan Dandrea ]
  * Improve the text on the prepare page, based on input from Matthew
    Paul Thomas, Amanda Brock, and Andrew Sinclair
    (LP: #635269, LP: #635260).
  * Translate latitude and longitude from the Geonames service to its
    respective Olsen timezone database entry.
  * Add back the hostname entry (LP: #628087).
  * Use a block device icon for cases where we cannot detect the
    operating system on a partition.
  * Set the amount of used space on a partition that we presume contains
    no operating system (LP: #626299).
  * Make requiring a password to log in the default again, matching the
    behavior in the previous version of Ubuntu.
  * Use the correct string for the resize partition option.
  * Set the size of the disk on the automatic partitioning page
    (LP: #626299).
  * Use dmidecode to get a more unique suffix for the hostname
    (LP: #628087).
  * Also generate a sample hostname when generating a sample username
    (LP: #634279).
  * Only set the next button to 'Install Now' when not on the first
    partitioning page (LP: #636392).
  * Fix transposed latitude and longitude in geonames lookup.
  * Provide a version parameter to the geoname lookup.
  * Show the number of partitions that will be deleted when in 'use
    entire disk' mode.
  * Remove Pango markup from the debconf templates where possible.
  * Properly set the partition widget description label.
  * Use a GtkMenuBar rather than a GtkMenu as the source of the dark
    styling to match recent changes to the default theme.
  * Properly start a ConsoleKit session (LP: #631538).
  * Fix the spacing on the automatic partitioning page.
    gui/gtk/stepPartAuto.ui
  * Correct layout based on suggestions from Matthew Paul Thomas.
  * Correct layout on keyboard guesser.
  * Run the Jockey backend with an in-memory debconf database, and run
    the frontend asynchronously (LP: #627822).
  * Don't show the GTK frontend until it's done constructing the UI.
  * Show a spinning cursor on the X root window in addition to the
    ubiquity window, so it's clear that the installer is loading the
    next page even when the cursor is off the main window.
  * Make return_to_partitioning work with parallel debconf instances
    (LP: #637706).
  * Added a Windows icon for the resize widget.  Thanks Otto Greenslade!
  * Disable the alpha warning, albeit late.
  * Add a command line option to not install a bootloader
    (-b, --no-bootloader) (LP: #615033).
  * Do not show 'free space' partitions in the bootloader target
    combobox (LP: #615033).
  * Meet the Geonames.org CC license requirements by adding 'Geonames.org'
    to the map.
  * Install the restricted package independent of the apt-installed
    packages, since those are installed with just the live CD's
    sources.list (LP: #638073).
  * Disable the wireless plugin for now.  It's not ready for release.
  * Make use of the new connectivity check page.
  * Automatic update of included source packages: apt-setup
    1:0.45ubuntu2, hw-detect 1.73ubuntu5.

  [ Mario Limonciello ]
  * Restore the functionality of the noninteractive frontend.
  * Disable GVFS fuse daemon while in ubiquity-dm
  * Remove oem user with userdel rather than deluser (the latter didn't support
    doing it while oem was logged in) (LP: #624888)
  * Run oem-config-wrapper as the user oem rather than root.
    - Fixes issues with pulseaudio applet not working
    - Prevents root terminals from ctrl-alt-t (LP: #594233)
  * Disable general terminals from ctrl-alt-t unless running in debug mode.
    (LP: #594233)
  * Grab focus of the slideshow when it starts, keeping focus off the expander
    in automatic mode.
  * Don't allow progressing past the language page unless a valid language is
    picked.
  * Fix progressbar reporting messages reporting missing from plugininstall.py
    in ubiquity or oem-config.

  [ Colin Watson ]
  * GTK frontend: Make user-setup entry boxes activate the Forward button
    when Enter is pressed.
  * Revert Debug::identcdrom=true for writable USB media; with changes in
    apt 0.8.3ubuntu3, this is sufficient for stable apt-cdrom identification
    of writable USB media (LP: #628290).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 15 Sep 2010 13:28:55 +0100

ubiquity (2.3.17) maverick; urgency=low

  [ Evan Dandrea ]
  * Fetch the translations for the release_notes_only and
    update_installer_only strings (LP: #629627).
  * Don't use the same name for the error method and GTK label
    (LP: #631046).
  * Re-use the valid username check from user-setup in the GTK UI
    (LP: #631046).
  * Do not cut off the text of the Try and Install buttons by setting
    their width to just the largest initial width of the two
    (LP: #629437).
  * Update the panel to use the new location for the panel background,
    and force a redraw when setting it.
  * If the username only contains non-alphanumeric characters, set the
    hostname to ubuntu-{laptop,desktop}.
  * Replace RELEASE with the release name in the KDE UI finished dialog
    (LP: #628964).
  * Do not look for a full path on non-paths when getting the default
    grub target.
  * Fix a crash when there are no disks present on the system
    (LP: #631766).
  * Don't let the user continue if there are no disks present, or if
    there isn't enough free space on any of them to install.
  * Fix UI bugs in the automatic partitioner page.  Better handle
    determining what the desired partitioning recipe is (LP: #630450).
  * Update the KDE partitioning UI to reflect changes to ubi-partman and
    partman-auto.
    - Use the already existent ubiquity variants of the d-i "Guided -" strings
      (LP: #628864).
    - Fix the automatic resize option failing to appear
      (LP: #628897, LP: #628815).
    - Use a combobox to select which disk to use on all options that support
      multiple disks, not just the "use entire disk" option.
  * Add notification area support in the panel.
  * Drop ia64 and sparc.
  * Run nm-applet in the ubiquity GTK session.

  [ Colin Watson ]
  * Factor out common /proc/mounts handling into a new
    ubiquity.misc.mount_info function.
  * Remove lpia architecture support.
  * Handle grub-efi when installing on amd64/efi or i386/efi
    subarchitectures (LP: #632642).

  [ Mario Limonciello ]
  * Adjust the fudge factor for showing languages on oem-config page
    due to the changes to the default window size being much bigger.
  * During oem-config's removal of ubiquity, remove other ubiquity
    related items that might have potentially still been on the system
    from a live-helper generated image.
  * Refactor mount_info to also report ro/rw, and let plugininstall
    key off that instead.
  * Set the panel indicators to show up on the right to match the rest
    of the desktop (LP: #632592)
  * Automatic update of included source packages: grub-installer
    1.55ubuntu3.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 08 Sep 2010 14:43:59 -0500

ubiquity (2.3.16) maverick; urgency=low

  [ Mario Limonciello ]
  * Don't show logout option in only-ubiquity mode(s) (LP: #618744)
  * Don't show a minimize option in only-ubiquity mode(s) (LP: #627656)
  * Translate the page_title of the language page when languages are
    swapped.
  * Restore functionality to set the GTK slideshow size based on a
    configuration file that was lost in r4123.1.37.
  * Parse the slideshow size when the GTK frontend first starts to
    prevent the window resizing later.
  * Automatic update of included source packages: grub-installer
    1.55ubuntu1, partman-basicfilesystems 63ubuntu7, partman-efi
    21ubuntu1.

  [ Evan Dandrea ]
  * Do not generate or show the bootloader options if we're on x86, or
    bootloader installation is explicitly disabled (LP: #628582).
  * Add correct URL for the Geonames service.

  [ Colin Watson ]
  * Remove a number of unused or duplicate imports.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 05 Sep 2010 01:40:01 -0500

ubiquity (2.3.15) maverick; urgency=low

  * Clean stray QSocketNotifiers that were missed because their fd was
    reused before they could normally be deleted.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 02 Sep 2010 10:21:58 +0100

ubiquity (2.3.14) maverick; urgency=low

  [ Colin Watson ]
  * KDE frontend:
    - If the slideshow doesn't exist, hide self.ui.pageMode rather than
      self.page_mode (LP: #627549).
  * Set Debug::identcdrom=true for apt-cdrom if installing from a
    non-ISO9660 filesystem, since otherwise apt-cdrom will include the free
    blocks count of /cdrom in its database which is unreliable on read-write
    filesystems, especially USB images with persistence enabled.  Thanks to
    Manoj Iyer for patient testing (LP: #627672).

  [ Mario Limonciello ]
  * Provides indicator-renderer (LP: #616165)

  [ Evan Dandrea ]
  * Disconnect and destroy QSocketNotifiers when the dbfilter finishes.
    Thanks Colin Watson (LP: #625586).
  * add the check_hostname function back to ubi-usersetup (LP: #628317).

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 02 Sep 2010 01:42:52 +0100

ubiquity (2.3.13) maverick; urgency=low

  [ Mario Limonciello ]
  * When using xfsettingsd, set the background to black first.
  * Set release_notes_found to False initially to prevent a scenario it gets
    accessed before being set when offline (LP: #628011).

  [ Evan Dandrea ]
  * Only set the label on the 'use entire disk' button if we're not
    going into the advanced partitioner (LP: #625258).

